<?php
$wo['lang'] = array(
    // welcome page
    'login' => 'Inloggen',
    'register' => 'Registereren',
    'guest' => 'Gast',
    'username' => 'Gebruikersnaam',
    'email' => 'E-mail',
    'password' => 'Wachtwoord',
    'new_password' => 'Nieuw wachtwoord',
    'remember_me' => 'Onthoud mij',
    'or_login_with' => 'Of login met',
    'forget_password' => 'Wachtwoord vergeten?',
    'email_address' => 'Email',
    'confirm_password' => 'Bevestig wachtwoord',
    'lets_go' => 'Ga verder!',
    'recover_password' => 'Recover',
    'reset_new_password_label' => 'Reset Je Wachtwoord',
    'reset_password' => 'Reset',
    'invalid_token' => 'Verkeerde sleutel',
    'incorrect_username_or_password_label' => 'Gebruikersnaam of wachtwoord klopt niet',
    'account_disbaled_contanct_admin_label' => 'Je account is inactief gesteld. Neem contact op met account@babster.nl.',
    'account_not_active_label' => 'Je moet je account eerst activeren.',
    'successfully_logged_label' => 'Succesvol ingelogt, een momentje..',
    'please_check_details' => 'Controleer je details.',
    'username_exists' => 'Gebruikersnaam bestaad al.',
    'username_characters_length' => 'Gebruikersnaam moet tussen de 5 en 32 tekens lang zijn',
    'username_invalid_characters' => 'Ongeldige tekens in je gebruikersnaam',
    'password_invalid_characters' => 'Ongeldige tekens in je wachtwoord',
    'email_exists' => 'Dit email adres is al ingebruik.',
    'email_invalid_characters' => 'Dit is een ongeldige email.',
    'password_short' => 'Wachtwoord is te kort.',
    'password_mismatch' => 'Wachtwoorden komen niet overeen.',
    'reCaptcha_error' => 'Controleer de beveiligingscode.',
    'successfully_joined_label' => 'Succesvol geregistreerd, een momentje..',
    'account_activation' => 'Account activicatie',
    'successfully_joined_verify_label' => 'Succesvol geregistreerd, check je inbox/spam voor de activicatie mail.',
    'email_not_found' => 'We kunnen deze email niet vinden.',
    'password_rest_request' => 'Wachtwoord reset aanvraag',
    'email_sent' => 'Email is succesvol verzonden',
    'processing_error' => 'Er is een fout opgetreden, probeer het later nog eens.',
    'password_changed' => 'Wachtwoord succesvol gewijzigd !',
    'please_choose_correct_date' => 'Selecteer een geldige datum.',
    'setting_updated' => 'Instellingen succesvol gewijzigd!',
    'current_password_mismatch' => 'Huidig wachtwoord komt niet overeen',
    'website_invalid_characters' => 'Website is niet geldig.',
    'account_deleted' => 'Account is succesvol gewijzigd, een momentje..',
    'home' => 'Home',
    'advanced_search' => 'Uitgebreid zoeken',
    'search_header_label' => 'Zoek mensen, #hastags en andere dingen..',
    'no_result' => 'Geen resultaten gevonden',
    'last_seen' => 'Laatst gezien:',
    'accept' => 'Accepteer',
    'cancel' => 'Weiger',
    'delete' => 'Verwijder',
    'my_profile' => 'Mijn Profiel',
    'saved_posts' => 'Opgeslagen berichten',
    'setting' => 'Instellingen',
    'admin_area' => 'Beheerpaneel',
    'log_out' => 'Uitloggen',
    'no_new_notification' => 'Je hebt geen meldingen',
    'no_new_requests' => 'Je hebt geen verzoeken',
    // notification
    'followed_you' => 'volgt je',
    'comment_mention' => 'heeft je vermeld in een reactie.',
    'post_mention' => 'heeft je vermeld in een bericht.',
    'posted_on_timeline' => 'heeft een krabbel op je tijdlijn geplaats.',
    'profile_visted' => 'heeft je profiel bezocht.',
    'accepted_friend_request' => 'heeft je vriendschapsverzoek geaccepteerd.',
    'accepted_follow_request' => 'heeft je volgverzoek geaccepteerd.',
    'liked_comment' => 'respecteerd je reactie "{comment}" ',
    'wondered_comment' => 'wondered je reactie "{comment}" ',
    'liked_post' => 'respecteerd je {postType} {post} ',
    'wondered_post' => 'wondered je {postType} {post}',
    'share_post' => 'deelde je {postType} {post}',
    'commented_on_post' => 'reageerde op je {postType} {post}',
    'activity_liked_post' => 'respecteerd {user} <a class="main-color" href="{post}">bericht</a>.',
    'activity_wondered_post' => 'wondered {user} <a class="main-color" href="{post}">bericht</a>.',
    'activity_share_post' => 'deelde {user} <a class="main-color" href="{post}">bericht</a>.',
    'activity_commented_on_post' => 'reageerde op {user} <a class="main-color" href="{post}">bericht</a>.',
    'video_n_label' => 'video.',
    'post_n_label' => 'bericht.',
    'photo_n_label' => 'foto.',
    'file_n_label' => 'bestand.',
    'vine_n_label' => 'vine video.',
    'sound_n_label' => 'muziek.',
    'avatar_n_label' => 'profiel foto.',
    // 404 page & activate page
    'error_not_found' => '404 Error',
    'sorry_page_not_found' => 'Sorry, pagina niet gevonden!',
    'page_not_found' => 'The page you are looking for could not be found. Please check the link you followed to get here and try again.',
    'your_account_activated' => 'Je account is succesvol geactiveerd!',
    'free_to_login' => 'Je kan <a href="' . Wo_SeoLink('index.php?link1=welcome') . '">{login}</a> !',
    // admin area 
    'general_setting' => 'General Setting',
    'login_setting' => 'Login Setting',
    'manage_users' => 'Manage Users',
    'manage_posts' => 'Manage Posts',
    'manage_reports' => 'Manage Reports',
    'advertisement' => 'Advertisement',
    'more' => 'More',
    'cache_system' => 'Cache System',
    // admin general setting
    'chat_system' => 'Chat System',
    'email_validation' => 'Email validation',
    'email_notification' => 'Email notification',
    'smooth_links' => 'Smooth links',
    'seo_friendly_url' => 'SEO friendly url',
    'file_sharing' => 'File sharing',
    'themes' => 'Themes',
    'user_setting' => 'User Setting',
    'site_setting' => 'Site Setting',
    'cache_setting_info' => 'Enable cache system to speed up your website, Recommended more than 10,000 active users.',
    'chat_setting_info' => 'Enable chat system to chat with friends on the buttom of the page',
    'email_validation_info' => 'Enable email validation to send activation link when user registred.',
    'email_notification_info' => 'Enable email notification to send user notification via email.',
    'smooth_links_info' => 'Enable smooth links, e.g.' . $wo['config']['site_url'] . '/home.',
    'seo_frindly_info' => 'Enable SEO friendly url, e.g.' . $wo['config']['site_url'] . '//1_hello-how-are-you-doing.html',
    'file_sharing_info' => 'Enable File sharing to share & upload videos,images,files,sounds, etc..',
    'cache' => 'Cache',
    // site info setting
    'site_information' => 'Site Information',
    'site_title_name' => 'Site Name & Title:',
    'site_name' => 'Site name',
    'site_title' => 'Site title',
    'site_keywords_description' => 'Site Keywords & Description:',
    'site_keywords' => 'Site Keywords (eg: social,wownder ..)',
    'site_description' => 'Site Description',
    'site_email' => 'Site E-mail',
    'site_lang' => 'Default Language',
    // themes setting
    'theme_setting' => 'Theme Setting',
    'activeted' => 'Activeted',
    'version' => 'Version:',
    'author' => 'Author:',
    'user_status' => 'User status',
    // user setting
    'online_lastseen' => '(online/last seen)',
    'enable' => 'Enable',
    'disable' => 'Disable',
    'allow_users_to_delete' => 'Allow users to delete their account:',
    'profile_visit_notification' => 'Profile visit notification:',
    'display_user_age_as' => 'Display user age as:',
    'date' => 'Date',
    'age' => 'Age',
    'connectivity_system' => 'Connectivity System:',
    'connectivity_system_note' => '<span style="color:red;">Note:</span> If you migrate from one system to another, all existing followings, followers, friends, memberships will be deleted to avoid issues.</small>',
    'friends_system' => 'Friends system',
    'follow_system' => 'Follow system',
    'max_upload_size' => 'Max upload size:',
    'max_characters_length' => 'Max characters length:',
    'allowed_extenstions' => 'Allowed extenstions:',
    // reCaptcha settting
    'reCaptcha_setting' => 'reCaptcha Setting',
    'reCaptcha_key_is_required' => 'reCaptcha key is required',
    'reCaptcha_key' => 'reCaptcha Key :',
    // google analytics setting
    'google_analytics' => 'Google Analytics',
    'google_analytics_code' => 'Google analytics code:',
    // cache setting
    'cache_setting' => 'Cache Setting',
    'cache_recomended_clear' => 'It\'s highly recommended to clear the cache.',
    'cache_size' => 'Cache Size:',
    'clear_cache' => 'Clear Cache',
    // social login setting
    'social_login' => 'Social login',
    'social_login_api' => 'Social login API\'S',
    'facebook' => 'Facebook',
    'google' => 'Google+',
    'twitter' => 'Twitter',
    'linkedin' => 'Linkedin',
    'vkontakte' => 'Vkontakte',
    'facebook_api' => 'Facebook API',
    'google_api' => 'Google API',
    'twitter_api' => 'Twitter API',
    'linkedin_api' => 'Linkedin API',
    'vkontakte_api' => 'Vkontakte API',
    'app_id' => 'App ID',
    'app_secret_key' => 'App Secret Key',
    'login_with' => 'Login with',
    // manage users
    'id' => 'ID',
    'source' => 'Source',
    'status' => 'Status',
    'pending' => 'Pending',
    'first_name' => 'First name',
    'last_name' => 'Last name',
    'about_me' => 'About me',
    'website' => 'Website',
    'action' => 'Action',
    'show_more_users' => 'Show more users',
    'no_more_users_to_show' => 'No more users to show',
    'user_delete_confirmation' => 'Are you sure you want to delete this user?',
    'post_delete_confirmation' => 'Are you sure you want to delete this post?',
    'show_more_posts' => 'Show more posts',
    'no_more_posts' => 'No more posts',
    'no_posts_found' => 'No posts found',
    'publisher' => 'Publisher',
    'there_are_not_new_posts_for_now' => 'There are not new post for now',
    'post_link' => 'Post link',
    'time' => 'Time',
    'post' => 'Post',
    'no_posts_yet' => '{name} has not posted anything yet',
    'search' => 'Search',
    'on' => 'On',
    'off' => 'Off',
    'save' => 'Save',
    'saved' => 'Saved !',
    // Manage Report
    'reporter' => 'Reporter',
    'time_reported' => 'Time Reported',
    'there_are_no_new_reports' => 'There are no new reports for now.',
    'open_post' => 'Open Post',
    'mark_safe' => 'Mark Safe',
    'delete_post' => 'Delete Post',
    // Advertisement Setting
    'advertisement_setting' => 'Advertisement Setting',
    // More Setting
    'more_setting' => 'More Setting',
    'mailing_users' => 'Mailing list',
    'send' => 'Send',
    'mailing_subject' => 'Subject..',
    'mailing_message' => 'Message..',
    'announcement' => 'Announcement:',
    'new_announcement' => 'New announcement ..',
    'add' => 'Add',
    'views' => 'Views',
    'there_are_no_active_announcements' => 'There are no active announcements.',
    'there_are_no_inactive_announcements' => 'There are no inactive announcements.',
    // end admin
    'add_friend' => 'Voeg toe',
    'follow' => 'Volgen',
    'following' => 'Volgend',
    'following_btn' => 'Volgend',
    'followers' => 'Volgers',
    'message' => 'Stuur bericht',
    'requested' => 'Verzonden',
    'friends_btn' => 'Vrienden',
    'online' => 'Online',
    'offline' => 'Offline',
    'you_are_currently_offline' => 'Je bent momenteel offline',
    'no_offline_users' => 'Geen offline mensen.',
    'no_online_users' => 'Geen online mensen.',
    'search_for_users' => 'Zoek mensen',
    'no_users_found' => 'Geen mensen gevonden.',
    'seen' => 'Gezien',
    'load_more_posts' => 'Laad meer berichten',
    'load_more_users' => 'Laad meer mensen',
    'there_are_no_tags_found' => 'Geen resultaten gevonden.',
    'there_are_no_saved_posts' => 'Je hebt geen opgeslagen berichten.',
    'messages' => 'Berichten',
    'write_something' => 'Schrijf iets .. ',
    'no_more_message_to_show' => 'Geen berichten om weer te geven',
    'view_more_messages' => 'Bekijk meer berichten',
    'sorry_cant_reply' => 'Sorry, je kan niet reageren op dit bericht.',
    'choose_one_of_your_friends' => 'Selecteer een van je vrienden',
    'and_say_hello' => 'En zeg Hallo !',
    // Modalas
    'download' => 'Download',
    'update_your_info' => 'Update je informatie',
    'choose_your_username' => 'Kies een gebruikersnaam:',
    'create_your_new_password' => 'Geef een nieuw wachtwoord op:',
    'update' => 'Update',
    'delete_comment' => 'Verwijder reactie',
    'confirm_delete_comment' => 'Weet je zeker dat je deze reactie wil verwijderen?',
    'confirm_delete_post' => 'Weet je zeker dat je dit bericht wil verwijderd?',
    'edit_post' => 'Wijzig bericht',
    'session_expired' => 'Sessie is verlopen',
    'session_expired_message' => 'Je sessie is verlopen, log opnieuw in.',
    // serach filter + timline
    'country' => 'Land',
    'all' => 'Alle',
    'gender' => 'Geslacht',
    'female' => 'Vrouw',
    'male' => 'Man',
    'profile_picture' => 'Profielfoto',
    'result' => 'Resultaat:',
    'yes' => 'Ja',
    'no' => 'Nee',
    'verified_user' => 'Bekende Babster',
    'change_password' => 'Wijzig Wachtwoord',
    'current_password' => 'Huidig wachtwoord',
    'repeat_password' => 'Herhaal wachtwoord',
    'general' => 'Algemeen',
    'profile' => 'Profiel',
    'privacy' => 'Privacy',
    'delete_account' => 'Verwijder je account',
    'delete_account_confirm' => 'Weet je zeker dat je je account voor goed wil verwijderen?',
    'delete_go_back' => 'Nee, liever niet',
    'verified' => 'Geverifieerd',
    'not_verified' => 'Niet Geverifieerd',
    'admin' => 'Admin',
    'user' => 'Gebruiker',
    'verification' => 'Verificatie',
    'type' => 'Type',
    'birthday' => 'Geboortedatum',
    'active' => 'Actief',
    'inactive' => 'Inactief',
    'privacy_setting' => 'Privacy Instellingen',
    'follow_privacy_label' => 'Wie kan mij volgen?',
    'everyone' => 'Iedereen',
    'my_friends' => 'Mijn vrienden',
    'no_body' => 'Niemand',
    'people_i_follow' => 'Mensen die ik volg',
    'people_follow_me' => 'Mensen die mij volgen',
    'only_me' => 'Alleen ik',
    'message_privacy_label' => 'Wie kan mij een bericht sturen?',
    'timeline_post_privacy_label' => 'Wie kan mij krabbelen?',
    'activities_privacy_label' => 'Laat mijn activiteiten zien?',
    'show' => 'Ja',
    'hide' => 'Nee',
    'confirm_request_privacy_label' => 'Bevestig verzoek wanneer iemand jou volgt?',
    'lastseen_privacy_label' => 'Laat mijn laatst gezien zien?',
    'site_eg' => '(e.g: http://www.siteurl.com)',
    'profile_setting' => 'Profiel Instellingen',
    // Story
    'pinned_post' => 'Vastgezete Bericht',
    'pin_post' => 'Vastzetten',
    'unpin_post' => 'Niet meer vastzetten',
    'open_post_in_new_tab' => 'Open bericht in nieuw tapblad',
    'unsave_post' => 'Verwijderen',
    'save_post' => 'Opslaan',
    'unreport_post' => 'Verwijder Aangeven',
    'report_post' => 'Bericht aangeven',
    'shared_this_post' => 'Heeft dit bericht gedeeld',
    'changed_profile_picture_male' => 'Heeft zijn profielfoto gewijzigd',
    'changed_profile_picture_female' => 'Heeft haar profielfoto gewijzigd',
    'post_login_requriement' => 'Login om te respecteren, te reageren!',
    'likes' => 'Respects',
    'like' => 'Respect!',
    'wonder' => 'Wonder',
    'wonders' => 'Super Respects',
    'share' => 'Delen',
    'comments' => 'Reacties',
    'no_likes' => 'Geen respects',
    'no_wonders' => 'Geen super respects',
    'write_comment' => 'Schrijf je reactie en druk dan op enter',
    'view_more_comments' => 'Bekijk meer reacties',
    'welcome_to_news_feed' => 'Welkom op je tijdlijn !',
    'say_hello' => 'Zeg snel Hallo !',
    'publisher_box_placeholder' => 'Hoe gaat het vandaag? #Hashtag.. @Vermeld..',
    'youtube_link' => 'Youtube Link',
    'vine_link' => 'Vine Link',
    'soundcloud_link' => 'SoundCloud Link',
    'maps_placeholder' => 'Waar ben je ?',
    'post_label' => 'Plaats',
    'text' => 'Tekst',
    'photos' => 'Foto\'s',
    'sounds' => 'muziek',
    'videos' => 'Video\'s',
    'maps' => 'Maps',
    'files' => 'Files',
    'not_following' => 'Volgt nog geen mensen',
    'no_followers' => 'Heeft geen volgers',
    'details' => 'Details',
    'social_links' => 'Social Netwerken',
    'online_chat' => 'Online vrienden',
    // Footer
    'about' => 'About',
    'contact_us' => 'Contact Us',
    'privacy_policy' => 'Privacy Policy',
    'terms_of_use' => 'Terms of Use',
    'developers' => 'Developers',
    'language' => 'Language',
    'copyrights' => 'Copyright © ' . date('Y') . ' ' . $wo['config']['siteName'] . '. All rights reserved.',
    // time + dates 
    'year' => 'jaar',
    'month' => 'maand',
    'day' => 'dag',
    'hour' => 'uur',
    'minute' => 'minuut',
    'second' => 'seconde',
    'years' => 'jaren',
    'months' => 'maanden',
    'days' => 'dagen',
    'hours' => 'uren',
    'minutes' => 'minuten',
    'seconds' => 'seconden',
    'time_ago' => 'geleden',
    'time_from_now' => 'van nu',
    'time_any_moment_now' => 'een moment geleden',
    'time_just_now' => 'Net geplaats',
    'time_about_a_minute_ago' => 'een minuut geleden',
    'time_minute_ago' => '%d minuten geleden',
    'time_about_an_hour_ago' => 'een uur geleden',
    'time_hours_ago' => '%d uren geleden',
    'time_a_day_ago' => 'a dag geleden',
    'time_a_days_ago' => '%d dagen geleden',
    'time_about_a_month_ago' => 'een maand geleden',
    'time_months_ago' => '%d maanden geleden',
    'time_about_a_year_ago' => 'een jaar geleden',
    'time_years_ago' => '%d jaar geleden',
    'latest_activities' => 'Laatste Activiteiten',
    'no_activities' => 'Geen nieuwe activiteiten',
    'trending' => 'Populair!',
    'load_more_activities' => 'Laad meer activiteiten',
    'no_more_actitivties' => 'Geen andere activiteiten',
    'people_you_may_know' => 'Mensen die je misschien kent',
    'too_long' => 'Te lang',
    'too_short' => 'To kort.',
    'available' => 'Beschikbaar!',
    'in_use' => 'In gebruik.',
    'username_invalid_characters_2' => 'Gebruikersnaam mag geen speciale tekens bevatten.',
     // New v1.1
    'liked' => 'Vond',
    'my_pages' => 'Mijn pagina\'s',
    'liked_page' => 'Vond je pagina ({page_name})',
    'this_week' => 'Deze week',
    'posts' => 'Berichten',
    'located_in' => 'Gelegen in',
    'phone_number' => 'Telefoon',
    'company' => 'Bedrijf',
    'category' => 'Categorie',
    'search_for_posts' => 'Zoeken naar berichten',
    'create_new_page' => 'Nieuwe pagina',
    'page_name' => 'Pagina naam',
    'page_title' => 'Pagina titel',
    'your_page_title' => 'Uw pagina titel',
    'page_category' => 'Pagina Categorie',
    'page_description' => 'Pagina beschrijving',
    'page_description_info' => 'Uw pagina beschrijving, tussen de 10 en 200 karakters max.',
    'create' => 'Creëren',
    'page_name_exists' => 'Pagina naam is al bestaat.',
    'page_name_characters_length' => 'Pagina naam moet tussen 5/32',
    'page_name_invalid_characters' => 'Ongeldige pagina naam tekens',
    'edit' => 'Edit',
    'page_information' => 'Pagina Informatie',
    'delete_page' => 'Pagina Verwijderen',
    'location' => 'Ligging',
    'pages_you_may_like' => 'Pagina\'s die je misschien graag',
    'show_more_pages' => 'Toon meer pagina\'s',
    'no_more_pages' => 'Geen pagina te tonen',
    'page_delete_confirmation' => 'Bent u zeker dat u deze pagina wilt verwijderen?',
    'manage_pages' => 'Pagina\'s beheren',
    'owner' => 'Eigenaar',
    'no_pages_found' => 'Geen pagina\'s gevonden',
    // Welcome Page title
    'welcome_wonder' => 'Wonder',
    'welcome_connect' => 'Aansluiten',
    'welcome_share' => 'Delen',
    'welcome_discover' => 'Ontdekken',
    'welcome_find_more' => 'Vind meer',
    'welcome_mobile' => 'Mobile Vriendelijk',
    // Welcome page description
    'welcome_wonder_text' => 'Wonder (NEW), de mogelijkheid om een bericht af of je niet bevalt. ',
    'welcome_connect_text' => 'Verbinden met je familie en vrienden en deel je momenten. ',
    'welcome_share_text' => 'Deel wat nieuw is en het leven momenten met je vrienden. ',
    'welcome_discover_text' => 'Ontdek nieuwe mensen, nieuwe verbindingen te maken en nieuwe vrienden maken. ',
    'welcome_find_more_text' => 'Vind meer van wat je zoekt met WoWonder Search. ',
    'welcome_mobile_text' => '100% scherm passen op alle tablets en smartphones.',

    'working_at' => 'Werken bij',
    'relationship' => 'Verhouding',
    'none' => 'Geen',
    'avatar' => 'Avatar',
    'cover' => 'Deksel',
    'background' => 'Achtergrond',
    'theme' => 'Thema',
    'deafult' => 'Standaard',
    'my_background' => 'Mijn Achtergrond',
    'company_website' => 'Bedrijfs websitee',
    'liked_my_page' => 'Vond Mijn pagina',
    // New v1.2
    'dislike' => 'Afkeer',
    'dislikes' => 'Antipathieën',
    'disliked_post' => 'hekel aan je {postType} {post}',
    'disliked_comment' => 'hekel aan je reactie "{comment}" ',
    'activity_disliked_post' => 'hekel {user} <a class="main-color" href="{post}">post</a>.',
    'second_button_type' => 'Tweede post type knop',
    'group_name' => 'Groepsnaam',
    'group_title' => 'Groep titel',
    'my_groups' => 'Mijn Groepen',
    'school' => 'School',
    'site_keywords_help' => 'Example: social, wowonder, social site',
    'message_seen' => 'Bericht Seen',
    'recommended_for_powerful' => 'Aanbevolen voor krachtige servers',
    'message_typing' => 'Chat typering systeem',
    'reCaptcha' => 'reCaptcha',
    'instagram' => 'Instagram',
    'profile_visit_notification_help' => 'Stuur bericht aan ontvanger wanneer een gebruiker zijn profiel bezoekt',
    'account_delete' => 'Account verwijderen',
    'ip_address' => 'IP Address',
    'manage_groups' => 'Groepen beheren',
    'group_delete_confirmation' => 'Bent u zeker dat u deze groep wilt verwijderen?',
    'no_more_groups' => 'Geen groepen tonen',
    'show_more_groups' => 'Toon meer groepen',
    'members' => 'Leden',
    'verifications_requests' => 'Verificatie Verzoeken',
    'verify' => 'Verifiëren',
    'ignore' => 'Negeren',
    'page' => 'Pagina',
    'no_new_verification_requests' => 'Geen nieuwe verificatie aanvragen',
    'ban_user' => 'Ban gebruiker',
    'banned' => 'Verboden',
    'there_are_no_banned_ips' => 'Er zijn geen verboden ips.',
    'invalid_ip' => 'Ongeldig IP-adres.',
    'ip_banned' => 'IP-adres succesvol verbannen.',
    'ip_exist' => 'IP-adres bestaan',
    'please_add_ip' => 'Voeg een ip-adres',
    'ip_deleted' => 'IP-adres succesvol verwijderd',
    'email_me_when' => 'E-mail me als',
    'e_likes_my_posts' => 'Iemand hield van mijn berichten',
    'e_wondered_my_posts' => 'Iemand vroeg me af van mijn berichten',
    'e_commented_my_posts' => 'Iemand heeft gereageerd op mijn berichten',
    'e_shared_my_posts' => 'Iemand gedeeld op mijn berichten',
    'e_followed_me' => 'Iemand volgde mij',
    'e_liked_page' => 'Iemand hield van mijn pagina\'s',
    'e_visited_my_profile' => 'Iemand bezocht mijn profiel',
    'e_mentioned_me' => 'Iemand noemde me',
    'e_joined_group' => 'Iemand trad mijn groepen',
    'e_accepted' => 'Iemand aanvaard mijn vriend / follow verzoek',
    'e_profile_wall_post' => 'Iemand gepost op mijn timeline',
    'no_groups_found' => 'Geen groepen gevonden',
    'group_information' => 'Groep informatie',
    'delete_group' => 'Groep verwijderen',
    'group_name_exists' => 'Groepsnaam is al bestaat.',
    'group_name_invalid_characters' => 'Ongeldige naam van de groep tekens',
    'group_name_characters_length' => 'Groepsnaam moet tussen 5/32',
    'no_requests_found' => 'Geen verzoeken gevonden',
    'remove' => 'Verwijderen',
    'no_members_found' => 'Geen leden gevonden',
    'group_deleted' => 'Groep succesvol verwijderd',
    'create_new_group' => 'Nieuwe groep',
    'my_games' => 'Mijn games',
    'no_games_found' => 'Geen games gevonden',
    'groups' => 'Groepen',
    'no_friends' => 'Nog geen vriendent',
    'no_groups' => 'Heeft een groep nog niet mee',
    'load_more_pages' => 'Laad meer pagina\'s',
    'load_more_groups' => 'Laad meer groepen',
    'joined_group' => 'Toegetreden tot de groep ({group_name})',
    'happy' => 'Blij',
    'loved' => 'Hield',
    'sad' => 'Verdrietig',
    'so_sad' => 'Zeer triest',
    'angry' => 'Boos',
    'confused' => 'Verward',
    'smirk'  => 'Warm',
    'broke' => 'Gebroken',
    'expressionless' => 'Wezenloos', 
    'cool' => 'Koel',
    'funny' => 'Grappig',
    'tired' => 'Moe',
    'lovely' => 'Heerlijk',
    'blessed' => 'Gezegend',
    'shocked' => 'Geschokt',
    'sleepy' => 'Slaperig',
    'pretty' => 'Mooi',
    'bored' => 'Verveeld',
    'total_users' => 'Totaal aantal leden',
    'users' => 'Gebruikers',
    'pages' => 'Pagina\'s',
    'games' => 'Spelen',
    'online_users' => 'Online Gebruikers',
    'recent_searches' => 'Recente zoekopdrachten',
    'clear' => 'Duidelijk',
    'search_filter' => 'Search filter',
    'keyword' => 'Zoekfilter',
    'what_are_looking_for' => 'Wat zoekt?',
    'changed_profile_cover_picture_male' => 'Veranderd zijn profiel deksel',
    'changed_profile_cover_picture_female' => 'Veranderde haar profiel deksel',
    'latest_games' => 'Nieuwste games',
    'no_albums_found' => 'Geen albums gevonden',
    'create_album' => 'Maak een album',
    'my_albums' => 'Mijn Albums',
    'album_name' => 'Albumnaam',
    'upload' => 'Uploaden',
    'add_photos' => 'Foto\'s toevoegen',
    'replies' => 'antwoorden',
    'reply_to_comment' => 'Reageer op reactie',
    'replied_to_comment' => 'beantwoord je reactie "{comment}"',
    'comment_reply_mention' => 'je genoemd in een antwoord "{comment}"',
    'also_replied' => 'antwoordde op de reactiefeed "{comment}"',
    'liked_reply_comment' => 'vond uw antwoord "{comment}"',
    'wondered_reply_comment' => 'afgevraagd uw antwoord "{comment}"',
    'disliked_reply_comment' => 'hekel aan uw antwoord "{comment}"',
    'profile_visit_notification_p' => 'Stuur gebruikers een melding wanneer ik bezoek hun profiel?',
    'profile_visit_notification_help' => 'als u niet uw bezoek evenement te delen, zult u niet in staat zijn om andere mensen een bezoek aan uw profiel te zien.',
    'showlastseen_help' => 'als je het niet eens met je voor het laatst gezien, zult u niet in staat zijn om andere mensen het laatst gezien.',
    'timeline_birthday_label' => 'Wie kan mijn verjaardag zien?',
    'people_likes_this' => 'mensen vinden dit leuk',
    'page_inviate_label' => 'Vrienden uitnodigen om deze pagina graag',
    'invite_your_frineds' => 'Nodig je vrienden / volgelingen',
    'not_invite' => 'U hoeft niet meer vrienden uitnodigen',
    'invite' => 'Nodigen',
    'invited_page' => 'u uitgenodigd om te willen ({page_name})',
    'accepted_invited_page' => 'aanvaard uw verzoek te willen ({page_name})',
    'call_to_action' => 'Oproep tot actie',
    'call_to_action_target' => 'Bellen om url richten',
    'call_action_type_url_invalid' => 'Oproep tot actie website is ongeldig',
    'avatar_and_cover' => 'Avatar & Cover',
    'online_sidebar_admin_label' => 'Toelaten online gebruikers actieve gebruikers te laten zien in de zijbalk.',
    'not_active' => '',
    'females' => 'Niet geactiveerd',
    'males' => 'Mannetjes',
    'dashboard' => 'Dashboard',
    'albums' => 'Albums',
    'name' => 'Naam',
    'players' => 'Spelers',
    'add_new_game' => 'Voeg een nieuwe game',
    'game_added' => 'Spel toegevoegd',
    'url_not_supported_game' => 'Deze url wordt niet ondersteund',
    'please_add_a_game' => 'Voeg dan een spel url',
    'active_announcements' => 'actieve aankondigingen',
    'inactive_announcements' => 'inactief aankondigingen',
    'ban' => 'Ban',
    'new_email' => 'Nieuwe E-mail',
    'html_allowed' => 'Html toegestaan',
    'send_me_to_my_email' => 'Stuur naar mijn e-mail',
    'test_message' => 'Test bericht',
    'joined_members' => 'Toegetreden leden',
    'join_requests' => 'Join Verzoeken',
    'verified_pages' => 'Verified Pages',
    'file_sharing_extenstions' => 'Sharing bestandsextensies (gescheiden met een komma,)',
    'word_cons' => 'Woorden worden gecensureerd, gescheiden door een komma (,)',
    'join' => 'Toetreden',
    'joined' => 'Geregistreerd',
    'request' => 'Verzoek',
    'edit_comment' => 'Reactie bewerken',
    'last_play' => 'Laatste Play:',
    'play' => 'Spelen',
    'confirm_request_group_privacy_label' => 'Bevestigt aanvraag als iemand mee deze groep?',
    'who_can_see_group_posts' => 'Wie kan groepen berichten zien?',
    'joined_users' => 'Geregistreerd gebruikers',
    'social_links' => 'Sociale Links',
    'living_in' => 'Leven in',
    'design' => 'Ontwerp',
    'guest' => 'Gast',
    'people_you_may_want_to_meet' => 'Mensen die je misschien wilt ontmoeten',
    'added_new_photos_to' => 'Toegevoegd nieuwe foto\'s aan',
    'is_feeling' => 'is het gevoel',
    'is_traveling' => 'is reizen naar',
    'is_listening' => 'luistert naar',
    'is_playing' => 'speelt',
    'is_watching' => 'is aan het kijken',
    'feeling' => 'Gevoel',
    'traveling' => 'Reizen naar',
    'watching' => 'Kijken',
    'playing' => 'Spelen',
    'listening' => 'Luisteren naar',
    'feeling_q' => 'Wat voel je ?',
    'traveling_q' => 'Waar wilt u verblijven?',
    'watching_q' => 'Waar ben je naar aan het kijken ?',
    'playing_q' => 'Wat ben je aan het spelen ?',
    'listening_q' => 'Waar ben je naar aan het luisteren ?',
    'feel_d' => 'Wat ben je aan het doen ?',
    'working_at' => 'Werken bij',
    'studying_at' => 'Studeren aan',
    'located_in' => 'Gelegen in',
    'company_website_invalid' => 'Website van het bedrijf is ongeldig',
    'page_deleted' => 'Pagina succesvol verwijderd',
    'cover_n_label' => 'Bedekken afbeelding.',
    'suggested_groups' => 'Suggereerde groepen',
    'accepted_join_request' => 'aanvaard uw verzoek om lid te worden ({group_name})',
    'requested_to_join_group' => 'verzocht om uw groep aan te sluiten',
    'no_one_posted' => 'Maar niemand geplaatst',
    'add_your_frineds' => 'Voeg uw vrienden aan deze groep',
    'added_all_friends' => 'Er zijn geen vrienden om ze toe te voegen',
    'added_you_to_group' => 'u hebt toegevoegd aan de groep ({group_name})',
    'group_type' => 'groepstype',
    'public' => 'Openbaar',
    'private' => 'Private',
    'reports' => 'Rapporten',
    'no_dislikes' => 'nog geen hekel',
    'disliked' => 'Bevallen',
    'wondered' => 'Afgevraagd',
    'read_more' => 'Lees Meer..',
    'read_less' => 'Lees Minder..',
    'terms' => 'Algemene Pagina',
    'profile_privacy' => 'User Profile Privacy',
    'profile_privacy_info' => 'In staat stellen om niet-aangemelde gebruikers gebruikers profielen te bekijken.',
    'video_upload' => 'Video uploaden',
    'video_upload_info' => 'Enable video uploaden om te delen en video\'s uploaden naar de site.',
    'audio_upload' => 'Audio uploaden',
    'audio_upload_info' => 'Enable audio uploaden om te delen en uploaden geluiden naar de site.',
    'add_photo' => 'Voeg een foto toe.',
    'add_photo_des' => 'Voeg een foto toe.',
    'start_up_skip' => 'Deze stap voor nu overslaan',
    'start_up_continue' => 'Opslaan & Doorgaan',
    'tell_us' => 'Vertel ons over jou.',
    'tell_us_des' => 'Deel je informatie met onze gemeenschap.',
    'get_latest_activity' => 'Ontvang de meest recente activiteiten van onze populaire gebruikers.',
    'follow_head' => 'Volg onze beroemde gebruikers.',
    'follow_num' => 'Volg {number} & Finish',
    'looks_good' => 'Ziet er goed uit.',
    'looks_good_des' => 'Je kunt later meer toevoegen aan je profiel.',
    'upload_your_photo' => 'Upload je foto',
    'please_wait' => 'Even geduld aub..',
    // New v1.2.3
    'username_or_email' => 'Gebruikersnaam of E-mail',
    'email_setting' => 'E-mail instellen',
    // New v1.3
    'years_old' => 'jaar oud',
    'friends_birthdays' => 'Verjaardagen van vrienden',
    'sms_setting' => 'SMS Instellingen',
    'smooth_loading' => 'Gelijdelijk laden',
    'boosted_pages_viewable' => 'Omhoog geplaatste pagina\'s zijn al zichtbaar voor leden.',
    'boost_page_in_same_time' => 'Je bent {type_name}, Je kan nu  {can_boost} omhoog plaatsen.',
    'boost_posts_in_same_time' => 'Je bent {type_name}, Je kan nu {can_boost} berichten omhoog plaatsen.',
    'there_are_no_boosted_pages' => 'Er zijn geen omhoog geplaatste pagina\'s.',
    'there_are_no_boosted_posts' => 'Er zijn geen omhoog geplaatste berichten.',
    'discover_pro_types' => 'Ontdek meer opties met {sitename} PRO!',
    'star' => 'Ster',
    'hot' => 'Heet',
    'ultima' => 'Ultimate',
    'vip' => 'VIP',
    'featured_member' => 'Aanbevolen lid',
    'see_profile_visitors' => 'Bekijk profiel bezoekers',
    'show_hide_lastseen' => 'Verberg laatst gezien',
    'verified_badge' => 'Vericatie Badge',
    'post_promotion_star' => 'Bericht promotie<br><small>(Niet beschikbaar)</small>',
    'page_promotion_star' => 'Pagina promotie<br><small>(Niet beschkbaar)</small>',
    '0_discount' => '0% korting',
    '10_discount' => '10% korting',
    '20_discount' => '20% korting',
    '60_discount' => '60% korting',
    'per_week' => 'per week',
    'per_month' => 'per maand',
    'per_year' => 'per jaar',
    'life_time' => 'levens lang',
    'upgrade_now' => 'Upgrade Nu',
    'post_promotion_hot' => '5 berichten omhoog plaatsen<br><small>(5 tegelijk 7/24)</small>',
    'page_promotion_hot' => '5 pagina\'s omhoog plaatsen<br><small>(5 tegelijk 7/24)</small>',
    'post_promotion_ultima' => '20 berichten omhoog plaatsen<br><small>(20 tegelijk 7/24)</small>',
    'page_promotion_ultima' => '20 pagina\'s omhoog plaatsen<br><small>(20 tegelijk 7/24)</small>',
    'post_promotion_vip' => 'Boost up to 40 posts<br><small>(40 in same time 7/24)</small>',
    'page_promotion_vip' => 'Boost up to 40 pages<br><small>(40 in same time 7/24)</small>',
    'boosted_posts' => 'Omhoog geplaatse berichten',
    'boosted_pages' => 'Omhoog geplaatsen pagina\'s',
    'put_me_here' => 'Zet mij hier nier',
    'promoted' => 'Advertenties',
    'oops_something_went_wrong' => 'Oeps ! Er ging iets mis.',
    'try_again' => 'Probeer het opnieuw',
    'boost_page' => 'Plaats pagina omhoog',
    'page_boosted' => 'Pagina omhoog geplaatst',
    'un_boost_page' => 'Verwijder omhoog plaatsing',
    'edit_page_settings' => 'Verander pagina instellingen',
    'blocked_users' => 'Geblokkerde Gebruikers',
    'un_block' => 'Deblokkeer',
    'css_file' => 'CSS bestand',
    'css_status_default' => 'Standaard design',
    'css_status_my' => 'Mijn CSS bestand',
    'design' => 'Design',
    'css_file_info' => 'Je kan je profiel helemaal pimpen door je eigen CSS bestand te uploaden',
    'invite_your_frineds_home' => 'Nodig je vrienden uit',
    'send_invitation' => 'Verstuur',
    'boost_post' => 'Plaast bericht omhoog',
    'unboost_post' => 'Verwijder',
    'drag_to_re' => 'Sleep naar de juiste positie',
    'block_user' => 'Blokkeer gebruiker',
    'edit_user' => 'Wijzig gebruiker',
    'cong' => 'Gefeliciteerd ! Je bent nu een <span style="color:{color}"><i class="fa fa-{icon} fa-fw"></i>{type_name}',
    'cong_2' => 'Bekijk nu je nieuwe opties',
    'activation_oops' => 'Oeps, het lijkt er op of je account nog niet is geactiveerd.',
    'activation_method' => 'Selecteer een optie om je account te activeren.',
    'activation_email' => 'Via E-mail',
    'activation_phone' => 'Via Telefoonnummer',
    'activation_or' => 'Of',
    'activation_send_code' => 'Stuur activatie code',
    'activation_get_code_again' => 'Code niet ontvangen?',
    'activation_resend' => 'Verstuur opnieuw',
    'activation_should_receive' => 'Je zult de code ontvangen',
    'confirm' => 'Bevestig',
    'phone_num_ex' => 'Telefoonnumer (bijv. +31...)',
    'error_while_activating' => 'Error tijdens het activeren van uw account.',
    'wrong_confirmation_code' => 'Ongeldige code.',
    'failed_to_send_code' => 'Het is niet gelukt de code te verzenden.',
    'worng_phone_number' => 'Geen geldige telefoonnummer.',
    'phone_already_used' => 'Telefoonnummer is al in gebruik.',
    'sms_has_been_sent' => 'SMS is succsesvol verzonden.',
    'error_while_sending_sms' => 'We konden de SMS niet versturen, probeer een ander nummer.',
    'failed_to_send_code_fill' => 'Het is niet gelukt de code te versturen, probeer een andere methoda.',
    'email_sent_successfully' => 'E-mail is succesvol verzonden, kijk ook in uw spam/ongewenste inbox.',
    'limit_exceeded' => 'Te vaak geprobeerd, probeer het later nog eens.',
    'failed_to_send_code_email' => 'Probeer je account te verifiëren via de e-mail, we konden geen sms sturen.',
    'free_member' => 'Gratis Lid',
    'star_member' => 'Ster Lid',
    'hot_member' => 'Hot Lid',
    'ultima_member' => 'Ultimate Lid',
    'vip_member' => 'VIP Lid',
    'moderator' => 'Moderator',
    'member_type' => 'Member soort',
    'membership' => 'Membership',
    'upgrade' => 'Upgrade',
    'error_please_try_again' => 'Error, probeer het later opnieuw.',
    'upgrade_to_pro' => 'Upgraden naar Pro',
);

$wo['countries_name'] = array(
    '0' => 'Select Country',
    '1' => 'United States',
    '2' => 'Canada',
    '3' => 'Afghanistan',
    '4' => 'Albania',
    '5' => 'Algeria',
    '6' => 'American Samoa',
    '7' => 'Andorra',
    '8' => 'Angola',
    '9' => 'Anguilla',
    '10' => 'Antarctica',
    '11' => 'Antigua and/or Barbuda',
    '12' => 'Argentina',
    '13' => 'Armenia',
    '14' => 'Aruba',
    '15' => 'Australia',
    '16' => 'Austria',
    '17' => 'Azerbaijan',
    '18' => 'Bahamas',
    '19' => 'Bahrain',
    '20' => 'Bangladesh',
    '21' => 'Barbados',
    '22' => 'Belarus',
    '23' => 'Belgium',
    '24' => 'Belize',
    '25' => 'Benin',
    '26' => 'Bermuda',
    '27' => 'Bhutan',
    '28' => 'Bolivia',
    '29' => 'Bosnia and Herzegovina',
    '30' => 'Botswana',
    '31' => 'Bouvet Island',
    '32' => 'Brazil',
    '34' => 'Brunei Darussalam',
    '35' => 'Bulgaria',
    '36' => 'Burkina Faso',
    '37' => 'Burundi',
    '38' => 'Cambodia',
    '39' => 'Cameroon',
    '40' => 'Cape Verde',
    '41' => 'Cayman Islands',
    '42' => 'Central African Republic',
    '43' => 'Chad',
    '44' => 'Chile',
    '45' => 'China',
    '46' => 'Christmas Island',
    '47' => 'Cocos (Keeling) Islands',
    '48' => 'Colombia',
    '49' => 'Comoros',
    '50' => 'Congo',
    '51' => 'Cook Islands',
    '52' => 'Costa Rica',
    '53' => 'Croatia (Hrvatska)',
    '54' => 'Cuba',
    '55' => 'Cyprus',
    '56' => 'Czech Republic',
    '57' => 'Denmark',
    '58' => 'Djibouti',
    '59' => 'Dominica',
    '60' => 'Dominican Republic',
    '61' => 'East Timor',
    '62' => 'Ecuador',
    '63' => 'Egypt',
    '64' => 'El Salvador',
    '65' => 'Equatorial Guinea',
    '66' => 'Eritrea',
    '67' => 'Estonia',
    '68' => 'Ethiopia',
    '69' => 'Falkland Islands (Malvinas)',
    '70' => 'Faroe Islands',
    '71' => 'Fiji',
    '72' => 'Finland',
    '73' => 'France',
    '74' => 'France, Metropolitan',
    '75' => 'French Guiana',
    '76' => 'French Polynesia',
    '77' => 'French Southern Territories',
    '78' => 'Gabon',
    '79' => 'Gambia',
    '80' => 'Georgia',
    '81' => 'Germany',
    '82' => 'Ghana',
    '83' => 'Gibraltar',
    '84' => 'Greece',
    '85' => 'Greenland',
    '86' => 'Grenada',
    '87' => 'Guadeloupe',
    '88' => 'Guam',
    '89' => 'Guatemala',
    '90' => 'Guinea',
    '91' => 'Guinea-Bissau',
    '92' => 'Guyana',
    '93' => 'Haiti',
    '94' => 'Heard and Mc Donald Islands',
    '95' => 'Honduras',
    '96' => 'Hong Kong',
    '97' => 'Hungary',
    '98' => 'Iceland',
    '99' => 'India',
    '100' => 'Indonesia',
    '101' => 'Iran (Islamic Republic of)',
    '102' => 'Iraq',
    '103' => 'Ireland',
    '104' => 'Israel',
    '105' => 'Italy',
    '106' => 'Ivory Coast',
    '107' => 'Jamaica',
    '108' => 'Japan',
    '109' => 'Jordan',
    '110' => 'Kazakhstan',
    '111' => 'Kenya',
    '112' => 'Kiribati',
    '113' => 'Korea, Democratic People\'s Republic of',
    '114' => 'Korea, Republic of',
    '115' => 'Kosovo',
    '116' => 'Kuwait',
    '117' => 'Kyrgyzstan',
    '118' => 'Lao People\'s Democratic Republic',
    '119' => 'Latvia',
    '120' => 'Lebanon',
    '121' => 'Lesotho',
    '122' => 'Liberia',
    '123' => 'Libyan Arab Jamahiriya',
    '124' => 'Liechtenstein',
    '125' => 'Lithuania',
    '126' => 'Luxembourg',
    '127' => 'Macau',
    '128' => 'Macedonia',
    '129' => 'Madagascar',
    '130' => 'Malawi',
    '131' => 'Malaysia',
    '132' => 'Maldives',
    '133' => 'Mali',
    '134' => 'Malta',
    '135' => 'Marshall Islands',
    '136' => 'Martinique',
    '137' => 'Mauritania',
    '138' => 'Mauritius',
    '139' => 'Mayotte',
    '140' => 'Mexico',
    '141' => 'Micronesia, Federated States of',
    '142' => 'Moldova, Republic of',
    '143' => 'Monaco',
    '144' => 'Mongolia',
    '145' => 'Montenegro',
    '146' => 'Montserrat',
    '147' => 'Morocco',
    '148' => 'Mozambique',
    '149' => 'Myanmar',
    '150' => 'Namibia',
    '151' => 'Nauru',
    '152' => 'Nepal',
    '153' => 'Netherlands',
    '154' => 'Netherlands Antilles',
    '155' => 'New Caledonia',
    '156' => 'New Zealand',
    '157' => 'Nicaragua',
    '158' => 'Niger',
    '159' => 'Nigeria',
    '160' => 'Niue',
    '161' => 'Norfork Island',
    '162' => 'Northern Mariana Islands',
    '163' => 'Norway',
    '164' => 'Oman',
    '165' => 'Pakistan',
    '166' => 'Palau',
    '167' => 'Panama',
    '168' => 'Papua New Guinea',
    '169' => 'Paraguay',
    '170' => 'Peru',
    '171' => 'Philippines',
    '172' => 'Pitcairn',
    '173' => 'Poland',
    '174' => 'Portugal',
    '175' => 'Puerto Rico',
    '176' => 'Qatar',
    '177' => 'Reunion',
    '178' => 'Romania',
    '179' => 'Russian Federation',
    '180' => 'Rwanda',
    '181' => 'Saint Kitts and Nevis',
    '182' => 'Saint Lucia',
    '183' => 'Saint Vincent and the Grenadines',
    '184' => 'Samoa',
    '185' => 'San Marino',
    '186' => 'Sao Tome and Principe',
    '187' => 'Saudi Arabia',
    '188' => 'Senegal',
    '189' => 'Serbia',
    '190' => 'Seychelles',
    '191' => 'Sierra Leone',
    '192' => 'Singapore',
    '193' => 'Slovakia',
    '194' => 'Slovenia',
    '195' => 'Solomon Islands',
    '196' => 'Somalia',
    '197' => 'South Africa',
    '198' => 'South Georgia South Sandwich Islands',
    '199' => 'Spain',
    '200' => 'Sri Lanka',
    '201' => 'St. Helena',
    '202' => 'St. Pierre and Miquelon',
    '203' => 'Sudan',
    '204' => 'Suriname',
    '205' => 'Svalbarn and Jan Mayen Islands',
    '206' => 'Swaziland',
    '207' => 'Sweden',
    '208' => 'Switzerland',
    '209' => 'Syrian Arab Republic',
    '210' => 'Taiwan',
    '211' => 'Tajikistan',
    '212' => 'Tanzania, United Republic of',
    '213' => 'Thailand',
    '214' => 'Togo',
    '215' => 'Tokelau',
    '216' => 'Tonga',
    '217' => 'Trinidad and Tobago',
    '218' => 'Tunisia',
    '219' => 'Turkey',
    '220' => 'Turkmenistan',
    '221' => 'Turks and Caicos Islands',
    '222' => 'Tuvalu',
    '223' => 'Uganda',
    '224' => 'Ukraine',
    '225' => 'United Arab Emirates',
    '226' => 'United Kingdom',
    '227' => 'United States minor outlying islands',
    '228' => 'Uruguay',
    '229' => 'Uzbekistan',
    '230' => 'Vanuatu',
    '231' => 'Vatican City State',
    '232' => 'Venezuela',
    '233' => 'Vietnam',
    '238' => 'Yemen',
    '239' => 'Yugoslavia',
    '240' => 'Zaire',
    '241' => 'Zambia',
    '242' => 'Zimbabwe'
);

$wo['page_categories'] = array(
    '2'   => 'Auto\'s en voertuigen',
    '3'   => 'Komedie',
    '4'   => 'Economie en Handel',
    '5'   => 'Onderwijs',
    '6'   => 'Vermaak',
    '7'   => 'Film & Animatie',
    '8'   => 'Kansspel',
    '9'   => 'Geschiedenis en feiten',
    '10'  => 'Live Style',
    '11'  => 'Natuurlijk',
    '12'  => 'Nieuws en politiek',
    '13'  => 'Mensen en Naties',
    '14'  => 'Huisdieren en Dieren',
    '15'  => 'Plaatsen en regio\'s',
    '16'  => 'Wetenschap en technologie',
    '17'  => 'Sport',
    '18'  => 'Reizen en evenementen',
    '1'   => 'Ander'
);

$wo['relationship'] = array(
    '1'   => 'Single',
    '2'   => 'In een relatie',
    '3'   => 'Getrouwd',
    '4'   => 'Verloofd'
);

$wo['months'] = array(
    '1'   => 'Januari',
    '2'   => 'Februari',
    '3'   => 'Maart',
    '4'   => 'April',
    '5'   => 'Mei',
    '6'   => 'Juni',
    '7'   => 'Juli',
    '8'   => 'Augustus',
    '9'   => 'September',
    '10'  => 'Oktober',
    '11'  => 'November',
    '12'  => 'December'
);

$wo['call_action'] = array(
    '1'   => 'Read more',
    '2'   => 'Shop now',
    '3'   => 'View now',
    '4'   => 'Visit now',
    '5'   => 'Book now',
    '6'   => 'Learn more',
    '7'   => 'Play now',
    '8'   => 'Bet now',
    '9'   => 'Donate',
    '10'  => 'Apply here',
    '11'  => 'Quote here',
    '12'  => 'Order now',
    '13'  => 'Book tickets',
    '14'  => 'Enroll now',
    '15'  => 'Find a card',
    '16'  => 'Get a quote',
    '17'  => 'Get tickets',
    '18'  => 'Locate a dealer',
    '19'  => 'Order online',
    '20'  => 'Preorder now',
    '21'  => 'Schedule now',
    '22'  => 'Sign up now',
    '23'  => 'Subscribe',
    '24'  => 'Register now'
);
?>