<?php
$wo['lang'] = array(
    // welcome page
    'login' => 'Acceder',
    'register' => 'Registrar',
    'guest' => 'Invitado',
    'username' => 'Nombre de Usuario',
    'email' => 'E-mail',
    'password' => 'Contraseña',
    'new_password' => 'Nueva Contraseña',
    'remember_me' => 'Recordarme',
    'or_login_with' => 'O Acceder con:',
    'forget_password' => '¿Olvidaste tu Contraseña?',
    'email_address' => 'Direcci&oacute; de E-mail',
    'confirm_password' => 'Confirmar Contraseña',
    'lets_go' => '¡Vamos!',
    'recover_password' => 'Recuperar',
    'reset_new_password_label' => 'Reiniciar Contraseña',
    'reset_password' => 'Reiniciar',
    'invalid_token' => 'Token Invalido',
    'incorrect_username_or_password_label' => 'Usuario y/o Contraseña incorrectos',
    'account_disbaled_contanct_admin_label' => 'Tu cuenta ha sido des habilitada, por favor cont&aacute;ctanos .',
    'account_not_active_label' => 'Primero debes activar tu cuenta.',
    'successfully_logged_label' => 'Acceso permitido, por favor espere..',
    'please_check_details' => 'Por favor revisa tus detalles.',
    'username_exists' => 'Nombre de usuario ya existe.',
    'username_characters_length' => 'Nombre de usuario debe ser de entre 5 / 32 caracteres',
    'username_invalid_characters' => 'Caracteres Inv&aacute;lidos',
    'password_invalid_characters' => 'Caracteres Inv&aacute;lidos',
    'email_exists' => 'Este correo ya est&aacute; en uso',
    'email_invalid_characters' => 'Este correo es invalido.',
    'password_short' => 'Contrase&ntilde;a muy corta.',
    'password_mismatch' => 'Contrase&ntilde; diferente.',
    'reCaptcha_error' => 'Favor de marcar el Re-Captcha.',
    'successfully_joined_label' => 'Unido satisfactoriamente, Por favor espera..',
    'account_activation' => 'Activaci&oacute;n de cuenta',
    'successfully_joined_verify_label' => 'Registro exitoso, te hemos enviado un correo de verificaci&oacute;n, Revisa tu bandeja de entrada de correo.',
    'email_not_found' => 'No encontramos este E-mail.',
    'password_rest_request' => 'Solicitud de reinicio de contraseña',
    'email_sent' => 'Correo enviado correctamente',
    'processing_error' => 'Un error a ocurrido procesando tu solicitud, Intenta de nuevo mas tarde.',
    'password_changed' => '¡ Contrase&ntilde;a modificada correctamente !',
    'please_choose_correct_date' => 'Por favor elige una fecha correcta.',
    'setting_updated' => '¡ Configuraci&oacute;n correctamente guardada !',
    'current_password_mismatch' => 'Contrase&ntilde;a actual diferente',
    'website_invalid_characters' => 'El sitio web es invalido.',
    'account_deleted' => 'Cuenta eliminada correctamente, por favor espere..',
    'home' => 'Inicio',
    'advanced_search' => 'B&uacute;squeda Avanzada',
    'search_header_label' => 'Buscar Otakus, #hashtags y lolis',
    'no_result' => 'Sin resultados',
    'last_seen' => 'Hace',
    'accept' => 'Aceptar',
    'cancel' => 'Cancelar',
    'delete' => 'Eliminar',
    'my_profile' => 'Mi Perfil',
    'saved_posts' => 'Posts Guardados',
    'setting' => 'Configuraci&oacute;n',
    'admin_area' => 'Área del Admin',
    'log_out' => 'Cerrar Sesión',
    'no_new_notification' => 'No tienes nuevas notificaciones',
    'no_new_requests' => 'No tienes nuevas solicitudes',
    // notification
    'followed_you' => 'te ha seguido',
    'comment_mention' => 'te ha mencionado en un comentario.',
    'post_mention' => 'te menciono en una publicaci&oacute;.',
    'posted_on_timeline' => 'publico en tu timeline.',
    'profile_visted' => 'visitó tu perfil',
    'accepted_friend_request' => 'acepto tu solicitud de amistad.',
    'accepted_follow_request' => 'acepto tu solicitud de seguimiento.',
    'liked_comment' => 'le gusta tu comentario "{comment}" ',
    'wondered_comment' => 'le sorprendioo tu comentario "{comment}" ',
    'liked_post' => 'le gusta tu {postType} {post} ',
    'wondered_post' => 'le sorprendio tu {postType} {post}',
    'share_post' => 'ha compartido tu {postType} {post}',
    'commented_on_post' => 'comento en tu {postType} {post}',
    'activity_liked_post' => 'le gust&oacute; la <a class="main-color" href="{post}">publicaci&oacute;n</a> de {user} .',
    'activity_wondered_post' => 'le sorprendio la <a class="main-color" href="{post}">publicaci&oacute;n</a> de {user} .',
    'activity_share_post' => 'compartio la <a class="main-color" href="{post}">publicaci&oacute;n</a> de {user} .',
    'activity_commented_on_post' => 'comento en la <a class="main-color" href="{post}">publicaci&oacute;n de </a>{user} .',
    'video_n_label' => 'video.',
    'post_n_label' => 'post.',
    'photo_n_label' => 'foto.',
    'file_n_label' => 'archivo.',
    'vine_n_label' => 'vine.',
    'sound_n_label' => 'sonido.',
    'avatar_n_label' => 'foto de perfil.',
    // 404 page & activate page
    'error_not_found' => 'Error 404',
    'sorry_page_not_found' => 'Gommen ne, pagina no encontrada!',
    'page_not_found' => 'La p&aacute;gina que est&aacute;s buscando no se encuentra. Por favor revisa el link y vuelve a intentar.',
    'your_account_activated' => '¡Tu cuenta ha sido activada exitosamente!',
    'free_to_login' => 'Eres libre de <a href="' . Wo_SeoLink('index.php?tab1=welcome') . '">{login}</a> !',
    // admin area
    'general_setting' => 'Configuraci&oacute;n General',
    'login_setting' => 'Configuraci&oactute;n de Acceso',
    'manage_users' => 'Manejar Usuarios',
    'manage_posts' => 'Manejar Publicaciones',
    'manage_reports' => 'Manenjar Reportes',
    'advertisement' => 'Aviso',
    'more' => 'Mas',
    'cache_system' => 'Cache',
    // admin general setting
    'chat_system' => 'Chat',
    'email_validation' => 'Validaci&oacute;n de correo',
    'email_notification' => 'Notificaciones',
    'smooth_links' => 'Smooth links',
    'seo_friendly_url' => 'url amigable para SEO',
    'file_sharing' => 'Compartir Archivos',
    'themes' => 'Temas',
    'user_setting' => 'Configuraci&oacute;n de usuario',
    'site_setting' => 'Configuraci&oacute;n de sitio',
    'cache_setting_info' => 'Habilitar cache para aumentar la velocidad de tu sitio, Recomendado para m&aacute;s de 10,000 usuarios activos.',
    'chat_setting_info' => 'Habilitar cache de chat, para hablar con amigos al pie del sitio',
    'email_validation_info' => 'Habilitar validaci&oacute;n de correo para usuarios registrados.',
    'email_notification_info' => 'Habilitar notificaci&oacute;n por correo para enviar al usuario.',
    'smooth_links_info' => 'Habilitar smooth links, e.g.' . $wo['config']['site_url'] . '/home.',
    'seo_frindly_info' => 'Habilitar url amigable para SEO, e.g.' . $wo['config']['site_url'] . '//1_hello-how-are-you-doing.html',
    'file_sharing_info' => 'Habilitar compartir archivos, para subir v&iacute;deos, sonido, im&aacute;genes , etc..',
    'cache' => 'Cache',
    // site info setting
    'site_information' => 'Informaci&oacute;n del sitio',
    'site_title_name' => 'Nombre y t&iacute;tulo del sitio:',
    'site_name' => 'Nombre del sitio',
    'site_title' => 'T&iacute;tulo del sitio',
    'site_keywords_description' => 'Palabras clave y Descripci&oacute;:',
    'site_keywords' => 'Palabras clave (ej: social,wownder ..)',
    'site_description' => 'Descripci&oacute;n del sitio',
    'site_email' => 'E-mail del sitio',
    'site_lang' => 'Lenguaje por defecto',
    // themes setting
    'theme_setting' => 'Configuraci&oacute;n de Tema',
    'activeted' => 'Activado',
    'version' => 'Versi&oacute;n:',
    'author' => 'Autor:',
    'user_status' => 'Estatus de usuario',
    // user setting
    'online_lastseen' => '(En linea/visto hace)',
    'enable' => 'Habilitado',
    'disable' => 'Des habilitado',
    'allow_users_to_delete' => 'Permitir a usuarios eliminar su cuenta:',
    'profile_visit_notification' => 'Notificaci&oacute;n de visita de perfil:',
    'display_user_age_as' => 'Mostrar edad de usuario como:',
    'date' => 'Fecha',
    'age' => 'Edad',
    'connectivity_system' => 'Sistema de Conectividad:',
    'connectivity_system_note' => '<span style="color:red;">Nota:</span> Si migras de un sistema a otro, Toda la informaci&oacute;n existente, seguidos, seguidores, etc.., ser&aacute; eliminada para evitar conflictos.</small>',
    'friends_system' => 'Sistema de amigos',
    'follow_system' => 'Sistema de seguidores',
    'max_upload_size' => 'Limite de subida:',
    'max_characters_length' => 'Limite de caracteres:',
    'allowed_extenstions' => 'Extensiones permitidas:',
    // reCaptcha settting
    'reCaptcha_setting' => 'Configuraci&oacute;n reCaptcha',
    'reCaptcha_key_is_required' => 'Llave de reCaptcha es requerida',
    'reCaptcha_key' => 'Llave de reCaptcha :',
    // google analytics setting
    'google_analytics' => 'Google Analytics',
    'google_analytics_code' => 'Google analytics code:',
    // cache setting
    'cache_setting' => 'Configuraci&oacute;n de Cache',
    'cache_recomended_clear' => 'Es altamente recomendado limpiar la cache.',
    'cache_size' => 'Tamaño de Cache:',
    'clear_cache' => 'Limpiar Cache',
    // social login setting
    'social_login' => 'Social login',
    'social_login_api' => 'APIS sociales',
    'facebook' => 'Facebook',
    'google' => 'Google+',
    'twitter' => 'Twitter',
    'linkedin' => 'Linkedin',
    'vkontakte' => 'Vkontakte',
    'facebook_api' => 'Facebook API',
    'google_api' => 'Google API',
    'twitter_api' => 'Twitter API',
    'linkedin_api' => 'Linkedin API',
    'vkontakte_api' => 'Vkontakte API',
    'app_id' => 'ID de aplicaci&oacute;n',
    'app_secret_key' => 'Llave secreta de aplicaci&oacute;n',
    'login_with' => 'Ingresar con',
    // manage users
    'id' => 'ID',
    'source' => 'Fuente',
    'status' => 'Estado',
    'pending' => 'Pendiente',
    'first_name' => 'Nombre',
    'last_name' => 'Apellido',
    'about_me' => 'Sobre mi',
    'website' => 'Website',
    'action' => 'Acci&oacute;n',
    'show_more_users' => 'Mostrar m&aacute;s usuarios',
    'no_more_users_to_show' => 'No hay m&aacute;s usuarios',
    'user_delete_confirmation' => '¿Seguro que deseas eliminar este amigo?',
    'post_delete_confirmation' => '¿Seguro que deseas eliminar est&aacute; punlicaci&oacute;n?',
    'show_more_posts' => 'Mostrar m&aacute;s publicaciones',
    'no_more_posts' => 'No hay mas publicaciones',
    'no_posts_found' => 'Publicaci&oacute;n no encontrada',
    'publisher' => 'Editor',
    'there_are_not_new_posts_for_now' => 'No hay mas publicaciones por ahora',
    'post_link' => 'Publicar link',
    'time' => 'Hora',
    'post' => 'Publicacion',
    'no_posts_yet' => '{name} no ha publicado nada a&uacute;n',
    'search' => 'Buscar',
    'on' => 'Encender',
    'off' => 'Apagar',
    'save' => 'Guardar',
    'saved' => '¡ Guardado !',
    // Manage Report
    'reporter' => 'Reportes',
    'time_reported' => 'Hora reportada',
    'there_are_no_new_reports' => 'No hay nuevos reportes por ahora.',
    'open_post' => 'Abrir publicaci&oacute;n',
    'mark_safe' => 'Marcar como seguro',
    'delete_post' => 'Eliminar publicaci&oacute;n',
    // Advertisement Setting
    'advertisement_setting' => 'Configuraci&oacuten; de avisos',
    // More Setting
    'more_setting' => 'M&aacute;s configuraciones',
    'mailing_users' => 'Lista de correos',
    'send' => 'Enviar',
    'mailing_subject' => 'Tema..',
    'mailing_message' => 'Mensaje..',
    'announcement' => 'Anuncio:',
    'new_announcement' => 'Nuevo anuncio ..',
    'add' => 'Agregar',
    'views' => 'Vistas',
    'there_are_no_active_announcements' => 'No hay avisos activos.',
    'there_are_no_inactive_announcements' => 'No hay avisos inactivos.',
    // end admin
    'add_friend' => 'Agregar amigo',
    'follow' => 'Seguir',
    'following' => 'Siguiendo',
    'following_btn' => 'Siguiendo',
    'followers' => 'Seguidores',
    'message' => 'Mensaje',
    'requested' => 'Solicitado',
    'friends_btn' => 'Amigos',
    'online' => 'Conectado',
    'offline' => 'Desconectado',
    'you_are_currently_offline' => 'Est&aacute;s actualmente desconectado.',
    'no_offline_users' => 'Sin usuarios desconectados.',
    'no_online_users' => 'Sin usuarios conectados.',
    'search_for_users' => 'Buscar usuarios',
    'no_users_found' => 'Usuario no encontrado.',
    'seen' => 'Visto',
    'load_more_posts' => 'Cargar m&aacute;s publicaciones',
    'load_more_users' => 'Cargar m&aacute;S usuarios',
    'there_are_no_tags_found' => 'Sin resultados para tu b&uacute;squeda.',
    'there_are_no_saved_posts' => 'No tienes ning&uacute;na publicaci&oacute;n guardada.',
    'messages' => 'Mensajes',
    'write_something' => 'Escribe algo .. ',
    'no_more_message_to_show' => 'No hay mensajes',
    'view_more_messages' => 'Ver m&aacute;s mensajes',
    'sorry_cant_reply' => 'Disculpa, no puedes responder a este usuario.',
    'choose_one_of_your_friends' => 'Elige uno de tus amigos',
    'and_say_hello' => '¡ Y dile algo!',
    // Modalas
    'download' => 'Descargar',
    'update_your_info' => 'Actualizar tu informaci&oacute;n',
    'choose_your_username' => 'Escoje tu nombre de usuario:',
    'create_your_new_password' => 'Crear tu nueva contrase&ntilde;a:',
    'update' => 'Actualizar',
    'delete_comment' => 'Eliminar comentario',
    'confirm_delete_comment' => '¿ Seguro que deseas eliminar est&eacute; comentario ?',
    'confirm_delete_post' => '¿ Seguro que deseas eliminar est&aacute; publicaci&oacute;n?',
    'edit_post' => 'Editar Publicaci&oacute;n',
    'session_expired' => 'Sesi&oacute;n Expirada',
    'session_expired_message' => 'Tu sesi&oacute;n ha expirado, ingresa nuevamente.',
    // serach filter + timline
    'country' => 'Pa&iacute;s',
    'all' => 'Todo',
    'gender' => 'Genero',
    'female' => 'Mujer',
    'male' => 'Hombre',
    'profile_picture' => 'Imagen de perfil',
    'result' => 'Resultado:',
    'yes' => 'Si',
    'no' => 'No',
    'verified_user' => 'Usuario Verificado',
    'change_password' => 'Cambiar contrase&ntilde;a',
    'current_password' => 'Contrase&ntilde;a actual',
    'repeat_password' => 'Repetir contrase&ntilde;a',
    'general' => 'General',
    'profile' => 'Perfil',
    'privacy' => 'Privacidad',
    'delete_account' => 'Eliminar cuenta',
    'delete_account_confirm' => '¿ Seguro que deseas eliminar tu cuenta ?',
    'delete_go_back' => 'No, fue un error',
    'verified' => 'Verificado',
    'not_verified' => 'No verificado',
    'admin' => 'Administrador',
    'user' => 'Usuario',
    'verification' => 'Verificaci&oacute;n',
    'type' => 'Tipo',
    'birthday' => 'Cumplea&ntilde;os',
    'active' => 'Activo',
    'inactive' => 'Inactivo',
    'privacy_setting' => 'Configuraci&oacute;n de privacidad',
    'follow_privacy_label' => '¿ Qui&eacute;n puede seguirme ?',
    'everyone' => 'Todos pueden ver',
    'my_friends' => 'Mis Amigos',
    'no_body' => 'Nadie',
    'people_i_follow' => 'Personas que sigo',
    'people_follow_me' => 'Personas que me sigue',
    'only_me' => 'Solo yo',
    'message_privacy_label' => '¿Qui&eacute;n puede enviarme mensajes?',
    'timeline_post_privacy_label' => '¿Qui&eacute;n puede publicar en mi perfil?',
    'activities_privacy_label' => '¿Mostrar mi actividad?',
    'show' => 'Mostrar',
    'hide' => 'Ocultar',
    'confirm_request_privacy_label' => '¿Confirmar cuando alguien te sigue?',
    'lastseen_privacy_label' => '¿Mostrar mi &uacute;ltima conexi&oacute;n?',
    'site_eg' => '(e.j: http://www.siteurl.com)',
    'profile_setting' => 'Configuraci&oacute;n de perfil',
    // Story
    'pinned_post' => 'Anotado',
    'pin_post' => 'Anotar publicaci&oacute;n',
    'unpin_post' => 'Des anotar publicaci&oacute;n',
    'open_post_in_new_tab' => 'Abrir en nueva pestaña',
    'unsave_post' => 'No guardar publicaci&oacute;n',
    'save_post' => 'Guardar publicaci&oacute;n',
    'unreport_post' => 'Quitar reporte',
    'report_post' => 'Reportar publicaci&oacute;n',
    'shared_this_post' => 'Comparti&oacute; est&aacute; publicaci&oacute;n',
    'changed_profile_picture_male' => 'Cambio su foto de perfil',
    'changed_profile_picture_female' => 'Cambio su foto de perfil',
    'post_login_requriement' => '¡ Ingresa para dar Like, Comentar, Seguir y muchas cosas m&aacute;s !',
    'likes' => 'Me gusta',
    'like' => 'Me gusta',
    'wonder' => 'Me sorprende',
    'wonders' => 'Me sorprende',
    'share' => 'Compartir',
    'comments' => 'Comentarios',
    'no_likes' => 'Sin Me Gusta',
    'no_wonders' => 'Sin Me Sorprende',
    'write_comment' => 'Escribe un comentario y presiona enter',
    'view_more_comments' => 'Ver m&aacute;s comentarios',
    'welcome_to_news_feed' => '¡ Bienvenido a tu muro de noticias !',
    'say_hello' => '¡ Di hola !',
    'publisher_box_placeholder' => '¿ Que est&aacute;s pensando ? #Anime #lolis.. @Otakus..',
    'youtube_link' => 'Link de Youtube',
    'vine_link' => 'Link de Vine',
    'soundcloud_link' => 'Link de SoundCloud',
    'maps_placeholder' => '¿ Donde est&aacute;s ?',
    'post_label' => 'Publicar',
    'text' => 'Texto',
    'photos' => 'Fotos',
    'sounds' => 'Sonidos',
    'videos' => 'Videos',
    'maps' => 'Mapas',
    'files' => 'Archivos',
    'not_following' => 'No sigues a ning&uacute;n usuario',
    'no_followers' => 'Sin seguidores',
    'details' => 'Detalles',
    'social_links' => 'Redes Sociales',
    'online_chat' => 'Amigos Conectados',
    // Footer
    'about' => 'Pin',
    'contact_us' => 'Contacto',
    'privacy_policy' => 'Pol&iacute;tica',
    'terms_of_use' => 'Condiciones',
    'developers' => 'Developers',
    'language' => 'Idioma',
    'copyrights' => 'Copyright © ' . date('Y') . ' ' . $wo['config']['siteName'] . '. Todos los derechos reservados.',
    // time + dates
    'year' => 'A&ntilde;o',
    'month' => 'mes',
    'day' => 'd&iacute;a',
    'hour' => 'hora',
    'minute' => 'minuto',
    'second' => 'segundo',
    'years' => 'a&ntilde;os',
    'months' => 'meses',
    'days' => 'd&iacute;as',
    'hours' => 'horas',
    'minutes' => 'minutos',
    'seconds' => 'segundos',
    'time_ago' => '',
    'time_from_now' => 'desde ahora',
    'time_any_moment_now' => 'cualquier momento',
    'time_just_now' => 'Ahora',
    'time_about_a_minute_ago' => 'Hace un minuto',
    'time_minute_ago' => 'hace %d minutos',
    'time_about_an_hour_ago' => 'Hace una hora',
    'time_hours_ago' => 'Hace %d horas',
    'time_a_day_ago' => 'Hace un dia',
    'time_a_days_ago' => 'Hace %d dias',
    'time_about_a_month_ago' => 'Hace un mes',
    'time_months_ago' => 'Hace %d meses',
    'time_about_a_year_ago' => 'Hace un año',
    'time_years_ago' => 'Hace %d años',
    'latest_activities' => 'Actividad reciente',
    'no_activities' => 'No hay actividad reciente',
    'trending' => '¡ Popular !',
    'load_more_activities' => 'Cargar mas actividad',
    'no_more_actitivties' => 'No hay mas actividad',
    'people_you_may_know' => 'Personas que tal vez conozcas',
    'too_long' => 'Muy largo',
    'too_short' => 'Muy corto.',
    'available' => '¡ Disponible !',
    'in_use' => 'En uso.',
    'username_invalid_characters_2' => 'Nombre de usuario no valido, no debe contener s&iacute;mbolos, caracteres especiales o espacios.',
    // New v1.1
    'liked' => 'Me gusta',
    'my_pages' => 'Mis páginas',
    'liked_page' => 'Me gustó tu página ({page_name})',
    'this_week' => 'Esta semana',
    'posts' => 'Publicaciones',
    'located_in' => 'Situado en',
    'phone_number' => 'Teléfono',
    'company' => 'Compañía',
    'category' => 'Categoría',
    'search_for_posts' => 'Buscar mensajes',
    'create_new_page' => 'Crear nueva página',
    'page_name' => 'Nombre de la página',
    'page_title' => 'Título de la página',
    'your_page_title' => 'Tu página de título',
    'page_category' => 'Página Categoría',
    'page_description' => 'Descripción de la página',
    'page_description_info' => 'Su descripción de página, entre 10 y 200 caracteres máx.',
    'create' => 'Crear',
    'page_name_exists' => 'Nombre de la página es que ya existe.',
    'page_name_characters_length' => 'Nombre de la página debe estar entre 5/32',
    'page_name_invalid_characters' => 'Caracteres del nombre de la página no válidos',
    'edit' => 'Editar',
    'page_information' => 'Página de información',
    'delete_page' => 'Eliminar página',
    'location' => 'Localización',
    'pages_you_may_like' => 'Páginas que le gustará',
    'show_more_pages' => 'Mostrar más páginas',
    'no_more_pages' => 'No más páginas para mostrar',
    'page_delete_confirmation' => '¿Seguro que quieres borrar esta página?',
    'manage_pages' => 'Gestionar páginas',
    'owner' => 'Propietario',
    'no_pages_found' => 'No se encontraron páginas',
    // Welcome Page title
    'welcome_wonder' => 'Pintter',
    'welcome_connect' => 'Conectar',
    'welcome_share' => 'Compartir',
    'welcome_discover' => 'Descubrir',
    'welcome_find_more' => 'Encuentra más',
    'welcome_mobile' => 'Mobile Amistoso',
    // Welcome page description
    'welcome_wonder_text' => 'Libre y sin restricciones, asombroso para compartir tus publicaciones en todo el mundo.',
    'welcome_connect_text' => 'Conéctate con tu familia y amigos para compartir los mejores momentos. ',
    'welcome_share_text' => 'Comparte todos tus contenidos a través de Pintter y consigue la mejor promoción. ',
    'welcome_discover_text' => 'Descubre nuevas personas, haz nuevas conexiones y nuevos contactos.',
    'welcome_find_more_text' => 'Encuentras más de lo que estás buscando con el nuevo Pintter Buscador.',
    'welcome_mobile_text' => '100% adaptable a cualquier pantalla móvil, tabletas o dispositivo inteligentes.',
    
    'working_at' => 'Trabajando en',
    'relationship' => 'Relación',
    'none' => 'Ninguno',
    'avatar' => 'Avatar',
    'cover' => 'Fondo',
    'background' => 'Fondo de Pantalla',
    'theme' => 'Tema',
    'deafult' => 'Defecto',
    'my_background' => 'Mi pasado',
    'company_website' => 'Página Web de la compañía',
    'liked_my_page' => 'Me gustó mi página',
    // New v1.2
    
    'dislike' => 'No me gusta',
    'dislikes' => 'No le gusta',
    'disliked_post' => 'no le gusta tu {postType} {post}',
    'disliked_comment' => 'no le gustaba su comentario "{comment}"',
    'activity_disliked_post' => 'No me gustó {user} <a class="main-color" href="{post}"> posterior </a>.',
    'second_button_type' => 'Segundo mensaje de tipo botón',
    'group_name' => 'Nombre del grupo',
    'group_title' => 'Título del Grupo',
    'my_groups' => 'Mis grupos',
    'school' => 'Colegio',
    'site_keywords_help' => 'Ejemplo:, wowonder, sitio social sociales',
    'message_seen' => 'Mensaje Seen',
    'recommended_for_powerful' => 'Recomendado para servidores de gran alcance',
    'message_typing' => 'Sistema de tipificación de Chat',
    'reCaptcha' => 'reCaptcha',
    'instagram' => 'Instagram',
    'profile_visit_notification_help' => 'Si desactivas esta notificación tu tampoco recibirás avisos de visita de otros usuarios.',
    'account_delete' => 'Borrar cuenta',
    'ip_address' => 'Dirección IP',
    'manage_groups' => 'Administrar grupos',
    'group_delete_confirmation' => '¿Seguro que quieres borrar este grupo?',
    'no_more_groups' => 'No hay más grupos que mostrar',
    'show_more_groups' => 'Mostrar más grupos',
    'members' => 'Miembros',
    'verifications_requests' => 'Solicitudes verificación',
    'verify' => 'Verificar',
    'ignore' => 'Ignorar',
    'page' => 'Página',
    'no_new_verification_requests' => 'No hay nuevas solicitudes de verificación',
    'ban_user' => 'Ban usuario',
    'banned' => 'Banned',
    'there_are_no_banned_ips' => 'No hay ips prohibidas.',
    'invalid_ip' => 'Dirección IP no válida.',
    'ip_banned' => 'Dirección IP prohibida éxito.',
    'ip_exist' => 'Dirección IP ya existen',
    'please_add_ip' => 'Por favor, añada una dirección IP',
    'ip_deleted' => 'Dirección IP eliminado correctamente',
    'email_me_when' => 'Envíame un email:',
    'e_likes_my_posts' => 'Cuando a alguien le gusta mis posts',
    'e_wondered_my_posts' => 'Cuando alguien pregunta en mis posts',
    'e_commented_my_posts' => 'Cuando alguien comenta mis posts',
    'e_shared_my_posts' => 'Cuando alguien comparte mis posts',
    'e_followed_me' => 'Cuando alguien me sigue',
    'e_liked_page' => 'Cuando a alguien le gusta mis páginas',
    'e_visited_my_profile' => 'Cuando alguien ha visitó mi perfil',
    'e_mentioned_me' => 'Cuando alguien me menciona',
    'e_joined_group' => 'Cuando alguien se une a mis grupos',
    'e_accepted' => 'Cuando alguien acepta mi petición',
    'e_profile_wall_post' => 'Cuando alguien escribe en mi muro',
    'no_groups_found' => 'No se encontraron grupos',
    'group_information' => 'Información del Grupo',
    'delete_group' => 'Eliminar grupo',
    'group_name_exists' => 'El nombre del grupo es ya existe.',
    'group_name_invalid_characters' => 'Caracteres del nombre de grupo no válido',
    'group_name_characters_length' => 'Nombre del grupo debe estar entre 5/32',
    'no_requests_found' => 'No hay peticiones encontrados',
    'remove' => 'Eliminar',
    'no_members_found' => 'No se encontraron usuarios',
    'group_deleted' => 'Grupo eliminado correctamente',
    'create_new_group' => 'Crear nuevo grupo',
    'my_games' => 'Mis juegos',
    'no_games_found' => 'No se han encontrado juegos',
    'groups' => 'Grupos',
    'no_friends' => 'No tiene amigos todavía',
    'no_groups' => 'No unirse a ningún grupo todavía',
    'load_more_pages' => 'Cargar más páginas',
    'load_more_groups' => 'Cargar más grupos',
    'joined_group' => 'Se ha unido a tu grupo ({group_name})',
    'happy' => 'Feliz',
    'loved' => 'Me encantaron',
    'sad' => 'Triste',
    'so_sad' => 'Muy triste',
    'angry' => 'Enfadado',
    'confused' => 'Confuso',
    'smirk' => 'Caliente',
    'broke' => 'Roto',
    'expressionless' => 'inexpresivo',
    'cool' => 'Guay',
    'funny' => 'Divertido',
    'tired' => 'Cansado',
    'lovely' => 'Encantador',
    'blessed' => 'Bendito',
    'shocked' => 'Conmocionado',
    'sleepy' => 'Soñoliento',
    'pretty' => 'bastante',
    'bored' => 'aburrido',
    'total_users' => 'Total de usuarios',
    'users' => 'Usuarios',
    'pages' => 'Páginas',
    'games' => 'Juegos',
    'online_users' => 'Usuarios en línea',
    'recent_searches' => 'Búsquedas recientes',
    'clear' => 'Claro',
    'search_filter' => 'Filtro de búsqueda',
    'keyword' => 'Palabra clave',
    'what_are_looking_for' => '¿Que están buscando ?',
    'changed_profile_cover_picture_male' => 'Cambió su foto de perfil',
    'changed_profile_cover_picture_female' => 'Cambió su foto de perfil',
    'latest_games' => 'Últimos Juegos',
    'no_albums_found' => 'No hay álbumes encontrados',
    'create_album' => 'Crear albúm',
    'my_albums' => 'Mis álbumes',
    'album_name' => 'Nombre del álbum',
    'upload' => 'Subir',
    'add_photos' => 'Agregar fotos',
    'replies' => 'respuestas',
    'reply_to_comment' => 'Responder al comentario',
    'replied_to_comment' => 'respondió a tu comentario "{comment}"',
    'comment_reply_mention' => 'te ha mencionado en una respuesta "{comment}"',
    'also_replied' => 'respondió al comentario "{comment}"',
    'liked_reply_comment' => 'gustado su respuesta "{comment}"',
    'wondered_reply_comment' => 'preguntó su respuesta "{comment}"',
    'disliked_reply_comment' => 'no le gustaba su respuesta "{comment}"',
    'profile_visit_notification_p' => '¿Enviar a los usuarios aviso de visita?',
    'showlastseen_help' => 'Si desactivas esta notificación tu tampoco podrás ver la conexión de otros usuarios.',
    'timeline_birthday_label' => '¿Quién puede ver mi cumpleaños?',
    'people_likes_this' => 'Me gusta',
    'page_inviate_label' => 'Invitar amigos',
    'invite_your_frineds' => 'Invita a tus amigos / seguidores para ver si les gusta esto',
    'not_invite' => 'No tienes más amigos que invitar...',
    'invite' => 'Invitación',
    'invited_page' => 'te invito para ver si te gusta ({page_name})',
    'accepted_invited_page' => 'acepto tu invitación a ({page_name})',
    'call_to_action' => 'Llamar a la acción',
    'call_to_action_target' => 'Insertar url',
    'call_action_type_url_invalid' => 'Llamado a la página web de acción no es válido',
    'avatar_and_cover' => 'Avatar y Fondo',
    'online_sidebar_admin_label' => 'Permita que los usuarios en línea para usuarios activos mostrar en la barra lateral.',
    'not_active' => 'No esta activado',
    'females' => 'Las hembras',
    'males' => 'Los machos',
    'dashboard' => 'Tablero de instrumentos',
    'albums' => 'Álbumes',
    'name' => 'Nombre',
    'players' => 'Jugadores',
    'add_new_game' => 'Añadir Nuevo Juego',
    'game_added' => 'Juego añadió',
    'url_not_supported_game' => 'Esta url no es compatible',
    'please_add_a_game' => 'Por favor, añada una url juego',
    'active_announcements' => 'Anuncios activos',
    'inactive_announcements' => 'Anuncios inactivos',
    'ban' => 'Prohibición',
    'new_email' => 'Nuevo Email',
    'html_allowed' => 'Html permitido',
    'send_me_to_my_email' => 'Enviar a mi correo electrónico',
    'test_message' => 'Mensaje de prueba',
    'joined_members' => 'Miembros Antigüedad',
    'join_requests' => 'Únete Solicitudes',
    'verified_pages' => 'Verificado Páginas',
    'file_sharing_extenstions' => 'Extensiones de intercambio de archivos (separados con comas,)',
    'word_cons' => 'Palabras para ser censurados, separados por una coma (,)',
    'join' => 'Unirse',
    'joined' => 'Unido',
    'request' => 'Petición',
    'edit_comment' => 'Editar comentario',
    'last_play' => 'Último juego:',
    'play' => 'Jugar',
    'confirm_request_group_privacy_label' => 'Confirmar pedido cuando alguien unirse a este grupo?',
    'who_can_see_group_posts' => '¿Quién puede ver los mensajes de este grupo?',
    'joined_users' => 'Usuarios Antigüedad',
    'social_links' => 'Enlaces Sociales',
    'living_in' => 'Viviendo en',
    'design' => 'Diseño de Página',
    'guest' => 'Huésped',
    'people_you_may_want_to_meet' => 'La gente es posible que desee conocer',
    'added_new_photos_to' => 'añadido nuevas fotos a',
    'is_feeling' => 'es la sensación',
    'is_traveling' => 'está viajando a',
    'is_listening' => 'está escuchando',
    'is_playing' => 'está jugando',
    'is_watching' => 'esta viendo',
    'feeling' => 'Sensación',
    'traveling' => 'Viajando a',
    'watching' => 'Acecho',
    'playing' => 'Jugando',
    'listening' => 'Escuchar',
    'feeling_q' => 'Que estás sintiendo ?',
    'traveling_q' => 'A donde viajas ?',
    'watching_q' => 'Qué estás viendo ?',
    'playing_q' => '¿A qué juegas?',
    'listening_q' => 'Qué estás escuchando ?',
    'feel_d' => 'Que estas haciendo ?',
    'working_at' => 'Trabajando en',
    'studying_at' => 'Estudiando en',
    'located_in' => 'Situado en',
    'company_website_invalid' => 'Página web de la empresa no es válido',
    'page_deleted' => 'Página eliminado correctamente',
    'cover_n_label' => 'Imagen de portada.',
    'suggested_groups' => 'Grupos sugeridos',
    'accepted_join_request' => 'aceptó su solicitud para unirse ({group_name})',
    'requested_to_join_group' => 'solicitado a unirse a su grupo',
    'no_one_posted' => 'Nadie ha escrito todavía',
    'add_your_frineds' => 'Añadir amigos a este grupo',
    'added_all_friends' => 'No hay amigos para agregarlos',
    'added_you_to_group' => 'te agrego al grupo ({group_name})',
    'group_type' => 'Tipo de grupo',
    'public' => 'Público',
    'private' => 'Privado',
    'reports' => 'Informes',
    'no_dislikes' => 'Sin embargo no le gusta',
    'disliked' => 'No me gustó',
    'wondered' => 'Se preguntó',
    'read_more' => 'Lee mas..',
    'read_less' => 'Cerrar..',
    'terms' => 'Condiciones Páginas',
    'profile_privacy' => 'Perfil de usuario de Privacidad',
    'profile_privacy_info' => 'Activar para permitir que los usuarios no iniciar sesión para ver los perfiles de los usuarios.',
    'video_upload' => 'Vídeo Subir',
    'video_upload_info' => 'Habilitar subida de vídeo para compartir y subir videos al sitio.',
    'audio_upload' => 'Audio Subir',
    'audio_upload_info' => 'Habilitar audio upload compartir y cargar suena al sitio.',
    'add_photo' => 'Añade una foto.',
    'add_photo_des' => 'Muestra tu estilo y personalidad única.',
    'start_up_skip' => 'Omitir este paso por ahora',
    'start_up_continue' => 'Guardar y Continuar',
    'tell_us' => 'Cuéntanos acerca de ti.',
    'tell_us_des' => 'Comparta su información con nuestra comunidad.',
    'get_latest_activity' => 'Obtener las últimas actividades de los usuarios populares.',
    'follow_head' => 'Siga nuestros usuarios más populares.',
    'follow_num' => 'Siga {number} y Finalizar',
    'looks_good' => 'Se ve bien.',
    'looks_good_des' => 'Podrás añadir más a tu perfil después.',
    'upload_your_photo' => 'Sube tu foto',
    'please_wait' => 'Por favor espera..',
    // New v1.2.3
    'username_or_email' => 'Usuario o correo electrónico',
    'email_setting' => 'Ajuste de Correo',
    // New v1.3
    'years_old' => 'años',
    'friends_birthdays' => 'Cumpleaños de amigos',
    'sms_setting' => 'Configuración SMS',
    'smooth_loading' => 'Cargando',
    'boosted_pages_viewable' => 'Tus paginas promocionadas seran vistas en toda la comunidad.',
    'boost_page_in_same_time' => 'Tu {type_name}, solo puedes promocionar {can_boost} paginas al mismo tiempo.',
    'boost_posts_in_same_time' => 'Tu {type_name}, solo puedes promocionar {can_boost} posts al mismo tiempo.',
    'there_are_no_boosted_pages' => 'No hay paginas promocionados aún.',
    'there_are_no_boosted_posts' => 'No hay post promocionados aún.',
    'discover_pro_types' => 'Descubre mas {sitename} funciones con los nuevos paquetes!',
    'star' => 'Star',
    'hot' => 'Hot',
    'ultima' => 'Ultima',
    'vip' => 'Vip',
    'featured_member' => 'Miembros destacados',
    'see_profile_visitors' => 'Ver visitantes en su perfil',
    'show_hide_lastseen' => 'Ver / Ocultar ultimas visitas',
    'verified_badge' => 'Cuenta Verificada',
    'post_promotion_star' => 'Promocionar publicación<br><small>(No Disponible)</small>',
    'page_promotion_star' => 'Promocionar pagina<br><small>(No Disponible)</small>',
    '0_discount' => '0% descuento',
    '10_discount' => '10% descuento',
    '20_discount' => '20% descuento',
    '60_discount' => '60% descuento',
    'per_week' => 'por semana',
    'per_month' => 'por mes',
    'per_year' => 'por año',
    'life_time' => 'de por vida',
    'upgrade_now' => 'Actualiza ahora',
    'post_promotion_hot' => 'Promociona asta 5 posts<br><small>(5 al mismo tiempo 7/24)</small>',
    'page_promotion_hot' => 'Promociona asta 5 paginas<br><small>(5 al mismo tiempo 7/24)</small>',
    'post_promotion_ultima' => 'Promociona asta 20 posts<br><small>(20 al mismo tiempo 7/24)</small>',
    'page_promotion_ultima' => 'Promociona asta 20 paginas<br><small>(20 al mismo tiempo 7/24)</small>',
    'post_promotion_vip' => 'Promociona asta posts<br><small>(40 al mismo tiempo 7/24)</small>',
    'page_promotion_vip' => 'Promociona asta 40 paginas<br><small>(40 al mismo tiempo 7/24)</small>',
    'boosted_posts' => 'Promocionar Posts',
    'boosted_pages' => 'Promocionar Paginas',
    'put_me_here' => 'Poner aqui',
    'promoted' => 'Promocionar',
    'oops_something_went_wrong' => 'Oops ! Algo salio mal.',
    'try_again' => 'Trata de nuevo',
    'boost_page' => 'Promocionar Pagina',
    'page_boosted' => 'Pagina promocionada',
    'un_boost_page' => 'Des-promover pagina',
    'edit_page_settings' => 'Editar ajustes de página',
    'blocked_users' => 'Blockear usuario',
    'un_block' => 'Des-blockear',
    'css_file' => 'Archivo CCS',
    'css_status_default' => 'diseño por defecto',
    'css_status_my' => 'Mi CSS',
    'design' => 'Desiño',
    'css_file_info' => 'Ahora puedes rediseñar tu perfil con tu propio estilo (Css)',
    'invite_your_frineds_home' => 'Invita a tus amigos',
    'send_invitation' => 'Enviar invitación',
    'boost_post' => 'Promocionar post',
    'unboost_post' => 'Des-promocionar post',
    'drag_to_re' => 'Arrastra la portada para recortarla',
    'block_user' => 'Blockear usuario',
    'edit_user' => 'Editar usuario',
    'cong' => 'Felicidades! Ahora <span style="color:{color}"><i class="fa fa-{icon} fa-fw"></i>{type_name}',
    'cong_2' => 'Comiencza a utilizar las nuevas funciones',
    'activation_oops' => 'Oops, Parece que su cuenta no está activada aún.',
    'activation_method' => 'Por favor trata con otro metodo para activar tu cuenta.',
    'activation_email' => 'Via E-mail',
    'activation_phone' => 'Via SMS',
    'activation_or' => 'O',
    'activation_send_code' => 'Enviar código de activación',
    'activation_get_code_again' => 'No he recivido código?',
    'activation_resend' => 'Re-enviar',
    'activation_should_receive' => 'Debería recibir el código dentro de',
    'confirm' => 'Confirmar',
    'phone_num_ex' => 'Numero de Telefono (eg. +001...)',
    'error_while_activating' => 'Error al activar su cuenta.',
    'wrong_confirmation_code' => 'Este código no es valido.',
    'failed_to_send_code' => 'No se pudo enviar código de activación.',
    'worng_phone_number' => 'Numero incorrecto.',
    'phone_already_used' => 'Este nuemero ya a sido usado.',
    'sms_has_been_sent' => 'El código de activación a sido enviado.',
    'error_while_sending_sms' => 'Error al enviar código de activacion, por favor trata con otro numero .',
    'failed_to_send_code_fill' => 'Error al enviar código de activacion, por favor trata con otro metodo.',
    'email_sent_successfully' => 'El correo a sido enviado, por favor check your inbox or spam folder for the activation link.',
    'limit_exceeded' => 'Límite excedido, por favor trata mas tarde.',
    'failed_to_send_code_email' => 'Error al enviar código de activacion, por favor trata con otro numero o activa tu cuenta via email accediendo a tu cuenta .',
    'free_member' => 'Usuario gratis',
    'star_member' => 'Usuario star',
    'hot_member' => ' Usuario hot',
    'ultima_member' => 'Usuario ultima',
    'vip_member' => 'Usuario VIP',
    'moderator' => 'Moderador',
    'member_type' => 'Tipo de menbresia',
    'membership' => 'Membresia',
    'upgrade' => 'Actualización',
    'error_please_try_again' => 'Error, trata de nuevo.',
    'upgrade_to_pro' => 'Para actualizar Pro',
);

$wo['countries_name'] = array(
    '0' => 'Seleccione el país',
    '1' => 'United States',
    '2' => 'Canada',
    '3' => 'Afghanistan',
    '4' => 'Albania',
    '5' => 'Algeria',
    '6' => 'American Samoa',
    '7' => 'Andorra',
    '8' => 'Angola',
    '9' => 'Anguilla',
    '10' => 'Antarctica',
    '11' => 'Antigua and/or Barbuda',
    '12' => 'Argentina',
    '13' => 'Armenia',
    '14' => 'Aruba',
    '15' => 'Australia',
    '16' => 'Austria',
    '17' => 'Azerbaijan',
    '18' => 'Bahamas',
    '19' => 'Bahrain',
    '20' => 'Bangladesh',
    '21' => 'Barbados',
    '22' => 'Belarus',
    '23' => 'Belgium',
    '24' => 'Belize',
    '25' => 'Benin',
    '26' => 'Bermuda',
    '27' => 'Bhutan',
    '28' => 'Bolivia',
    '29' => 'Bosnia and Herzegovina',
    '30' => 'Botswana',
    '31' => 'Bouvet Island',
    '32' => 'Brazil',
    '34' => 'Brunei Darussalam',
    '35' => 'Bulgaria',
    '36' => 'Burkina Faso',
    '37' => 'Burundi',
    '38' => 'Cambodia',
    '39' => 'Cameroon',
    '40' => 'Cape Verde',
    '41' => 'Cayman Islands',
    '42' => 'Central African Republic',
    '43' => 'Chad',
    '44' => 'Chile',
    '45' => 'China',
    '46' => 'Christmas Island',
    '47' => 'Cocos (Keeling) Islands',
    '48' => 'Colombia',
    '49' => 'Comoros',
    '50' => 'Congo',
    '51' => 'Cook Islands',
    '52' => 'Costa Rica',
    '53' => 'Croatia (Hrvatska)',
    '54' => 'Cuba',
    '55' => 'Cyprus',
    '56' => 'Czech Republic',
    '57' => 'Denmark',
    '58' => 'Djibouti',
    '59' => 'Dominica',
    '60' => 'Dominican Republic',
    '61' => 'East Timor',
    '62' => 'Ecuador',
    '63' => 'Egypt',
    '64' => 'El Salvador',
    '65' => 'Equatorial Guinea',
    '66' => 'Eritrea',
    '67' => 'Estonia',
    '68' => 'Ethiopia',
    '69' => 'Falkland Islands (Malvinas)',
    '70' => 'Faroe Islands',
    '71' => 'Fiji',
    '72' => 'Finland',
    '73' => 'France',
    '74' => 'France, Metropolitan',
    '75' => 'French Guiana',
    '76' => 'French Polynesia',
    '77' => 'French Southern Territories',
    '78' => 'Gabon',
    '79' => 'Gambia',
    '80' => 'Georgia',
    '81' => 'Germany',
    '82' => 'Ghana',
    '83' => 'Gibraltar',
    '84' => 'Greece',
    '85' => 'Greenland',
    '86' => 'Grenada',
    '87' => 'Guadeloupe',
    '88' => 'Guam',
    '89' => 'Guatemala',
    '90' => 'Guinea',
    '91' => 'Guinea-Bissau',
    '92' => 'Guyana',
    '93' => 'Haiti',
    '94' => 'Heard and Mc Donald Islands',
    '95' => 'Honduras',
    '96' => 'Hong Kong',
    '97' => 'Hungary',
    '98' => 'Iceland',
    '99' => 'India',
    '100' => 'Indonesia',
    '101' => 'Iran (Islamic Republic of)',
    '102' => 'Iraq',
    '103' => 'Ireland',
    '104' => 'Israel',
    '105' => 'Italy',
    '106' => 'Ivory Coast',
    '107' => 'Jamaica',
    '108' => 'Japan',
    '109' => 'Jordan',
    '110' => 'Kazakhstan',
    '111' => 'Kenya',
    '112' => 'Kiribati',
    '113' => 'Korea, Democratic People\'s Republic of',
    '114' => 'Korea, Republic of',
    '115' => 'Kosovo',
    '116' => 'Kuwait',
    '117' => 'Kyrgyzstan',
    '118' => 'Lao People\'s Democratic Republic',
    '119' => 'Latvia',
    '120' => 'Lebanon',
    '121' => 'Lesotho',
    '122' => 'Liberia',
    '123' => 'Libyan Arab Jamahiriya',
    '124' => 'Liechtenstein',
    '125' => 'Lithuania',
    '126' => 'Luxembourg',
    '127' => 'Macau',
    '128' => 'Macedonia',
    '129' => 'Madagascar',
    '130' => 'Malawi',
    '131' => 'Malaysia',
    '132' => 'Maldives',
    '133' => 'Mali',
    '134' => 'Malta',
    '135' => 'Marshall Islands',
    '136' => 'Martinique',
    '137' => 'Mauritania',
    '138' => 'Mauritius',
    '139' => 'Mayotte',
    '140' => 'M&eacute;xico',
    '141' => 'Micronesia, Federated States of',
    '142' => 'Moldova, Republic of',
    '143' => 'Monaco',
    '144' => 'Mongolia',
    '145' => 'Montenegro',
    '146' => 'Montserrat',
    '147' => 'Morocco',
    '148' => 'Mozambique',
    '149' => 'Myanmar',
    '150' => 'Namibia',
    '151' => 'Nauru',
    '152' => 'Nepal',
    '153' => 'Netherlands',
    '154' => 'Netherlands Antilles',
    '155' => 'New Caledonia',
    '156' => 'New Zealand',
    '157' => 'Nicaragua',
    '158' => 'Niger',
    '159' => 'Nigeria',
    '160' => 'Niue',
    '161' => 'Norfork Island',
    '162' => 'Northern Mariana Islands',
    '163' => 'Norway',
    '164' => 'Oman',
    '165' => 'Pakistan',
    '166' => 'Palau',
    '167' => 'Panama',
    '168' => 'Papua New Guinea',
    '169' => 'Paraguay',
    '170' => 'Peru',
    '171' => 'Philippines',
    '172' => 'Pitcairn',
    '173' => 'Poland',
    '174' => 'Portugal',
    '175' => 'Puerto Rico',
    '176' => 'Qatar',
    '177' => 'Reunion',
    '178' => 'Romania',
    '179' => 'Russian Federation',
    '180' => 'Rwanda',
    '181' => 'Saint Kitts and Nevis',
    '182' => 'Saint Lucia',
    '183' => 'Saint Vincent and the Grenadines',
    '184' => 'Samoa',
    '185' => 'San Marino',
    '186' => 'Sao Tome and Principe',
    '187' => 'Saudi Arabia',
    '188' => 'Senegal',
    '189' => 'Serbia',
    '190' => 'Seychelles',
    '191' => 'Sierra Leone',
    '192' => 'Singapore',
    '193' => 'Slovakia',
    '194' => 'Slovenia',
    '195' => 'Solomon Islands',
    '196' => 'Somalia',
    '197' => 'South Africa',
    '198' => 'South Georgia South Sandwich Islands',
    '199' => 'Spain',
    '200' => 'Sri Lanka',
    '201' => 'St. Helena',
    '202' => 'St. Pierre and Miquelon',
    '203' => 'Sudan',
    '204' => 'Suriname',
    '205' => 'Svalbarn and Jan Mayen Islands',
    '206' => 'Swaziland',
    '207' => 'Sweden',
    '208' => 'Switzerland',
    '209' => 'Syrian Arab Republic',
    '210' => 'Taiwan',
    '211' => 'Tajikistan',
    '212' => 'Tanzania, United Republic of',
    '213' => 'Thailand',
    '214' => 'Togo',
    '215' => 'Tokelau',
    '216' => 'Tonga',
    '217' => 'Trinidad and Tobago',
    '218' => 'Tunisia',
    '219' => 'Turkey',
    '220' => 'Turkmenistan',
    '221' => 'Turks and Caicos Islands',
    '222' => 'Tuvalu',
    '223' => 'Uganda',
    '224' => 'Ukraine',
    '225' => 'United Arab Emirates',
    '226' => 'United Kingdom',
    '227' => 'United States minor outlying islands',
    '228' => 'Uruguay',
    '229' => 'Uzbekistan',
    '230' => 'Vanuatu',
    '231' => 'Vatican City State',
    '232' => 'Venezuela',
    '233' => 'Vietnam',
    '238' => 'Yemen',
    '239' => 'Yugoslavia',
    '240' => 'Zaire',
    '241' => 'Zambia',
    '242' => 'Zimbabwe'
);

$wo['page_categories'] = array(
    '2' => 'Automóviles y Vehículos',
    '3' => 'Negocios y Oportunidades',
    '4' => 'Economía y Comercio',
    '5' => 'Educación',
    '6' => 'Entretenimiento',
    '7' => 'Cine y Animación',
    '8' => 'Juego de azar',
    '9' => 'Historia y Datos',
    '10' => 'Estilos de vida',
    '11' => 'Servicios',
    '12' => 'Noticias y Política',
    '13' => 'Pueblos y Naciones',
    '14' => 'Animales y mascotas',
    '15' => 'Lugares y Regiones',
    '16' => 'Ciencia y Tecnología',
    '17' => 'Deporte',
    '18' => 'Viajes y Eventos',
    '19' => 'Contactos',
    '20' => 'Esoterismo',
    '21' => 'Informatica',
    '22' => 'Transportes',
    '23' => 'Turismo',
    '24' => 'Salud y Belleza',
    '25' => 'Construcción',
    '1' => 'Otro'
);

$wo['relationship'] = array(
    '1' => 'Soltero',
    '2' => 'En una relación',
    '3' => 'Casado',
    '4' => 'Comprometido'
);

$wo['months'] = array(
    '1' => 'Enero',
    '2' => 'Febrero',
    '3' => 'Marzo',
    '4' => 'Abril',
    '5' => 'Mayo',
    '6' => 'Junio',
    '7' => 'Julio',
    '8' => 'Agosto',
    '9' => 'Septiembre',
    '10' => 'Octubre',
    '11' => 'Noviembre',
    '12' => 'Diciembre'
);

$wo['call_action'] = array(
    '1' => 'Leer más',
    '2' => 'Comprar ahora',
    '3' => 'Ver ahora',
    '4' => 'Visita ahora',
    '5' => 'Reservar ahora',
    '6' => 'Más información',
    '7' => 'Jugar ahora',
    '8' => 'Apostar ahora',
    '9' => 'Donar',
    '10' => 'Aplicar aquí',
    '11' => 'Cita aquí',
    '12' => 'Pedir ahora',
    '13' => 'Reservar entradas',
    '14' => 'Registrar ahora',
    '15' => 'Pedir tarjeta',
    '16' => 'Obtener cotización',
    '17' => 'Conseguir entradas',
    '18' => 'Localizar',
    '19' => 'Comprar online',
    '20' => 'Pedir anticipo',
    '21' => 'Apuntese ahora',
    '22' => 'Regístrese ahora',
    '23' => 'Suscribirse',
    '24' => 'Pedir presupuesto'
);
?>