ALTER TABLE `Wo_Users` CHANGE `admin` `admin` ENUM('0','1','2') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0';
ALTER TABLE `Wo_Users` ADD `last_email_sent` INT(32) NOT NULL AFTER `startup_image`;
ALTER TABLE `Wo_Posts` ADD INDEX(`time`);
ALTER TABLE `Wo_Users` ADD `phone_number` VARCHAR(32) NOT NULL AFTER `last_email_sent`, ADD `sms_code` INT NOT NULL AFTER `phone_number`;
ALTER TABLE `Wo_Users` ADD INDEX(`phone_number`);
ALTER TABLE `Wo_Users` ADD `is_pro` ENUM('0','1') NOT NULL AFTER `sms_code`, ADD `pro_time` INT NOT NULL AFTER `is_pro`, ADD `pro_type` ENUM('0','1','2','3','4') NOT NULL AFTER `pro_time`;
INSERT INTO `Wo_Config` (`id`, `name`, `value`) VALUES (NULL, 'is_ok', '1'), 
(NULL, 'sms_or_email', 'mail'), 
(NULL, 'paypal_id', ''), 
(NULL, 'paypal_secret', ''), 
(NULL, 'pro', '1'), 
(NULL, 'paypal_mode', 'sandbox'), 
(NULL, 'sms_username', ''), 
(NULL, 'sms_password', ''), 
(NULL, 'sms_phone_number', ''), 
(NULL, 'weekly_price', '3'), 
(NULL, 'monthly_price', '8'), 
(NULL, 'yearly_price', '89'),
(NULL, 'post_limit', '10'),
(NULL, 'user_limit', '10'),
(NULL, 'css_upload', '0'),
(NULL, 'smooth_loading', '0'),
(NULL, 'lifetime_price', '259');
CREATE TABLE `Wo_Payments` ( 
  `id` INT NOT NULL AUTO_INCREMENT , 
  `user_id` INT NOT NULL , 
  `amount` INT NOT NULL , 
  `date` VARCHAR(30) NOT NULL , 
  PRIMARY KEY (`id`), INDEX (`user_id`)
) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci;
ALTER TABLE `Wo_Payments` ADD `type` VARCHAR(15) NOT NULL AFTER `amount`;
ALTER TABLE `Wo_Users` ADD `joined` INT NOT NULL AFTER `pro_type`, ADD INDEX (`joined`);
ALTER TABLE `Wo_Posts` ADD `boosted` ENUM('0','1') NOT NULL AFTER `multi_image`, ADD INDEX (`boosted`);
ALTER IGNORE TABLE `Wo_Pages` DROP INDEX page_id;
ALTER IGNORE TABLE `Wo_Pages` DROP INDEX user_id;
ALTER TABLE `Wo_Pages` ADD INDEX(`user_id`);
ALTER TABLE `Wo_Pages` ADD INDEX(`page_category`);
ALTER TABLE `Wo_Pages` ADD INDEX(`active`);
ALTER TABLE `Wo_Pages` ADD INDEX(`verified`);
ALTER TABLE `Wo_Pages` ADD `boosted` ENUM('0','1') NOT NULL AFTER `registered`, ADD INDEX (`boosted`);
ALTER IGNORE TABLE `Wo_Pages_Likes` DROP INDEX id;
ALTER TABLE `Wo_Pages_Likes` ADD INDEX(`user_id`);
ALTER TABLE `Wo_Pages_Likes` ADD INDEX(`page_id`);
ALTER TABLE `Wo_Users` CHANGE `country_id` `country_id` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `Wo_Blocks` CHANGE `block_from` `blocker` INT(11) NOT NULL;
ALTER TABLE `Wo_Blocks` CHANGE `block_to` `blocked` INT(11) NOT NULL;
ALTER TABLE `Wo_Blocks` ADD INDEX(`blocker`);
ALTER TABLE `Wo_Blocks` ADD INDEX(`blocked`);
DELETE FROM `Wo_Notifications`;
ALTER TABLE `Wo_Users` ADD `css_file` VARCHAR(100) NOT NULL AFTER `joined`;
DELETE FROM `Wo_Games`;
CREATE TABLE `Wo_Emails` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `email_to` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `subject` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `message` text COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
ALTER TABLE `Wo_Emails` ADD PRIMARY KEY (`id`), ADD KEY `user_id` (`user_id`);
ALTER TABLE `Wo_Emails` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
ALTER TABLE `Wo_Users` CHANGE `relationship_id` `relationship_id` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `Wo_Users` CHANGE `language` `language` VARCHAR(31) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'english';
ALTER TABLE `Wo_Users` CHANGE `last_email_sent` `last_email_sent` INT(32) NOT NULL DEFAULT '0';
ALTER TABLE `Wo_Users` CHANGE `sms_code` `sms_code` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `Wo_Users` CHANGE `is_pro` `is_pro` ENUM('0','1') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0';
ALTER TABLE `Wo_Users` CHANGE `pro_time` `pro_time` INT(11) NOT NULL DEFAULT '0';
ALTER TABLE `Wo_Users` CHANGE `pro_type` `pro_type` ENUM('0','1','2','3','4') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0';
ALTER TABLE `Wo_Users` CHANGE `joined` `joined` INT(11) NOT NULL DEFAULT '0';
UPDATE `Wo_Config` SET `value` = '0' WHERE `name` = 'cacheSystem';