package com.BrainLoadTech.WoWonder;

import android.app.ActionBar;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Bundle;
import android.os.Debug;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.webkit.ValueCallback;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.webkit.WebViewClient;
//import android.widget.Toast;
//import android.widget.Toolbar;
import android.support.v7.widget.Toolbar;
import android.widget.RelativeLayout;
import android.widget.TextView;


public class MyWb extends Activity
{

    RelativeLayout main_layout;
  //  Toolbar toolbar;
    WebView web;
    private AlertDialog.Builder Notify;
    URL c = new URL();
//    ProgressBar progressBar;

    private ValueCallback<Uri> mUploadMessage;
    private final static int FILECHOOSER_RESULTCODE=1;
    private final static int KITKAT_RESULTCODE = 1;
    String manufacturer = android.os.Build.MANUFACTURER;
    final String TAG = "Manufactuer";
    @Override
    protected void onActivityResult(int requestCode, int resultCode,
                                    Intent intent) {
        if(requestCode==FILECHOOSER_RESULTCODE)
        {
            if (null == mUploadMessage) return;
            Uri result = intent == null || resultCode != RESULT_OK ? null
                    : intent.getData();
            mUploadMessage.onReceiveValue(result);
            mUploadMessage = null;
        }

    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
//
      //  toolbar = (Toolbar)findViewById(R.id.toolbar);

       main_layout = (RelativeLayout) findViewById(R.id.parent_layout);



//         setSupportActionBar(toolbar);

        web = (WebView) findViewById(R.id.activity_main_webview);
//        if(!isNetworkAvailable())
//        {
//            web.setVisibility(View.INVISIBLE);
//            refresh();
//        }

        if(CheckNetwork.isInternetAvailable(MyWb.this)) //returns true if internet available
        {

//            Toast.makeText(MyWb.this, "Internet Connection", Toast.LENGTH_SHORT).show();
        }
        else
        {

            refresh();


        }

        web = new WebView(this);
        web.getSettings().setJavaScriptEnabled(true);
        web.loadUrl(c.url);
        web.setWebViewClient(new myWebClient());

        web.setWebViewClient(new WebViewClient() {
            public void onReceivedError(WebView view, int errorCode, String description, String failingUrl) {
//                Toast.makeText(MyWb.this, "Oh no! " + description, Toast.LENGTH_SHORT).show();
                web.setVisibility(View.INVISIBLE);

//                WebView synopsis;
//                synopsis=(WebView)findViewById(R.id.activity_main_webview);
//                synopsis.getSettings();
//                synopsis.setBackgroundColor(Color.WHITE);
//
//
//                synopsis.reload();
            }
        });




        web.setWebChromeClient(new WebChromeClient()
        {

            public void openFileChooser(ValueCallback<Uri> uploadMsg) { /* Default code */ }

            // For Android 3.0+
            public void openFileChooser( ValueCallback uploadMsg, String acceptType ) { /* Default code */ }


            public void openFileChooser(ValueCallback<Uri> uploadMsg, String acceptType, String capture){
                mUploadMessage = uploadMsg;
                Intent i = new Intent(Intent.ACTION_GET_CONTENT);
                i.addCategory(Intent.CATEGORY_OPENABLE);
                i.setType("*/*");
                String[] mimetypes = {"image/*", "video/*", "audio/*"};
                i.putExtra(Intent.EXTRA_MIME_TYPES, mimetypes);
                MyWb.this.startActivityForResult(Intent.createChooser(i, "File Chooser"), MyWb.FILECHOOSER_RESULTCODE);

            }

            // The new code
            public void showPicker( ValueCallback<Uri> uploadMsg ){
                // Here is part of the issue, the uploadMsg is null since it is not triggered from Android
                mUploadMessage = uploadMsg;

                Intent i = new Intent(Intent.ACTION_GET_CONTENT);
                i.addCategory(Intent.CATEGORY_OPENABLE);
                i.setType("*/*");
                String[] mimetypes = {"image/*", "video/*"};
                i.putExtra(Intent.EXTRA_MIME_TYPES, mimetypes);
                MyWb.this.startActivityForResult(Intent.createChooser(i, "File Chooser"), MyWb.FILECHOOSER_RESULTCODE);
            }

        });

        setContentView(web);

    }

    public class myWebClient extends WebViewClient
    {
        @Override
        public void onPageStarted(WebView view, String url, Bitmap favicon) {
            // TODO Auto-generated method stub
            super.onPageStarted(view, url, favicon);
        }

        @Override
        public boolean shouldOverrideUrlLoading(WebView view, String url) {
            // TODO Auto-generated method stub

            view.loadUrl(url);
            return true;

        }

        @Override
        public void onPageFinished(WebView view, String url) {
            // TODO Auto-generated method stub
            super.onPageFinished(view, url);

//            progressBar.setVisibility(View.GONE);
        }
    }
    /////////////////=====================CHECK INTERNET CONNECTION==============////////////////////////////////////////
    public boolean isNetworkAvailable() {
        ConnectivityManager connectivityManager = (ConnectivityManager)getApplicationContext().getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo netInfo = connectivityManager.getActiveNetworkInfo();
        if (netInfo != null && netInfo.isConnectedOrConnecting()) {
            return true;
        }

        return false;
    }
    ////////////////==================Dialog Button function================//////////////////////////////
    public void  refresh()
    {   createDialog();
        Notify.show();
//        Toast.makeText(getApplicationContext(),"hello",Toast.LENGTH_SHORT).show();
    }


    ////////////==================ALERT DIALOG FOR INTERNET CONNECTION==========///////////////////
    public void createDialog()

    {
        Notify = new AlertDialog.Builder(this);

        Notify.setTitle("No Internet Connection");

        Notify.setPositiveButton("Refresh",
                new DialogInterface.OnClickListener() {

                    public void onClick(final DialogInterface dialog, int which) {
                        if (isNetworkAvailable()) {
                            web.setVisibility(View.VISIBLE);
/////////////////////////==============PAGE RELOAD AFTER INTERNEt============/////////////////////////////
                            web.reload();
                            Thread timer = new Thread() {
                                public void run() {
                                    try {
                                        sleep(5000);
                                    } catch (InterruptedException e) {
                                        e.printStackTrace();
                                    } finally {
                                        dialog.dismiss();
                                    }
                                }
                            };
                            timer.start();


                        } else {
                            refresh();
                        }
                    }

                });
    }


    @Override
public boolean onKeyDown(int keyCode, KeyEvent event)
{
    if ((keyCode == KeyEvent.KEYCODE_BACK) && web.canGoBack()) {
        web.goBack();
        return true;
    }
    return super.onKeyDown(keyCode, event);
}
}
