<?php
$wo['lang'] = array(
    // welcome page
    'login' => 'Login',
    'register' => 'Register',
    'guest' => 'Guest',
    'username' => 'Username',
    'email' => 'E-mail',
    'password' => 'Password',
    'new_password' => 'New password',
    'remember_me' => 'Remember me',
    'or_login_with' => 'Or login with',
    'forget_password' => 'Forgot Password?',
    'email_address' => 'E-mail address',
    'confirm_password' => 'Confirm Password',
    'lets_go' => 'Let\'s Go !',
    'recover_password' => 'Recover',
    'reset_new_password_label' => 'Reset Your Password',
    'reset_password' => 'Reset',
    'invalid_token' => 'Invalid Token',
    'incorrect_username_or_password_label' => 'Incorrect username or password',
    'account_disbaled_contanct_admin_label' => 'Your account has been disabled, please contact us .',
    'account_not_active_label' => 'You have to activate your account.',
    'successfully_logged_label' => 'Successfully Logged in, Please wait..',
    'please_check_details' => 'Please check your details.',
    'username_exists' => 'Username is already exists.',
    'username_characters_length' => 'Username must be between 5 / 32',
    'username_invalid_characters' => 'Invalid username characters',
    'password_invalid_characters' => 'Invalid password characters',
    'email_exists' => 'This e-mail is already in use',
    'email_invalid_characters' => 'This e-mail is invalid.',
    'password_short' => 'Password is too short.',
    'password_mismatch' => 'Password not match.',
    'reCaptcha_error' => 'Please Check the re-captcha.',
    'successfully_joined_label' => 'Successfully joined, Please wait..',
    'account_activation' => 'Account Activation',
    'successfully_joined_verify_label' => 'Registration successful! We have sent you an email, Please check your inbox/spam to verify your email.',
    'email_not_found' => 'We can\'t find this email.',
    'password_rest_request' => 'Password reset request',
    'email_sent' => 'E-mail has been sent successfully',
    'processing_error' => 'An error found while processing your request, please try again later.',
    'password_changed' => 'Password successfully changed !',
    'please_choose_correct_date' => 'Please choose a correct date.',
    'setting_updated' => 'Setting successfully updated !',
    'current_password_mismatch' => 'Current password not match',
    'website_invalid_characters' => 'Website is invalid.',
    'account_deleted' => 'Account successfully deleted, please wait..',
    'home' => 'Home',
    'advanced_search' => 'Advanced Search',
    'search_header_label' => 'Search for people, pages, groups and #hashtags',
    'no_result' => 'No result found',
    'last_seen' => 'Last Seen:',
    'accept' => 'Accept',
    'cancel' => 'Cancel',
    'delete' => 'Delete',
    'my_profile' => 'My Profile',
    'saved_posts' => 'Saved Posts',
    'setting' => 'Settings',
    'admin_area' => 'Admin Area',
    'log_out' => 'Log Out',
    'no_new_notification' => 'You do not have any notifications',
    'no_new_requests' => 'You do not have any requests',
    // notification
    'followed_you' => 'followed you',
    'comment_mention' => 'mentioned you on a comment.',
    'post_mention' => 'mentioned you on a post.',
    'posted_on_timeline' => 'posted on your timeline.',
    'profile_visted' => 'visited your profile.',
    'accepted_friend_request' => 'accepted your friend request.',
    'accepted_follow_request' => 'accepted your follow request.',
    'liked_comment' => 'liked your comment "{comment}" ',
    'wondered_comment' => 'wondered your comment "{comment}" ',
    'liked_post' => 'liked your {postType} {post} ',
    'wondered_post' => 'wondered your {postType} {post}',
    'share_post' => 'shared your {postType} {post}',
    'commented_on_post' => 'commented on your {postType} {post}',
    'activity_liked_post' => 'liked {user} <a class="main-color" href="{post}">post</a>.',
    'activity_wondered_post' => 'wondered {user} <a class="main-color" href="{post}">post</a>.',
    'activity_share_post' => 'shared {user} <a class="main-color" href="{post}">post</a>.',
    'activity_commented_on_post' => 'commented on {user} <a class="main-color" href="{post}">post</a>.',
    'video_n_label' => 'video.',
    'post_n_label' => 'post.',
    'photo_n_label' => 'photo.',
    'file_n_label' => 'file.',
    'vine_n_label' => 'vine video.',
    'sound_n_label' => 'sound.',
    'avatar_n_label' => 'profile picture.',
    // 404 page & activate page
    'error_not_found' => '404 Error',
    'sorry_page_not_found' => 'Sorry, page not found!',
    'page_not_found' => 'The page you are looking for could not be found. Please check the link you followed to get here and try again.',
    'your_account_activated' => 'Your account have been successfully activated!',
    'free_to_login' => 'You\'r free to <a href="' . Wo_SeoLink('index.php?link1=welcome') . '">{login}</a> !',
    // admin area 
    'general_setting' => 'General Setting',
    'login_setting' => 'Login Setting',
    'manage_users' => 'Manage Users',
    'manage_posts' => 'Manage Posts',
    'manage_reports' => 'Manage Reports',
    'advertisement' => 'Advertisement',
    'more' => 'More',
    'cache_system' => 'Cache System',
    // admin general setting
    'chat_system' => 'Chat System',
    'email_validation' => 'Email validation',
    'email_notification' => 'Email notification',
    'smooth_links' => 'Smooth links',
    'seo_friendly_url' => 'SEO friendly url',
    'file_sharing' => 'File sharing',
    'themes' => 'Themes',
    'user_setting' => 'User Setting',
    'site_setting' => 'Site Setting',
    'cache_setting_info' => 'Enable cache system to speed up your website, Recommended more than 10,000 active users.',
    'chat_setting_info' => 'Enable chat system to chat with friends on the buttom of the page',
    'email_validation_info' => 'Enable email validation to send activation link when user registred.',
    'email_notification_info' => 'Enable email notification to send user notification via email.',
    'smooth_links_info' => 'Enable smooth links, e.g.' . $wo['config']['site_url'] . '/home.',
    'seo_frindly_info' => 'Enable SEO friendly url, e.g.' . $wo['config']['site_url'] . '//1_hello-how-are-you-doing.html',
    'file_sharing_info' => 'Enable File sharing to share & upload videos,images,files,sounds, etc..',
    'cache' => 'Cache',
    // site info setting
    'site_information' => 'Site Information',
    'site_title_name' => 'Site Name & Title:',
    'site_name' => 'Site name',
    'site_title' => 'Site title',
    'site_keywords_description' => 'Site Keywords & Description:',
    'site_keywords' => 'Site Keywords',
    'site_description' => 'Site Description',
    'site_email' => 'Site E-mail',
    'site_lang' => 'Default Language',
    // themes setting
    'theme_setting' => 'Theme Setting',
    'activeted' => 'Activeted',
    'version' => 'Version:',
    'author' => 'Author:',
    'user_status' => 'User status',
    // user setting
    'online_lastseen' => '(online/last seen)',
    'enable' => 'Enable',
    'disable' => 'Disable',
    'allow_users_to_delete' => 'Allow users to delete their account',
    'profile_visit_notification' => 'Profile visit notification',
    'display_user_age_as' => 'Display user age as',
    'date' => 'Date',
    'age' => 'Age',
    'connectivity_system' => 'Connectivity System',
    'connectivity_system_note' => '<span style="color:red;">Note:</span> If you change the system to another one, all existing followings, followers, friends will be deleted.</small>',
    'friends_system' => 'Friends system',
    'follow_system' => 'Follow system',
    'max_upload_size' => 'Max upload size for videos, images, sounds, and files',
    'max_characters_length' => 'Max characters length',
    'allowed_extenstions' => 'Allowed extenstions',
    // reCaptcha settting
    'reCaptcha_setting' => 'reCaptcha Setting',
    'reCaptcha_key_is_required' => 'reCaptcha key is required',
    'reCaptcha_key' => 'reCaptcha Key',
    // google analytics setting
    'google_analytics' => 'Google Analytics',
    'google_analytics_code' => 'Google analytics code',
    // cache setting
    'cache_setting' => 'Cache Setting',
    'cache_recomended_clear' => 'It\'s highly recommended to clear the cache.',
    'cache_size' => 'Cache Size:',
    'clear_cache' => 'Clear Cache',
    // social login setting
    'social_login' => 'Social login',
    'social_login_api' => 'Social login API\'S',
    'facebook' => 'Facebook',
    'google' => 'Google+',
    'twitter' => 'Twitter',
    'linkedin' => 'Linkedin',
    'vkontakte' => 'Vkontakte',
    'facebook_api' => 'Facebook API',
    'google_api' => 'Google API',
    'twitter_api' => 'Twitter API',
    'linkedin_api' => 'Linkedin API',
    'vkontakte_api' => 'Vkontakte API',
    'app_id' => 'App ID',
    'app_secret_key' => 'App Secret Key',
    'login_with' => 'Login with',
    // manage users
    'id' => 'ID',
    'source' => 'Source',
    'status' => 'Status',
    'pending' => 'Pending',
    'first_name' => 'First name',
    'last_name' => 'Last name',
    'about_me' => 'About me',
    'website' => 'Website',
    'action' => 'Action',
    'show_more_users' => 'Show more users',
    'no_more_users_to_show' => 'No more users to show',
    'user_delete_confirmation' => 'Are you sure you want to delete this user?',
    'post_delete_confirmation' => 'Are you sure you want to delete this post?',
    'show_more_posts' => 'Show more posts',
    'no_more_posts' => 'No more posts',
    'no_posts_found' => 'No posts found',
    'publisher' => 'Publisher',
    'there_are_not_new_posts_for_now' => 'There are not new post for now',
    'post_link' => 'Post link',
    'time' => 'Time',
    'post' => 'Post',
    'no_posts_yet' => '{name} has not posted anything yet',
    'search' => 'Search',
    'on' => 'On',
    'off' => 'Off',
    'save' => 'Save',
    'saved' => 'Saved !',
    // Manage Report
    'reporter' => 'Reporter',
    'time_reported' => 'Time Reported',
    'there_are_no_new_reports' => 'There are no new reports for now.',
    'open_post' => 'Open Post',
    'mark_safe' => 'Mark Safe',
    'delete_post' => 'Delete Post',
    // Advertisement Setting
    'advertisement_setting' => 'Advertisement Setting',
    // More Setting
    'more_setting' => 'More Setting',
    'mailing_users' => 'Mailing list',
    'send' => 'Send',
    'mailing_subject' => 'Subject..',
    'mailing_message' => 'Message..',
    'announcement' => 'Announcement',
    'new_announcement' => 'New announcement',
    'add' => 'Add',
    'views' => 'Views',
    'there_are_no_active_announcements' => 'There are no active announcements.',
    'there_are_no_inactive_announcements' => 'There are no inactive announcements.',
    // end admin
    'add_friend' => 'Add Friend',
    'follow' => 'Follow',
    'following' => 'Following',
    'following_btn' => 'Following',
    'followers' => 'Followers',
    'message' => 'Message',
    'requested' => 'Requested',
    'friends_btn' => 'Friends',
    'online' => 'Online',
    'offline' => 'Offline',
    'you_are_currently_offline' => 'You are currently offline',
    'no_offline_users' => 'No offline users.',
    'no_online_users' => 'No online users.',
    'search_for_users' => 'Search for users',
    'no_users_found' => 'No users found.',
    'seen' => 'Seen',
    'load_more_posts' => 'Load more posts',
    'load_more_users' => 'Load more users',
    'there_are_no_tags_found' => 'No results found for your query.',
    'there_are_no_saved_posts' => 'You don\'t have any saved posts.',
    'messages' => 'Messages',
    'write_something' => 'Write Something .. ',
    'no_more_message_to_show' => 'No more message',
    'view_more_messages' => 'View more messages',
    'sorry_cant_reply' => 'Sorry, you can\'t reply to this user.',
    'choose_one_of_your_friends' => 'Choose one of your friends',
    'and_say_hello' => 'And Say Hello !',
    // Modalas
    'download' => 'Download',
    'update_your_info' => 'Update your info',
    'choose_your_username' => 'Choose your username:',
    'create_your_new_password' => 'Create your new password:',
    'update' => 'Update',
    'delete_comment' => 'Delete Comment',
    'confirm_delete_comment' => 'Are you sure that you want to delete this comment ?',
    'confirm_delete_post' => 'Are you sure that you want to delete this post ?',
    'edit_post' => 'Edit Post',
    'session_expired' => 'Session Expired',
    'session_expired_message' => 'Your Session has been expired, please login again.',
    // serach filter + timline
    'country' => 'Country',
    'all' => 'All',
    'gender' => 'Gender',
    'female' => 'Female',
    'male' => 'Male',
    'profile_picture' => 'Profile Picture',
    'result' => 'Result',
    'yes' => 'Yes',
    'no' => 'No',
    'verified_user' => 'Verified User',
    'change_password' => 'Change Password',
    'current_password' => 'Current Password',
    'repeat_password' => 'Repeat password',
    'general' => 'General',
    'profile' => 'Profile',
    'privacy' => 'Privacy',
    'delete_account' => 'Delete Account',
    'delete_account_confirm' => 'Are You sure that you want to delete your account, and leave our network ?',
    'delete_go_back' => 'No, I\'ll Think',
    'verified' => 'Verified',
    'not_verified' => 'Not verified',
    'admin' => 'Admin',
    'user' => 'User',
    'verification' => 'Verification',
    'type' => 'Type',
    'birthday' => 'Birthday',
    'active' => 'Active',
    'inactive' => 'inactive',
    'privacy_setting' => 'Privacy Setting',
    'follow_privacy_label' => 'Who can follow me ?',
    'everyone' => 'Everyone',
    'my_friends' => 'My Friends',
    'no_body' => 'No body',
    'people_i_follow' => 'People I Follow',
    'people_follow_me' => 'People Follow Me',
    'only_me' => 'Only me',
    'message_privacy_label' => 'Who can message me ?',
    'timeline_post_privacy_label' => 'Who can post on my timeline ?',
    'activities_privacy_label' => 'Show my activities ?',
    'show' => 'Show',
    'hide' => 'Hide',
    'confirm_request_privacy_label' => 'Confirm request when someone follows you ?',
    'lastseen_privacy_label' => 'Show my last seen ?',
    'site_eg' => '(e.g: http://www.siteurl.com)',
    'profile_setting' => 'Profile Setting',
    // Story
    'pinned_post' => 'Pinned',
    'pin_post' => 'Pin Post',
    'unpin_post' => 'Unpin Post',
    'open_post_in_new_tab' => 'Open post in new tab',
    'unsave_post' => 'Unsave Post',
    'save_post' => 'Save Post',
    'unreport_post' => 'Unreport Post',
    'report_post' => 'Report Post',
    'shared_this_post' => 'Shared this post',
    'changed_profile_picture_male' => 'Changed his profile picture',
    'changed_profile_picture_female' => 'Changed her profile picture',
    'post_login_requriement' => 'Please log in to like,wonder,share and comment !',
    'likes' => 'Likes',
    'like' => 'Like',
    'wonder' => 'Wonder',
    'wonders' => 'Wonders',
    'share' => 'Share',
    'comments' => 'Comments',
    'no_likes' => 'No likes yet',
    'no_wonders' => 'No wonders yet',
    'write_comment' => 'Write a comment and press enter',
    'view_more_comments' => 'View more comments',
    'welcome_to_news_feed' => 'Welcome to your News Feed !',
    'say_hello' => 'Say Hello !',
    'publisher_box_placeholder' => 'What\'s going on? #Hashtag.. @Mention.. Link..',
    'youtube_link' => 'Youtube Link',
    'vine_link' => 'Vine Link',
    'soundcloud_link' => 'SoundCloud Link',
    'maps_placeholder' => 'Where are you ?',
    'post_label' => 'Post',
    'text' => 'Text',
    'photos' => 'Photos',
    'sounds' => 'Sounds',
    'videos' => 'Videos',
    'maps' => 'Maps',
    'files' => 'Files',
    'not_following' => 'Not following any user',
    'no_followers' => 'No followers yet',
    'details' => 'Details',
    'social_links' => 'Social Networks',
    'online_chat' => 'Online friends',
    // Footer
    'about' => 'About',
    'contact_us' => 'Contact Us',
    'privacy_policy' => 'Privacy Policy',
    'terms_of_use' => 'Terms of Use',
    'developers' => 'Developers',
    'language' => 'Language',
    'copyrights' => 'Copyright © ' . date('Y') . ' ' . $wo['config']['siteName'] . '. All rights reserved.',
    // time + dates 
    'year' => 'year',
    'month' => 'month',
    'day' => 'day',
    'hour' => 'hour',
    'minute' => 'minute',
    'second' => 'second',
    'years' => 'years',
    'months' => 'months',
    'days' => 'days',
    'hours' => 'hours',
    'minutes' => 'minutes',
    'seconds' => 'seconds',
    'time_ago' => 'ago',
    'time_from_now' => 'from now',
    'time_any_moment_now' => 'any moment now',
    'time_just_now' => 'Just now',
    'time_about_a_minute_ago' => 'about a minute ago',
    'time_minute_ago' => '%d minutes ago',
    'time_about_an_hour_ago' => 'about an hour ago',
    'time_hours_ago' => '%d hours ago',
    'time_a_day_ago' => 'a day ago',
    'time_a_days_ago' => '%d days ago',
    'time_about_a_month_ago' => 'about a month ago',
    'time_months_ago' => '%d months ago',
    'time_about_a_year_ago' => 'about a year ago',
    'time_years_ago' => '%d years ago',
    'latest_activities' => 'Latest Activities',
    'no_activities' => 'No new activities',
    'trending' => 'Trending !',
    'load_more_activities' => 'Load more activities',
    'no_more_actitivties' => 'No more actitivties',
    'people_you_may_know' => 'People you may know',
    'too_long' => 'Too long',
    'too_short' => 'Too short.',
    'available' => 'Available !',
    'in_use' => 'In use.',
    'username_invalid_characters_2' => 'Username should not contain any special characters, symbols or spaces.',
    // New v1.1
    'like' => 'Like',
    'liked' => 'Liked',
    'my_pages' => 'My Pages',
    'liked_page' => 'Liked your page ({page_name})',
    'likes' => 'Likes',
    'this_week' => 'This week',
    'posts' => 'Posts',
    'located_in' => 'Located in',
    'phone_number' => 'Phone',
    'company' => 'Company',
    'category' => 'Category',
    'search_for_posts' => 'Search for posts',
    'create_new_page' => 'Create New Page',
    'page_name' => 'Page name',
    'page_title' => 'Page title',
    'your_page_title' => 'Your page title',
    'page_category' => 'Page Category',
    'page_description' => 'Page description',
    'page_description_info' => 'Your Page description, Between 10 and 200 characters max.',
    'create' => 'Create',
    'page_name_exists' => 'Page name is already exists.',
    'page_name_characters_length' => 'Page name must be between 5 / 32',
    'page_name_invalid_characters' => 'Invalid page name characters',
    'edit' => 'Edit',
    'page_information' => 'Page Information',
    'delete_page' => 'Delete Page',
    'location' => 'Location',
    'pages_you_may_like' => 'Pages you may like',
    'show_more_pages' => 'Show more pages',
    'no_more_pages' => 'No more pages to show',
    'page_delete_confirmation' => 'Are you sure you want to delete this page?',
    'manage_pages' => 'Manage Pages',
    'owner' => 'Owner',
    'no_pages_found' => 'No pages found',
    // Welcome Page title
    'welcome_wonder' => 'Wonder',
    'welcome_connect' => 'Connect',
    'welcome_share' => 'Share',
    'welcome_discover' => 'Discover',
    'welcome_find_more' => 'Find more',
    'welcome_mobile' => 'Mobile Friendly',
    // Welcome page description
    'welcome_wonder_text' => 'Wonder (NEW), ability to wonder a post if you don\'t like it.',
    'welcome_connect_text' => 'Connect with your family and friends and share your moments. ',
    'welcome_share_text' => 'Share what\'s new and life moments with your friends. ',
    'welcome_discover_text' => 'Discover new people, create new connections and make new friends. ',
    'welcome_find_more_text' => 'Find more of what you\'re looking for with WoWonder Search. ',
    'welcome_mobile_text' => '100% screen adaptable on all tablets and smartphones.',
    
    'working_at' => 'Working at',
    'relationship' => 'Relationship',
    'none' => 'None',
    'avatar' => 'Avatar',
    'cover' => 'Cover',
    'background' => 'Background',
    'theme' => 'Theme',
    'deafult' => 'Default',
    'my_background' => 'My Background',
    'company_website' => 'Company website',
    'liked_my_page' => 'Liked My Page',
    // New v1.2
    'dislike' => 'Dislike',
    'dislikes' => 'Dislikes',
    'disliked_post' => 'disliked your {postType} {post}',
    'disliked_comment' => 'disliked your comment "{comment}" ',
    'activity_disliked_post' => 'disliked {user} <a class="main-color" href="{post}">post</a>.',
    'second_button_type' => 'Second post button type',
    'group_name' => 'Group name',
    'group_title' => 'Group title',
    'my_groups' => 'My Groups',
    'school' => 'School',
    'site_keywords_help' => 'Example: social, wowonder, social site',
    'message_seen' => 'Message Seen',
    'recommended_for_powerful' => 'Recommended for powerful servers',
    'message_typing' => 'Chat typing system',
    'reCaptcha' => 'reCaptcha',
    'instagram' => 'Instagram',
    'profile_visit_notification_help' => 'Send notification to recipient when a user visits his profile',
    'account_delete' => 'Delete Account',
    'ip_address' => 'IP Address',
    'manage_groups' => 'Manage Groups',
    'group_delete_confirmation' => 'Are you sure you want to delete this group?',
    'no_more_groups' => 'No more groups to show',
    'show_more_groups' => 'Show more groups',
    'members' => 'Members',
    'verifications_requests' => 'Verification Requests',
    'verify' => 'Verify',
    'ignore' => 'Ignore',
    'page' => 'Page',
    'no_new_verification_requests' => 'No new verification requests',
    'ban_user' => 'Ban User',
    'banned' => 'Banned',
    'there_are_no_banned_ips' => 'There are no banned ips.',
    'invalid_ip' => 'Invalid ip address.',
    'ip_banned' => 'IP address successfully banned.',
    'ip_exist' => 'IP address already exist',
    'please_add_ip' => 'Please add an ip address',
    'ip_deleted' => 'IP address successfully deleted',
    'email_me_when' => 'Email me when',
    'e_likes_my_posts' => 'Someone liked my posts',
    'e_wondered_my_posts' => 'Someone wondered my posts',
    'e_commented_my_posts' => 'Someone commented on my posts',
    'e_shared_my_posts' => 'Someone shared on my posts',
    'e_followed_me' => 'Someone followed me',
    'e_liked_page' => 'Someone liked my pages',
    'e_visited_my_profile' => 'Someone visited my profile',
    'e_mentioned_me' => 'Someone mentioned me',
    'e_joined_group' => 'Someone joined my groups',
    'e_accepted' => 'Someone accepted my friend/follow requset',
    'e_profile_wall_post' => 'Someone posted on my timeline',
    'no_groups_found' => 'No groups found',
    'group_information' => 'Group information',
    'delete_group' => 'Delete Group',
    'group_name_exists' => 'Group name is already exists.',
    'group_name_invalid_characters' => 'Invalid group name characters',
    'group_name_characters_length' => 'Group name must be between 5 / 32',
    'no_requests_found' => 'No requests found',
    'remove' => 'Remove',
    'no_members_found' => 'No members found',
    'group_deleted' => 'Group successfully deleted',
    'create_new_group' => 'Create New Group',
    'my_games' => 'My Games',
    'no_games_found' => 'No games found',
    'groups' => 'Groups',
    'no_friends' => 'No friends yet',
    'no_groups' => 'Didn\'t join any groups yet',
    'load_more_pages' => 'Load more pages',
    'load_more_groups' => 'Load more groups',
    'joined_group' => 'Joined your group ({group_name})',
    'happy' => 'Happy',
    'loved' => 'Loved',
    'sad' => 'Sad',
    'so_sad' => 'Very sad',
    'angry' => 'Angry',
    'confused' => 'Confused',
    'smirk' => 'Hot',
    'broke' => 'Broken',
    'expressionless' => 'expressionless',
    'cool' => 'Cool',
    'funny' => 'Funny',
    'tired' => 'Tired',
    'lovely' => 'Lovely',
    'blessed' => 'Blessed',
    'shocked' => 'Shocked',
    'sleepy' => 'Sleepy',
    'pretty' => 'Pretty',
    'bored' => 'Bored',
    'total_users' => 'Total Users',
    'users' => 'Users',
    'pages' => 'Pages',
    'games' => 'Games',
    'online_users' => 'Online Users',
    'recent_searches' => 'Recent Searches',
    'clear' => 'Clear',
    'search_filter' => 'Search filter',
    'keyword' => 'Keyword',
    'what_are_looking_for' => 'What are looking for ?',
    'changed_profile_cover_picture_male' => 'Changed his profile cover',
    'changed_profile_cover_picture_female' => 'Changed her profile cover',
    'latest_games' => 'Latest games',
    'no_albums_found' => 'No albums found',
    'create_album' => 'Create album',
    'my_albums' => 'My Albums',
    'album_name' => 'Album name',
    'upload' => 'Upload',
    'add_photos' => 'Add photos',
    'replies' => 'replies',
    'reply_to_comment' => 'Reply to comment',
    'replied_to_comment' => 'replied to your comment "{comment}"',
    'comment_reply_mention' => 'mentioned you in a reply "{comment}"',
    'also_replied' => 'replied to the comment "{comment}"',
    'liked_reply_comment' => 'liked your reply "{comment}"',
    'wondered_reply_comment' => 'wondered your reply "{comment}"',
    'disliked_reply_comment' => 'disliked your reply "{comment}"',
    'profile_visit_notification_p' => 'Send users a notification when i visit their profile?',
    'profile_visit_notification_help' => 'if you don\'t share your visit event , you won\'t be able to see other people visiting your profile.',
    'showlastseen_help' => 'if you don\'t share your last seen , you won\'t be able to see other people last seen.',
    'timeline_birthday_label' => 'Who can see my birthday?',
    'people_likes_this' => 'people like this',
    'page_inviate_label' => 'Invite friends to like this Page',
    'invite_your_frineds' => 'Invite your friends/followers',
    'not_invite' => 'You don\'t have any more friends to invite',
    'invite' => 'Invite',
    'invited_page' => 'invited you to like ({page_name})',
    'accepted_invited_page' => 'accepted your request to like ({page_name})',
    'call_to_action' => 'Call to action',
    'call_to_action_target' => 'Call to target url',
    'call_action_type_url_invalid' => 'Call to action website is invalid',
    'avatar_and_cover' => 'Avatar & Cover',
    'online_sidebar_admin_label' => 'Enable online users to show active users in sidebar.',
    'not_active' => 'Not Activated',
    'females' => 'Females',
    'males' => 'Males',
    'dashboard' => 'Dashboard',
    'albums' => 'Albums',
    'name' => 'Name',
    'players' => 'Players',
    'add_new_game' => 'Add New Game',
    'game_added' => 'Game added',
    'url_not_supported_game' => 'This url is not supported',
    'please_add_a_game' => 'Please add a game url',
    'active_announcements' => 'Active announcements',
    'inactive_announcements' => 'Inactive announcements',
    'ban' => 'Ban',
    'new_email' => 'New E-mail',
    'html_allowed' => 'Html allowed',
    'send_me_to_my_email' => 'Send to my email',
    'test_message' => 'Test message',
    'joined_members' => 'Joined Members',
    'join_requests' => 'Join Requests',
    'verified_pages' => 'Verified Pages',
    'file_sharing_extenstions' => 'File sharing extensions (separated with comma,)',
    'word_cons' => 'Words to be censored, separated by a comma (,)',
    'join' => 'Join',
    'joined' => 'Joined',
    'request' => 'Request',
    'edit_comment' => 'Edit comment',
    'last_play' => 'Last Play:',
    'play' => 'Play',
    'confirm_request_group_privacy_label' => 'Confirm request when someone joining this group ?',
    'who_can_see_group_posts' => 'Who can see group\'s posts ?',
    'joined_users' => 'Joined users',
    'social_links' => 'Social Links',
    'living_in' => 'Living in',
    'design' => 'Design',
    'guest' => 'Guest',
    'people_you_may_want_to_meet' => 'People you may want to meet',
    'added_new_photos_to' => 'added new photos to',
    'is_feeling' => 'is feeling',
    'is_traveling' => 'is traveling to',
    'is_listening' => 'is listening to',
    'is_playing' => 'is playing',
    'is_watching' => 'is watching',
    'feeling' => 'Feeling',
    'traveling' => 'Traveling to',
    'watching' => 'Watching',
    'playing' => 'Playing',
    'listening' => 'Listening to',
    'feeling_q' => 'What are you feeling ?',
    'traveling_q' => 'Where are you traveling ?',
    'watching_q' => 'What are you watching ?',
    'playing_q' => 'What are you Playing ?',
    'listening_q' => 'What are you Listening to ?',
    'feel_d' => 'What are you doing ?',
    'working_at' => 'Working at',
    'studying_at' => 'Studying at',
    'located_in' => 'Located in',
    'company_website_invalid' => 'Company website is invalid',
    'page_deleted' => 'Page deleted successfully',
    'cover_n_label' => 'cover image.',
    'suggested_groups' => 'Suggested groups',
    'accepted_join_request' => 'accepted your request to join ({group_name})',
    'requested_to_join_group' => 'requested to join your group',
    'no_one_posted' => 'No one posted yet',
    'add_your_frineds' => 'Add your friends to this group',
    'added_all_friends' => 'There are no friends to add them',
    'added_you_to_group' => 'added you to the group ({group_name})',
    'group_type' => 'Group type',
    'public' => 'Public',
    'private' => 'Private',
    'reports' => 'Reports',
    'no_dislikes' => 'No dislikes yet',
    'disliked' => 'Disliked',
    'wondered' => 'Wondered',
    'terms' => 'Terms Pages',
    'profile_privacy' => 'User Profile Privacy',
    'profile_privacy_info' => 'Enable it to allow non logged users to view users profiles.',
    'video_upload' => 'Video Upload',
    'video_upload_info' => 'Enable video upload to share & upload videos to the site.',
    'audio_upload' => 'Audio Upload',
    'audio_upload_info' => 'Enable audio upload to share & upload sounds to the site.',
    'read_more' => 'Read more',
    'read_less' => 'Read less',
    'add_photo' => 'Add a photo.',
    'add_photo_des' => 'Show your unique personality and style.',
    'start_up_skip' => 'Or Skip this step for now.',
    'start_up_continue' => 'Save & Continue',
    'tell_us' => 'Tell us about you.',
    'tell_us_des' => 'Share your information with our community.',
    'get_latest_activity' => 'Get latest activities from our popular users.',
    'follow_head' => 'Follow our famous users.',
    'follow_num' => 'Follow {number} & Finish',
    'looks_good' => 'Looks good.',
    'looks_good_des' => 'You\'ll be able to add more to your profile later.',
    'upload_your_photo' => 'Upload your photo',
    'please_wait' => 'Please wait..',
    // New v1.2.3
    'username_or_email' => 'Username or E-mail',
    'email_setting' => 'E-mail Setting',
    // New v1.3
    'years_old' => 'years old',
    'friends_birthdays' => 'Friends Birthdays',
    'sms_setting' => 'SMS Setting',
    'smooth_loading' => 'Smooth Loading',
    'boosted_pages_viewable' => 'Boosted pages are already viewable by all our community members.',
    'boost_page_in_same_time' => 'You\'re a {type_name}, You\'re just able to boost {can_boost} pages at the same time.',
    'boost_posts_in_same_time' => 'You\'re a {type_name}, You\'re just able to boost {can_boost} posts at the same time.',
    'there_are_no_boosted_pages' => 'There are no boosted pages yet.',
    'there_are_no_boosted_posts' => 'There are no boosted posts yet.',
    'discover_pro_types' => 'Discover more features with {sitename} PRO packages !',
    'star' => 'Star',
    'hot' => 'Hot',
    'ultima' => 'Ultima',
    'vip' => 'Vip',
    'featured_member' => 'Featured member',
    'see_profile_visitors' => 'See profile visitors',
    'show_hide_lastseen' => 'Show / Hide last seen',
    'verified_badge' => 'Verified badge',
    'post_promotion_star' => 'Post promotion<br><small>(Not availabe)</small>',
    'page_promotion_star' => 'Page promotion<br><small>(Not availabe)</small>',
    '0_discount' => '0% discount',
    '10_discount' => '10% discount',
    '20_discount' => '20% discount',
    '60_discount' => '60% discount',
    'per_week' => 'per week',
    'per_month' => 'per month',
    'per_year' => 'per year',
    'life_time' => 'life time',
    'upgrade_now' => 'Upgrade Now',
    'post_promotion_hot' => 'Boost up to 5 posts<br><small>(5 in same time 7/24)</small>',
    'page_promotion_hot' => 'Boost up to 5 pages<br><small>(5 in same time 7/24)</small>',
    'post_promotion_ultima' => 'Boost up to 20 posts<br><small>(20 in same time 7/24)</small>',
    'page_promotion_ultima' => 'Boost up to 20 pages<br><small>(20 in same time 7/24)</small>',
    'post_promotion_vip' => 'Boost up to 40 posts<br><small>(40 in same time 7/24)</small>',
    'page_promotion_vip' => 'Boost up to 40 pages<br><small>(40 in same time 7/24)</small>',
    'boosted_posts' => 'Boosted Posts',
    'boosted_pages' => 'Boosted Pages',
    'put_me_here' => 'Put Me Here',
    'promoted' => 'Promoted',
    'oops_something_went_wrong' => 'Oops ! Something went wrong.',
    'try_again' => 'Try again',
    'boost_page' => 'Boost Page',
    'page_boosted' => 'Page Boosted',
    'un_boost_page' => 'Un-Boost Page',
    'edit_page_settings' => 'Edit Page Settings',
    'blocked_users' => 'Blocked Users',
    'un_block' => 'Un-Block',
    'css_file' => 'CSS file',
    'css_status_default' => 'Default design',
    'css_status_my' => 'My CSS file',
    'design' => 'Design',
    'css_file_info' => 'You can fully design your profile by uploading your own CSS file',
    'invite_your_frineds_home' => 'Invite Your Friends',
    'send_invitation' => 'Send Invitation',
    'boost_post' => 'Boost Post',
    'unboost_post' => 'UnBoost Post',
    'drag_to_re' => 'Drag to reposition cover',
    'block_user' => 'Block User',
    'edit_user' => 'Edit User',
    'cong' => 'Congratulations ! You\'re now a <span style="color:{color}"><i class="fa fa-{icon} fa-fw"></i>{type_name}',
    'cong_2' => 'Start browsing the new features',
    'activation_oops' => 'Oops, looks like your account is not activated yet.',
    'activation_method' => 'Please choose a method below to activate your account.',
    'activation_email' => 'Via E-mail',
    'activation_phone' => 'Via Phone Number',
    'activation_or' => 'Or',
    'activation_send_code' => 'Send Confirmation Code',
    'activation_get_code_again' => 'Didn\'t get the code?',
    'activation_resend' => 'Resend',
    'activation_should_receive' => 'You should receive the code within',
    'confirm' => 'Confirm',
    'phone_num_ex' => 'Phone number (eg. +905...)',
    'error_while_activating' => 'Error while activating your account.',
    'wrong_confirmation_code' => 'Wrong confirmation code.',
    'failed_to_send_code' => 'Failed to send the confirmation code.',
    'worng_phone_number' => 'Wrong phone number.',
    'phone_already_used' => 'Phone number already used.',
    'sms_has_been_sent' => 'SMS has been sent successfully.',
    'error_while_sending_sms' => 'Error while sending the SMS, please try another number.',
    'failed_to_send_code_fill' => 'Failed to send the confirmation code, please select one of the activation methods.',
    'email_sent_successfully' => 'E-mail has been sent successfully, please check your inbox or spam folder for the activation link.',
    'limit_exceeded' => 'Limit exceeded, please try again later.',
    'failed_to_send_code_email' => 'Error while sending the SMS, please try another number or activate your account via email by logging into your account.',
    'free_member' => 'Free Member',
    'star_member' => 'Star Member',
    'hot_member' => 'Hot Member',
    'ultima_member' => 'Ultima Member',
    'vip_member' => 'Vip Member',
    'moderator' => 'Moderator',
    'member_type' => 'Member Type',
    'membership' => 'Membership',
    'upgrade' => 'Upgrade',
    'error_please_try_again' => 'Error, Please try again later.',
    'upgrade_to_pro' => 'Upgrade To Pro',
);

$wo['countries_name'] = array(
    '0' => 'Select Country',
    '1' => 'United States',
    '2' => 'Canada',
    '3' => 'Afghanistan',
    '4' => 'Albania',
    '5' => 'Algeria',
    '6' => 'American Samoa',
    '7' => 'Andorra',
    '8' => 'Angola',
    '9' => 'Anguilla',
    '10' => 'Antarctica',
    '11' => 'Antigua and/or Barbuda',
    '12' => 'Argentina',
    '13' => 'Armenia',
    '14' => 'Aruba',
    '15' => 'Australia',
    '16' => 'Austria',
    '17' => 'Azerbaijan',
    '18' => 'Bahamas',
    '19' => 'Bahrain',
    '20' => 'Bangladesh',
    '21' => 'Barbados',
    '22' => 'Belarus',
    '23' => 'Belgium',
    '24' => 'Belize',
    '25' => 'Benin',
    '26' => 'Bermuda',
    '27' => 'Bhutan',
    '28' => 'Bolivia',
    '29' => 'Bosnia and Herzegovina',
    '30' => 'Botswana',
    '31' => 'Bouvet Island',
    '32' => 'Brazil',
    '34' => 'Brunei Darussalam',
    '35' => 'Bulgaria',
    '36' => 'Burkina Faso',
    '37' => 'Burundi',
    '38' => 'Cambodia',
    '39' => 'Cameroon',
    '40' => 'Cape Verde',
    '41' => 'Cayman Islands',
    '42' => 'Central African Republic',
    '43' => 'Chad',
    '44' => 'Chile',
    '45' => 'China',
    '46' => 'Christmas Island',
    '47' => 'Cocos (Keeling) Islands',
    '48' => 'Colombia',
    '49' => 'Comoros',
    '50' => 'Congo',
    '51' => 'Cook Islands',
    '52' => 'Costa Rica',
    '53' => 'Croatia (Hrvatska)',
    '54' => 'Cuba',
    '55' => 'Cyprus',
    '56' => 'Czech Republic',
    '57' => 'Denmark',
    '58' => 'Djibouti',
    '59' => 'Dominica',
    '60' => 'Dominican Republic',
    '61' => 'East Timor',
    '62' => 'Ecuador',
    '63' => 'Egypt',
    '64' => 'El Salvador',
    '65' => 'Equatorial Guinea',
    '66' => 'Eritrea',
    '67' => 'Estonia',
    '68' => 'Ethiopia',
    '69' => 'Falkland Islands (Malvinas)',
    '70' => 'Faroe Islands',
    '71' => 'Fiji',
    '72' => 'Finland',
    '73' => 'France',
    '74' => 'France, Metropolitan',
    '75' => 'French Guiana',
    '76' => 'French Polynesia',
    '77' => 'French Southern Territories',
    '78' => 'Gabon',
    '79' => 'Gambia',
    '80' => 'Georgia',
    '81' => 'Germany',
    '82' => 'Ghana',
    '83' => 'Gibraltar',
    '84' => 'Greece',
    '85' => 'Greenland',
    '86' => 'Grenada',
    '87' => 'Guadeloupe',
    '88' => 'Guam',
    '89' => 'Guatemala',
    '90' => 'Guinea',
    '91' => 'Guinea-Bissau',
    '92' => 'Guyana',
    '93' => 'Haiti',
    '94' => 'Heard and Mc Donald Islands',
    '95' => 'Honduras',
    '96' => 'Hong Kong',
    '97' => 'Hungary',
    '98' => 'Iceland',
    '99' => 'India',
    '100' => 'Indonesia',
    '101' => 'Iran (Islamic Republic of)',
    '102' => 'Iraq',
    '103' => 'Ireland',
    '104' => 'Israel',
    '105' => 'Italy',
    '106' => 'Ivory Coast',
    '107' => 'Jamaica',
    '108' => 'Japan',
    '109' => 'Jordan',
    '110' => 'Kazakhstan',
    '111' => 'Kenya',
    '112' => 'Kiribati',
    '113' => 'Korea, Democratic People\'s Republic of',
    '114' => 'Korea, Republic of',
    '115' => 'Kosovo',
    '116' => 'Kuwait',
    '117' => 'Kyrgyzstan',
    '118' => 'Lao People\'s Democratic Republic',
    '119' => 'Latvia',
    '120' => 'Lebanon',
    '121' => 'Lesotho',
    '122' => 'Liberia',
    '123' => 'Libyan Arab Jamahiriya',
    '124' => 'Liechtenstein',
    '125' => 'Lithuania',
    '126' => 'Luxembourg',
    '127' => 'Macau',
    '128' => 'Macedonia',
    '129' => 'Madagascar',
    '130' => 'Malawi',
    '131' => 'Malaysia',
    '132' => 'Maldives',
    '133' => 'Mali',
    '134' => 'Malta',
    '135' => 'Marshall Islands',
    '136' => 'Martinique',
    '137' => 'Mauritania',
    '138' => 'Mauritius',
    '139' => 'Mayotte',
    '140' => 'Mexico',
    '141' => 'Micronesia, Federated States of',
    '142' => 'Moldova, Republic of',
    '143' => 'Monaco',
    '144' => 'Mongolia',
    '145' => 'Montenegro',
    '146' => 'Montserrat',
    '147' => 'Morocco',
    '148' => 'Mozambique',
    '149' => 'Myanmar',
    '150' => 'Namibia',
    '151' => 'Nauru',
    '152' => 'Nepal',
    '153' => 'Netherlands',
    '154' => 'Netherlands Antilles',
    '155' => 'New Caledonia',
    '156' => 'New Zealand',
    '157' => 'Nicaragua',
    '158' => 'Niger',
    '159' => 'Nigeria',
    '160' => 'Niue',
    '161' => 'Norfork Island',
    '162' => 'Northern Mariana Islands',
    '163' => 'Norway',
    '164' => 'Oman',
    '165' => 'Pakistan',
    '166' => 'Palau',
    '167' => 'Panama',
    '168' => 'Papua New Guinea',
    '169' => 'Paraguay',
    '170' => 'Peru',
    '171' => 'Philippines',
    '172' => 'Pitcairn',
    '173' => 'Poland',
    '174' => 'Portugal',
    '175' => 'Puerto Rico',
    '176' => 'Qatar',
    '177' => 'Reunion',
    '178' => 'Romania',
    '179' => 'Russian Federation',
    '180' => 'Rwanda',
    '181' => 'Saint Kitts and Nevis',
    '182' => 'Saint Lucia',
    '183' => 'Saint Vincent and the Grenadines',
    '184' => 'Samoa',
    '185' => 'San Marino',
    '186' => 'Sao Tome and Principe',
    '187' => 'Saudi Arabia',
    '188' => 'Senegal',
    '189' => 'Serbia',
    '190' => 'Seychelles',
    '191' => 'Sierra Leone',
    '192' => 'Singapore',
    '193' => 'Slovakia',
    '194' => 'Slovenia',
    '195' => 'Solomon Islands',
    '196' => 'Somalia',
    '197' => 'South Africa',
    '198' => 'South Georgia South Sandwich Islands',
    '199' => 'Spain',
    '200' => 'Sri Lanka',
    '201' => 'St. Helena',
    '202' => 'St. Pierre and Miquelon',
    '203' => 'Sudan',
    '204' => 'Suriname',
    '205' => 'Svalbarn and Jan Mayen Islands',
    '206' => 'Swaziland',
    '207' => 'Sweden',
    '208' => 'Switzerland',
    '209' => 'Syrian Arab Republic',
    '210' => 'Taiwan',
    '211' => 'Tajikistan',
    '212' => 'Tanzania, United Republic of',
    '213' => 'Thailand',
    '214' => 'Togo',
    '215' => 'Tokelau',
    '216' => 'Tonga',
    '217' => 'Trinidad and Tobago',
    '218' => 'Tunisia',
    '219' => 'Turkey',
    '220' => 'Turkmenistan',
    '221' => 'Turks and Caicos Islands',
    '222' => 'Tuvalu',
    '223' => 'Uganda',
    '224' => 'Ukraine',
    '225' => 'United Arab Emirates',
    '226' => 'United Kingdom',
    '227' => 'United States minor outlying islands',
    '228' => 'Uruguay',
    '229' => 'Uzbekistan',
    '230' => 'Vanuatu',
    '231' => 'Vatican City State',
    '232' => 'Venezuela',
    '233' => 'Vietnam',
    '238' => 'Yemen',
    '239' => 'Yugoslavia',
    '240' => 'Zaire',
    '241' => 'Zambia',
    '242' => 'Zimbabwe'
);


$wo['page_categories'] = array(
    '2' => 'Cars and Vehicles',
    '3' => 'Comedy',
    '4' => 'Economics and Trade',
    '5' => 'Education',
    '6' => 'Entertainment',
    '7' => 'Movies & Animation',
    '8' => 'Gaming',
    '9' => 'History and Facts',
    '10' => 'Live Style',
    '11' => 'Natural',
    '12' => 'News and Politics',
    '13' => 'People and Nations',
    '14' => 'Pets and Animals',
    '15' => 'Places and Regions',
    '16' => 'Science and Technology',
    '17' => 'Sport',
    '18' => 'Travel and Events',
    '1' => 'Other'
);

$wo['relationship'] = array(
    '1' => 'Single',
    '2' => 'In a relationship',
    '3' => 'Married',
    '4' => 'Engaged'
);

$wo['months'] = array(
    '1' => 'January',
    '2' => 'February',
    '3' => 'March',
    '4' => 'April',
    '5' => 'May',
    '6' => 'June',
    '7' => 'July',
    '8' => 'August',
    '9' => 'September',
    '10' => 'October',
    '11' => 'November',
    '12' => 'December'
);

$wo['call_action'] = array(
    '1' => 'Read more',
    '2' => 'Shop now',
    '3' => 'View now',
    '4' => 'Visit now',
    '5' => 'Book now',
    '6' => 'Learn more',
    '7' => 'Play now',
    '8' => 'Bet now',
    '9' => 'Donate',
    '10' => 'Apply here',
    '11' => 'Quote here',
    '12' => 'Order now',
    '13' => 'Book tickets',
    '14' => 'Enroll now',
    '15' => 'Find a card',
    '16' => 'Get a quote',
    '17' => 'Get tickets',
    '18' => 'Locate a dealer',
    '19' => 'Order online',
    '20' => 'Preorder now',
    '21' => 'Schedule now',
    '22' => 'Sign up now',
    '23' => 'Subscribe',
    '24' => 'Register now'
);

?>