<?php
$wo['lang'] = array(
    // welcome page
    'login' => 'S\'identifier',
    'register' => 'Enregistrez',
    'guest' => 'Client',
    'username' => 'le nom d\'utilisateur',
    'email' => 'E-mail',
    'password' => 'Mot de passe',
    'new_password' => 'Nouveau mot de passe',
    'remember_me' => 'Souviens-toi de moi',
    'or_login_with' => 'Ou connectez-vous avec',
    'forget_password' => 'Mot de passe oublié?',
    'email_address' => 'E-mail address',
    'confirm_password' => 'Confirmez le mot de passe',
    'lets_go' => 'Allons-y!',
    'recover_password' => 'Récupérer',
    'reset_new_password_label' => 'Réinitialisez votre mot de passe',
    'reset_password' => 'Réinitialiser',
    'invalid_token' => 'Jeton Invalide',
    'incorrect_username_or_password_label' => 'Identifiant ou mot de passe incorrect',
    'account_disbaled_contanct_admin_label' => 'Votre compte a été désactivé, s\'il vous plaît contactez-nous .',
    'account_not_active_label' => 'Vous devez activer votre compte.',
    'successfully_logged_label' => 'Connecté avec succès, S\'il vous plaît attendre..',
    'please_check_details' => 'S\'il vous plaît vérifier vos coordonnées.',
    'username_exists' => 'Nom d\'utilisateur est existe déjà.',
    'username_characters_length' => 'Nom d\'utilisateur doit être comprise entre 5/32',
    'username_invalid_characters' => 'Caractères de nom d\'utilisateur non valides',
    'password_invalid_characters' => 'Caractères de mot de passe invalide',
    'email_exists' => 'Cet e-mail est déjà utilisée',
    'email_invalid_characters' => 'Cet e-mail est invalide.',
    'password_short' => 'Mot de passe est trop court.',
    'password_mismatch' => 'Mot de passe ne correspond.',
    'reCaptcha_error' => 'S\'il vous plaît Vérifiez la ré-captcha.',
    'successfully_joined_label' => 'Réussir rejoint, S\'il vous plaît attendre..',
    'account_activation' => 'Activation de compte',
    'successfully_joined_verify_label' => 'Inscription réussi! Nous vous avons envoyé un e-mail, S\'il vous plaît vérifier votre boîte de réception / spam pour vérifier votre email.',
    'email_not_found' => 'Nous ne pouvons pas trouver cet e-mail.',
    'password_rest_request' => 'Demande de réinitialisation de mot',
    'email_sent' => 'Le courriel a été envoyé avec succès',
    'processing_error' => 'Une erreur est survenue lors du traitement de votre demande, s\'il vous plaît réessayer plus tard.',
    'password_changed' => 'Mot de passe changé avec succès !',
    'please_choose_correct_date' => 'S\'il vous plaît choisir une date correcte.',
    'setting_updated' => 'Réglage de mise à jour avec succès !',
    'current_password_mismatch' => 'Mot de passe actuel ne correspond pas',
    'website_invalid_characters' => 'Site Web est invalide.',
    'account_deleted' => 'Compte supprimé avec succès, s\'il vous plaît patienter..',
    'home' => 'Domicile',
    'advanced_search' => 'Recherche Avancée',
    'search_header_label' => 'Recherche de personnes, et les choses #hashtags',
    'no_result' => 'Aucun résultat trouvé',
    'last_seen' => 'Dernière Visite:',
    'accept' => 'Acceptez',
    'cancel' => 'Annuler',
    'delete' => 'Effacer',
    'my_profile' => 'Mon profil',
    'saved_posts' => 'Messages Enregistrés',
    'setting' => 'Réglage',
    'admin_area' => 'Admin Area',
    'log_out' => 'Se déconnecter',
    'no_new_notification' => 'Vous ne disposez pas de toutes les notifications',
    'no_new_requests' => 'Vous ne disposez pas de toutes les demandes',
    // notification
    'followed_you' => 'je t\'ai suivi',
    'comment_mention' => 'vous avez mentionné sur un commentaire.',
    'post_mention' => 'vous avez mentionné sur un poteau.',
    'posted_on_timeline' => 'posté sur votre timeline.',
    'profile_visted' => 'visité votre profil.',
    'accepted_friend_request' => 'accepté votre demande d\'ami.',
    'accepted_follow_request' => 'accepté votre demande de suivi.',
    'liked_comment' => 'aimé votre commentaire "{comment}" ',
    'wondered_comment' => 'demandé votre commentaire "{comment}" ',
    'liked_post' => 'aimé votre {postType} {post} ',
    'wondered_post' => 'demandé votre {postType} {post}',
    'share_post' => 'partagé votre {postType} {post}',
    'commented_on_post' => 'commenté sur votre {postType} {post}',
    'activity_liked_post' => 'aimé {user} <a class="main-color" href="{post}">poster</a>.',
    'activity_wondered_post' => 'demandé {user} <a class="main-color" href="{post}">poster</a>.',
    'activity_share_post' => 'partagé {user} <a class="main-color" href="{post}">poster</a>.',
    'activity_commented_on_post' => 'commenté sur {user} <a class="main-color" href="{post}">poster</a>.',
    'video_n_label' => 'vidéo.',
    'post_n_label' => 'poster.',
    'photo_n_label' => 'photo.',
    'file_n_label' => 'fichier.',
    'vine_n_label' => 'vine vidéo.',
    'sound_n_label' => 'du son.',
    'avatar_n_label' => 'Photo de profil.',
    // 404 page & activate page
    'error_not_found' => '404 Erreur',
    'sorry_page_not_found' => 'Désolé, page introuvable!',
    'page_not_found' => 'La page que vous recherchez n\'a pu être trouvée. S\'il vous plaît vérifier le lien que vous avez suivi pour arriver ici et essayez à nouveau.',
    'your_account_activated' => 'Votre compte a été activé avec succès!',
    'free_to_login' => 'Votre libre <a href="' . Wo_SeoLink('index.php?link1=welcome') . '">{login}</a> !',
    // admin area 
    'general_setting' => 'Cadre général',
    'login_setting' => 'Connexion Cadre',
    'manage_users' => 'gérer les utilisateurs',
    'manage_posts' => 'gérer les messages',
    'manage_reports' => 'gérer les rapports',
    'advertisement' => 'Publicité',
    'more' => 'Plus',
    'cache_system' => 'Système de cache',
    // admin general setting
    'chat_system' => 'système chat',
    'email_validation' => 'Email de validation',
    'email_notification' => 'Notification par courriel',
    'smooth_links' => 'liens lisses',
    'seo_friendly_url' => 'SEO URL conviviale',
    'file_sharing' => 'Partage de fichier',
    'themes' => 'thèmes',
    'user_setting' => 'Cadre de l\'utilisateur',
    'site_setting' => 'site Cadre',
    'cache_setting_info' => 'Activer système de cache pour accélérer votre site, a recommandé plus de 10.000 utilisateurs actifs.',
    'chat_setting_info' => 'Activer système chat pour discuter avec des amis sur le fond de la page',
    'email_validation_info' => 'Activer la validation de messagerie pour envoyer le lien d\'activation lorsque l\'utilisateur référencée.',
    'email_notification_info' => 'Activer la notification par e-mail pour envoyer une notification par e-mail de l\'utilisateur.',
    'smooth_links_info' => 'Activer les liens lisses, e.g.' . $wo['config']['site_url'] . '/home.',
    'seo_frindly_info' => 'Activer SEO URL conviviale, e.g.' . $wo['config']['site_url'] . '//1_hello-how-are-you-doing.html',
    'file_sharing_info' => 'Activez le partage de fichiers pour partager et télécharger des vidéos, des images, des fichiers, des sons, etc...',
    'cache' => 'Cache',
    // site info setting
    'site_information' => 'Informations sur le site',
    'site_title_name' => 'Site Nom et titre:',
    'site_name' => 'Nom du site',
    'site_title' => 'Titre du site',
    'site_keywords_description' => 'Site Mots-clés et description:',
    'site_keywords' => 'site Mots-clés (eg: social,wownder ..)',
    'site_description' => 'description du site',
    'site_email' => 'Site E-mail',
    'site_lang' => 'Langage par défaut',
    // themes setting
    'theme_setting' => 'thème Cadre',
    'activeted' => 'Activeted',
    'version' => 'Version:',
    'author' => 'Auteur:',
    'user_status' => 'Le statut de l\'utilisateur',
    // user setting
    'online_lastseen' => '(en ligne / vu la dernière fois)',
    'enable' => 'Activer',
    'disable' => 'désactiver',
    'allow_users_to_delete' => 'Autoriser les utilisateurs à supprimer son compte:',
    'profile_visit_notification' => 'Profil notification de visite:',
    'display_user_age_as' => 'Display user d\'âge:',
    'date' => 'Rendez-vous amoureux',
    'age' => 'Âge',
    'connectivity_system' => 'Système de connectivité:',
    'connectivity_system_note' => '<span style="color:red;">Note:</span> If you migrate from one system to another, all existing followings, followers, friends, memberships will be deleted to avoid issues.</small>',
    'friends_system' => 'Système d\'amis',
    'follow_system' => 'système de suivi',
    'max_upload_size' => 'Taille maximale de téléchargement:',
    'max_characters_length' => 'Max longueur des caractères:',
    'allowed_extenstions' => 'extensions autorisées:',
    // reCaptcha settting
    'reCaptcha_setting' => 'reCaptcha Cadre',
    'reCaptcha_key_is_required' => 'reCaptcha clé est nécessaire',
    'reCaptcha_key' => 'reCaptcha clé :',
    // google analytics setting
    'google_analytics' => 'Google Analytics',
    'google_analytics_code' => 'Google code Google Analytics:',
    // cache setting
    'cache_setting' => 'cache Cadre',
    'cache_recomended_clear' => 'Il est fortement recommandé de vider le cache.',
    'cache_size' => 'Taille du cache:',
    'clear_cache' => 'Vider le cache',
    // social login setting
    'social_login' => 'Social login',
    'social_login_api' => 'Social login API\'S',
    'facebook' => 'Facebook',
    'google' => 'Google+',
    'twitter' => 'Twitter',
    'linkedin' => 'Linkedin',
    'vkontakte' => 'Vkontakte',
    'facebook_api' => 'Facebook API',
    'google_api' => 'Google API',
    'twitter_api' => 'Twitter API',
    'linkedin_api' => 'Linkedin API',
    'vkontakte_api' => 'Vkontakte API',
    'app_id' => 'App ID',
    'app_secret_key' => 'App Secret Key',
    'login_with' => 'Connectez-vous avec',
    // manage users
    'id' => 'ID',
    'source' => 'La source',
    'status' => 'statut',
    'pending' => 'en attendant',
    'first_name' => 'Prénom',
    'last_name' => 'Nom de famille',
    'about_me' => 'A propos de moi',
    'website' => 'Website',
    'action' => 'Action',
    'show_more_users' => 'Afficher plus d\'utilisateurs',
    'no_more_users_to_show' => 'Pas plus aux utilisateurs d\'afficher',
    'user_delete_confirmation' => 'Êtes-vous sûr de vouloir supprimer cet utilisateur?',
    'post_delete_confirmation' => 'Es-tu sur de vouloir supprimer cette annonce?',
    'show_more_posts' => 'Montrer plus d\'articles',
    'no_more_posts' => 'Pas plus de postes',
    'no_posts_found' => 'Aucun post trouvé',
    'publisher' => 'Éditeur',
    'there_are_not_new_posts_for_now' => 'Il n\'y a pas pour le moment nouveau poste',
    'post_link' => 'lien Poster',
    'time' => 'Temps',
    'post' => 'Poster',
    'no_posts_yet' => '{name} n\'a pas encore posté rien',
    'search' => 'Recherche',
    'on' => 'Sur',
    'off' => 'De',
    'save' => 'sauvegarder',
    'saved' => 'Enregistré !',
    // Manage Report
    'reporter' => 'Journaliste',
    'time_reported' => 'temps Rapporté',
    'there_are_no_new_reports' => 'Il n\'y a pas de nouveaux rapports pour l\'instant.',
    'open_post' => 'Ouvrir Poste',
    'mark_safe' => 'Mark Safe',
    'delete_post' => 'Delete Post',
    // Advertisement Setting
    'advertisement_setting' => 'Cadre Publicité',
    // More Setting
    'more_setting' => 'plus Cadre',
    'mailing_users' => 'Liste de diffusion',
    'send' => 'Envoyer',
    'mailing_subject' => 'Assujettir..',
    'mailing_message' => 'Message..',
    'announcement' => 'Annonce:',
    'new_announcement' => 'nouvelle annonce ..',
    'add' => 'Ajouter',
    'views' => 'vues',
    'there_are_no_active_announcements' => 'Il n\'y a pas d\'annonces actives.',
    'there_are_no_inactive_announcements' => 'Il n\'y a aucune annonce inactifs.',
    // end admin
    'add_friend' => 'Ajouter',
    'follow' => 'Suivre',
    'following' => 'Suivant',
    'following_btn' => 'Suivant',
    'followers' => 'Les adeptes',
    'message' => 'Message',
    'requested' => 'demandé',
    'friends_btn' => 'Friends',
    'online' => 'Online',
    'offline' => 'Offline',
    'you_are_currently_offline' => 'Vous êtes actuellement déconnecté',
    'no_offline_users' => 'Aucun utilisateur hors ligne.',
    'no_online_users' => 'Aucun membre en ligne.',
    'search_for_users' => 'Recherche d\'utilisateurs',
    'no_users_found' => 'Aucun utilisateur trouvé.',
    'seen' => 'vu',
    'load_more_posts' => 'Chargez plus de postes',
    'load_more_users' => 'Charger plusieurs utilisateurs',
    'there_are_no_tags_found' => 'Aucun résultat n\'a été trouvé pour votre recherche.',
    'there_are_no_saved_posts' => 'Vous ne disposez pas de messages enregistrés.',
    'messages' => 'Messages',
    'write_something' => 'Écrire quelque chose .. ',
    'no_more_message_to_show' => 'Pas plus un message',
    'view_more_messages' => 'Voir plus de messages',
    'sorry_cant_reply' => 'Désolé, vous ne pouvez pas répondre à cet utilisateur.',
    'choose_one_of_your_friends' => 'Choisissez un de vos amis',
    'and_say_hello' => 'Et dire Bonjour !',
    // Modalas
    'download' => 'Télécharger',
    'update_your_info' => 'Mettre à jour vos informations',
    'choose_your_username' => 'Choisissez votre nom d\'utilisateur:',
    'create_your_new_password' => 'Créer votre nouveau mot de passe:',
    'update' => 'Mettre à jour',
    'delete_comment' => 'supprimer les commentaires',
    'confirm_delete_comment' => 'Etes-vous sûr que vous voulez supprimer ce commentaire ?',
    'confirm_delete_post' => 'Etes-vous sûr que vous voulez supprimer ce message ?',
    'edit_post' => 'Modifier le message',
    'session_expired' => 'La session a expiré',
    'session_expired_message' => 'Votre session a expiré, s\'il vous plaît vous connecter à nouveau.',
    // serach filter + timline
    'country' => 'Pays',
    'all' => 'Tous',
    'gender' => 'Genre',
    'female' => 'Femelle',
    'male' => 'Mâle',
    'profile_picture' => 'Photo de profil',
    'result' => 'Résultat:',
    'yes' => 'Oui',
    'no' => 'Non',
    'verified_user' => 'vérifié utilisateur',
    'change_password' => 'Changer le mot de passe',
    'current_password' => 'Mot de passe actuel',
    'repeat_password' => 'Répéter le mot de passe',
    'general' => 'Général',
    'profile' => 'Profil',
    'privacy' => 'Intimité',
    'delete_account' => 'Effacer le compte',
    'delete_account_confirm' => 'Etes-vous sûr que vous voulez supprimer votre compte, et de laisser notre réseau ?',
    'delete_go_back' => 'Non, je vais y réfléchir',
    'verified' => 'vérifié',
    'not_verified' => 'non vérifié',
    'admin' => 'Administrateur',
    'user' => 'Utilisateur',
    'verification' => 'Vérification',
    'type' => 'Type',
    'birthday' => 'Anniversaire',
    'active' => 'actif',
    'inactive' => 'inactif',
    'privacy_setting' => 'Paramètre de confidentialité',
    'follow_privacy_label' => 'Qui peut me suivre ?',
    'everyone' => 'Toutes les personnes',
    'my_friends' => 'Mes amis',
    'no_body' => 'Personne',
    'people_i_follow' => 'Les gens que je suivre',
    'people_follow_me' => 'Les gens Follow Me',
    'only_me' => 'Seulement moi',
    'message_privacy_label' => 'Qui peut me message ?',
    'timeline_post_privacy_label' => 'Qui peut poster sur mon calendrier ?',
    'activities_privacy_label' => 'Afficher mes activités ?',
    'show' => 'Montrer',
    'hide' => 'Cache',
    'confirm_request_privacy_label' => 'Confirmer la demande quand quelqu\'un vous suit ?',
    'lastseen_privacy_label' => 'Afficher mon dernière fois ?',
    'site_eg' => '(e.g: http://www.siteurl.com)',
    'profile_setting' => 'Profile Setting',
    // Story
    'pinned_post' => 'épinglé',
    'pin_post' => 'Pin Poster',
    'unpin_post' => 'Détacher Poster',
    'open_post_in_new_tab' => 'Ouvrir dans un nouvel onglet après',
    'unsave_post' => 'unsave Poster',
    'save_post' => 'Sauvegarder Poster',
    'unreport_post' => 'Unreport Poster',
    'report_post' => 'Signaler le message',
    'shared_this_post' => 'Partagé ce post',
    'changed_profile_picture_male' => 'Changé sa photo de profil',
    'changed_profile_picture_female' => 'A changé sa photo de profil',
    'post_login_requriement' => 'S\'il vous plaît vous connecter à aimer, étonnant, partager et commenter !',
    'likes' => 'Aime',
    'like' => 'Aimer',
    'wonder' => 'Merveille',
    'wonders' => 'Merveilles',
    'share' => 'Partagez',
    'comments' => 'commentaires',
    'no_likes' => 'Aucune aime encore',
    'no_wonders' => 'Pas encore wondres',
    'write_comment' => 'Ecrire un commentaire et appuyez sur Entrée',
    'view_more_comments' => 'Voir plus de commentaires',
    'welcome_to_news_feed' => 'Bienvenue à votre Nouvelles RSS!',
    'say_hello' => 'Dis bonjour !',
    'publisher_box_placeholder' => 'Ce qui se passe? #hashtag ..@Mention..',
    'youtube_link' => 'Youtube Link',
    'vine_link' => 'Vine Link',
    'soundcloud_link' => 'SoundCloud Link',
    'maps_placeholder' => 'Où es tu?',
    'post_label' => 'Poster',
    'text' => 'Envoyer des textos',
    'photos' => 'Photos',
    'sounds' => 'Des sons',
    'videos' => 'Les vidéos',
    'maps' => 'Plans',
    'files' => 'Dossiers',
    'not_following' => 'Ne pas suivre tout utilisateur',
    'no_followers' => 'Pas encore adeptes',
    'details' => 'Détails',
    'social_links' => 'Les réseaux sociaux',
    'online_chat' => 'amis en ligne',
    // Footer
    'about' => 'Sur',
    'contact_us' => 'Contactez nous',
    'privacy_policy' => 'politique de confidentialité',
    'terms_of_use' => 'Conditions d\'utilisation',
    'developers' => 'Développeurs',
    'language' => 'Langue',
    'copyrights' => 'Copyright Â© ' . date('Y') . ' ' . $wo['config']['siteName'] . '. All rights reserved.',
    // time + dates 
    'year' => 'an',
    'month' => 'mois',
    'day' => 'jour',
    'hour' => 'heure',
    'minute' => 'minute',
    'second' => 'deuxième',
    'years' => 'années',
    'months' => 'mois',
    'days' => 'jours',
    'hours' => 'des heures',
    'minutes' => 'minutes',
    'seconds' => 'secondes',
    'time_ago' => 'depuis',
    'time_from_now' => 'à partir de maintenant',
    'time_any_moment_now' => 'd un moment',
    'time_just_now' => 'Juste maintenant',
    'time_about_a_minute_ago' => 'Il ya environ une minute',
    'time_minute_ago' => '%d il y a quelques minutes',
    'time_about_an_hour_ago' => 'il y a à peu près une heure',
    'time_hours_ago' => '%d il y a des heures',
    'time_a_day_ago' => 'a Il ya jour',
    'time_a_days_ago' => '%d il y a quelques jours',
    'time_about_a_month_ago' => 'il y a environ un mois',
    'time_months_ago' => '%d il y a des mois',
    'time_about_a_year_ago' => 'Il ya environ un an',
    'time_years_ago' => '%d il y a des années',
    'latest_activities' => 'Dernières activités',
    'no_activities' => 'Pas de nouvelles activités',
    'trending' => 'Trending !',
    'load_more_activities' => 'Chargez plus d\'activités',
    'no_more_actitivties' => 'Pas plus d\'activités',
    'people_you_may_know' => 'Les gens que vous connaissez peut-être',
    'too_long' => 'Trop long',
    'too_short' => 'Trop court.',
    'available' => 'Disponible !',
    'in_use' => 'En service.',
    'username_invalid_characters_2' => 'Nom d\'utilisateur ne doit pas contenir de caractères, symboles ou espaces spéciaux.',
    // New v1.1
    'liked' => 'A aimé',
    'my_pages' => 'Mes Pages',
    'liked_page' => 'Aimé votre page ({page_name})',
    'this_week' => 'Cette semaine',
    'posts' => 'Des postes',
    'located_in' => 'Situé dans',
    'phone_number' => 'Téléphone',
    'company' => 'Compagnie',
    'category' => 'Catégorie',
    'search_for_posts' => 'Rechercher les messages',
    'create_new_page' => 'Créer une page',
    'page_name' => 'Nom de la page',
    'page_title' => 'Titre de la page',
    'your_page_title' => 'Votre titre de la page',
    'page_category' => 'page Catégorie',
    'page_description' => 'Description de la page',
    'page_description_info' => 'Votre description de la page, entre 10 et 200 caractères max.',
    'create' => 'Créer',
    'page_name_exists' => 'Nom de la page est existe déjà.',
    'page_name_characters_length' => 'Nom de la page doit être comprise entre 5/32',
    'page_name_invalid_characters' => 'Invalides nom de la page caractères',
    'edit' => 'modifier',
    'page_information' => 'Informations sur la page',
    'delete_page' => 'supprimer la page',
    'location' => 'Emplacement',
    'pages_you_may_like' => 'Pages que vous aimerez',
    'show_more_pages' => 'Voir plus de pages',
    'no_more_pages' => 'No more pages to show',
    'page_delete_confirmation' => 'Etes-vous sûr de vouloir supprimer cette page?',
    'manage_pages' => 'gérer les pages',
    'owner' => 'Propriétaire',
    'no_pages_found' => 'Aucune page trouvé',
    // Welcome Page title
    'welcome_wonder' => 'Merveille',
    'welcome_connect' => 'connecter',
    'welcome_share' => 'Partagez',
    'welcome_discover' => 'Découvrir',
    'welcome_find_more' => 'Trouve plus',
    'welcome_mobile' => 'mobile bienvenus',
    // Welcome page description
    'welcome_wonder_text' => 'Wonder (NOUVEAU), la capacité à se demander un poste si vous ne l\'aimez pas. ',
    'welcome_connect_text' => 'Connectez-vous avec votre famille et vos amis et partager vos moments. ',
    'welcome_share_text' => 'Partager ce sont des moments de nouvelles et de la vie avec vos amis. ',
    'welcome_discover_text' => 'Découvrez de nouvelles personnes, créer de nouvelles connexions et de faire de nouveaux amis. ',
    'welcome_find_more_text' => 'Trouver plus de ce que vous n \'êtes à la recherche d\'avec WoWonder Recherche. ',
    'welcome_mobile_text' => 'Écran 100% adaptable sur toutes les tablettes et les smartphones.',

    'working_at' => 'Travailler à',
    'relationship' => 'Relation',
    'none' => 'Aucun',
    'avatar' => 'Avatar',
    'cover' => 'Couverture',
    'background' => 'Contexte',
    'theme' => 'Thème',
    'deafult' => 'Défaut',
    'my_background' => 'Mon arrière-plan',
    'company_website' => 'Site Web de l\'entreprise',
    'liked_my_page' => 'Aimé Ma Page',
    // New v1.2
    'dislike' => 'Aversion',
    'dislikes' => 'Dégoûts',
    'disliked_post' => 'détesté votre {postType} {post}',
    'disliked_comment' => 'détesté votre commentaire "{comment}"',
    'activity_disliked_post' => 'détesté {user} <a class="main-color" href="{post}">post</a>.',
    'second_button_type' => 'Deuxième poste de type bouton',
    'group_name' => 'Nom de groupe',
    'group_title' => 'Titre de groupe',
    'my_groups' => 'Mes Groupes',
    'school' => 'L\'école',
    'site_keywords_help' => 'Example: social, wowonder, social site',
    'message_seen' => 'Vu message',
    'recommended_for_powerful' => 'Recommandé pour les puissants serveurs',
    'message_typing' => 'Système de typage chat',
    'reCaptcha' => 'reCaptcha',
    'instagram' => 'Instagram',
    'profile_visit_notification_help' => 'Envoyer une notification au destinataire quand un utilisateur visite son profil',
    'account_delete' => 'Effacer le compte',
    'ip_address' => 'Adresse IP',
    'manage_groups' => 'Gérer les groupes',
    'group_delete_confirmation' => 'Êtes-vous sûr de vouloir supprimer ce groupe?',
    'no_more_groups' => 'Pas de plusieurs groupes pour montrer',
    'show_more_groups' => 'Montrer plus de groupes',
    'members' => 'Des membres',
    'verifications_requests' => 'Demandes de vérification',
    'verify' => 'Vérifier',
    'ignore' => 'Ignorer',
    'page' => 'Page',
    'no_new_verification_requests' => 'Aucune nouvelle demande de vérification',
    'ban_user' => 'Ban User',
    'banned' => 'Banned',
    'there_are_no_banned_ips' => 'Il n\'y a pas ips interdits.',
    'invalid_ip' => 'Adresse IP non valide.',
    'ip_banned' => 'Adresse IP banni avec succès.',
    'ip_exist' => 'Adresse IP existent déjà',
    'please_add_ip' => 'S\'il vous plaît ajouter une adresse ip',
    'ip_deleted' => 'Adresse IP supprimé avec succès',
    'email_me_when' => 'Envoyez-moi lorsque',
    'e_likes_my_posts' => 'Quelqu\'un aimait mes messages',
    'e_wondered_my_posts' => 'Quelqu\'un demanda mes messages',
    'e_commented_my_posts' => 'Quelqu\'un a commenté mes messages',
    'e_shared_my_posts' => 'Quelqu\'un partagé sur mes posts',
    'e_followed_me' => 'Quelqu\'un m\'a suivi',
    'e_liked_page' => 'Quelqu\'un aimait mes pages',
    'e_visited_my_profile' => 'Quelqu\'un a visité mon profil',
    'e_mentioned_me' => 'Quelqu\'un a parlé de moi',
    'e_joined_group' => 'Quelqu\'un a rejoint mes groupes',
    'e_accepted' => 'Quelqu\'un a accepté mon ami / suivre la demande',
    'e_profile_wall_post' => 'Quelqu\'un a posté sur mon calendrier',
    'no_groups_found' => 'Pas de groupes trouvés',
    'group_information' => 'L\'information de groupe',
    'delete_group' => 'Supprimer le groupe',
    'group_name_exists' => 'Le nom du groupe est existe déjà.',
    'group_name_invalid_characters' => 'Invalides nom de groupe caractères',
    'group_name_characters_length' => 'Le nom du groupe doit être comprise entre 5/32',
    'no_requests_found' => 'Aucune demande trouvé',
    'remove' => 'Enlever',
    'no_members_found' => 'Aucun membres trouvés',
    'group_deleted' => 'Groupe supprimé avec succès',
    'create_new_group' => 'Créer un nouveau groupe',
    'my_games' => 'Mes Jeux',
    'no_games_found' => 'Pas de jeux trouvés',
    'groups' => 'Groupes',
    'no_friends' => 'Pas encore d\'amis',
    'no_groups' => 'N\'a pas encore de rejoindre les groupes',
    'load_more_pages' => 'Chargez plus de pages',
    'load_more_groups' => 'Chargez plusieurs groupes',
    'joined_group' => 'Rejoint notre groupe ({group_name})',
    'happy' => 'Heureux',
    'loved' => 'Aimé',
    'sad' => 'Triste',
    'so_sad' => 'Très triste',
    'angry' => 'En colère',
    'confused' => 'Confus',
    'smirk'  => 'Chaud',
    'broke' => 'Brisé',
    'expressionless' => 'Inexpressif', 
    'cool' => 'Bien',
    'funny' => 'Amusant',
    'tired' => 'Fatigué',
    'lovely' => 'Charmant',
    'blessed' => 'Béni',
    'shocked' => 'Choqué',
    'sleepy' => 'Somnolent',
    'pretty' => 'Assez',
    'bored' => 'Ennuyé',
    'total_users' => 'Nombre d\'utilisateurs',
    'users' => 'Utilisateurs',
    'pages' => 'Pages',
    'games' => 'Jeux',
    'online_users' => 'Utilisateurs en ligne',
    'recent_searches' => 'Recherches récentes',
    'clear' => 'Clair',
    'search_filter' => 'Filtre de recherche',
    'keyword' => 'Mot-clé',
    'what_are_looking_for' => 'Que cherchez?',
    'changed_profile_cover_picture_male' => 'Changé sa couverture de profil',
    'changed_profile_cover_picture_female' => 'Changé son profil couvercle',
    'latest_games' => 'Derniers jeux',
    'no_albums_found' => 'Aucun album n\'a été trouvé',
    'create_album' => 'Créer un album',
    'my_albums' => 'Mes albums',
    'album_name' => 'Nom de l\'album',
    'upload' => 'Télécharger',
    'add_photos' => 'Ajouter des photos',
    'replies' => 'réponses',
    'reply_to_comment' => 'Répondre au commentaire',
    'replied_to_comment' => 'répondu à votre commentaire "{comment}"',
    'comment_reply_mention' => 'vous avez mentionné dans une réponse "{comment}"',
    'also_replied' => 'répondu au commentaire "{comment}"',
    'liked_reply_comment' => 'aimé votre réponse "{comment}"',
    'wondered_reply_comment' => 'demandé votre réponse "{comment}"',
    'disliked_reply_comment' => 'détesté votre réponse "{comment}"',
    'profile_visit_notification_p' => 'Envoyer utilisateurs une notification lorsque je visite son profil?',
    'profile_visit_notification_help' => 'si vous ne partagez pas votre événement de la visite, vous ne serez pas en mesure de voir d\'autres gens qui visitent votre profil.',
    'showlastseen_help' => 'si vous ne partagez pas votre dernière fois, vous ne serez pas en mesure de voir d\'autres personnes la dernière fois.',
    'timeline_birthday_label' => 'Qui peut voir mon anniversaire?',
    'people_likes_this' => 'personnes aiment ce',
    'page_inviate_label' => 'Inviter des amis à aimer cette page',
    'invite_your_frineds' => 'Invitez vos amis / followers',
    'not_invite' => 'Vous ne disposez pas d\'autres amis à inviter',
    'invite' => 'Invitez',
    'invited_page' => 'vous invite à aimer ({page_name})',
    'accepted_invited_page' => 'accepté votre demande d\'aimer ({page_name})',
    'call_to_action' => 'Appel à l\'action',
    'call_to_action_target' => 'Appel à l\'URL cible',
    'call_action_type_url_invalid' => 'Appel à l\'action est site de invalide',
    'avatar_and_cover' => 'Avatar & Cover',
    'online_sidebar_admin_label' => 'Permettre aux utilisateurs en ligne pour montrer aux utilisateurs actifs dans la barre latérale.',
    'not_active' => 'Non activé',
    'females' => 'Femmes',
    'males' => 'Les mâles',
    'dashboard' => 'Tableau de bord',
    'albums' => 'Albums',
    'name' => 'Prénom',
    'players' => 'Des joueurs',
    'add_new_game' => 'Ajouter un nouveau jeu',
    'game_added' => 'jeu ajouté',
    'url_not_supported_game' => 'Cet URL est pas pris en charge',
    'please_add_a_game' => 'S\'il vous plaît ajouter une url de jeu',
    'active_announcements' => 'Annonces actives',
    'inactive_announcements' => 'Annonces inactifs',
    'ban' => 'Ban',
    'new_email' => 'Nouveau E-mail',
    'html_allowed' => 'HTML autorisée',
    'send_me_to_my_email' => 'Envoyer à mon e-mail',
    'test_message' => 'Message test',
    'joined_members' => 'Membres Inscrit',
    'join_requests' => 'Rejoignez Demandes',
    'verified_pages' => 'Pages Vérifié',
    'file_sharing_extenstions' => '',
    'word_cons' => 'Partage de fichiers extensions (séparées par des virgules,)',
    'join' => 'Joindre',
    'joined' => 'Inscrit',
    'request' => 'Demande',
    'edit_comment' => 'Modifier commentaire',
    'last_play' => 'Dernière lecture:',
    'play' => 'Joue',
    'confirm_request_group_privacy_label' => 'Confirmer la demande lorsque quelqu\'un se joindre à ce groupe?',
    'who_can_see_group_posts' => 'Qui peut voir des groupes messages?',
    'joined_users' => 'Inscrit utilisateurs',
    'social_links' => 'Liens sociaux',
    'living_in' => 'Vivre dans',
    'design' => 'Motif',
    'guest' => 'Client',
    'people_you_may_want_to_meet' => 'Les personnes que vous pouvez rencontrer',
    'added_new_photos_to' => 'ajoutés nouvelles photos à',
    'is_feeling' => 'est le sentiment',
    'is_traveling' => 'se rend à',
    'is_listening' => 'écoute',
    'is_playing' => 'est en train de jouer',
    'is_watching' => 'regarde',
    'feeling' => 'Sentiment',
    'traveling' => 'Voyager à',
    'watching' => 'En train de regarder',
    'playing' => 'En jouant',
    'listening' => 'Écouter',
    'feeling_q' => 'Que ressentez vous ?',
    'traveling_q' => 'Où êtes-vous?',
    'watching_q' => 'Qu\'est-ce que vous regardez ?',
    'playing_q' => 'A quoi tu joues ?',
    'listening_q' => 'Qu\'écoutes-tu ?',
    'feel_d' => 'Qu\'est-ce que tu fais ?',
    'working_at' => 'Travailler à',
    'studying_at' => 'Etudier à',
    'located_in' => 'Situé dans',
    'company_website_invalid' => 'Site de la société est invalide',
    'page_deleted' => 'Page supprimée avec succès',
    'cover_n_label' => 'Image de couverture.',
    'suggested_groups' => 'Suggestion de groupes',
    'accepted_join_request' => 'accepté votre demande d\'adhésion ({group_name})',
    'requested_to_join_group' => 'demandé à rejoindre votre groupe',
    'no_one_posted' => 'Personne encore posté',
    'add_your_frineds' => 'Ajouter à vos amis de ce groupe',
    'added_all_friends' => 'Il n\'y a aucun ami à les ajouter',
    'added_you_to_group' => 'vous ajouté au groupe ({group_name})',
    'group_type' => 'Type de groupe',
    'public' => 'Public',
    'private' => 'Privé',
    'reports' => 'Rapports',
    'no_dislikes' => 'Pas encore aversions',
    'disliked' => 'N\'a pas aimé',
    'wondered' => 'Demandé',
    'read_more' => 'En lire plus..',
    'read_less' => 'Lire moins..',
    'terms' => 'Conditions Pages',
    'profile_privacy' => 'Profil de confidentialité',
    'profile_privacy_info' => 'Activer qu\'il permette non connecté aux utilisateurs de voir les profils des utilisateurs.',
    'video_upload' => 'Video Upload',
    'video_upload_info' => 'Activer télécharger la vidéo pour partager et télécharger des vidéos sur le site.',
    'audio_upload' => 'Audio Upload',
    'audio_upload_info' => 'Activer audio upload pour partager et télécharger des sons sur le site.',
    'add_photo' => 'Ajouter une photo.',
    'add_photo_des' => 'Affichez votre personnalité et votre style uniques.',
    'start_up_skip' => 'Sauter cette étape pour le moment',
    'start_up_continue' => 'Enregistrer & Continuer',
    'tell_us' => 'Parlez-nous de vous.',
    'tell_us_des' => 'Partager vos informations avec notre communauté.',
    'get_latest_activity' => 'Obtenir les dernières activités de nos utilisateurs populaires.',
    'follow_head' => 'Suivez nos utilisateurs célèbres.',
    'follow_num' => 'Suivez {number} & Terminer',
    'looks_good' => 'Ça a l\'air bien.',
    'looks_good_des' => 'Vous serez en mesure de compléter votre profil ultérieurement.',
    'upload_your_photo' => 'Téléchargez votre photo',
    'please_wait' => 'S\'il vous plaît, attendez..',
    // New v1.2.3
    'username_or_email' => 'Nom d\'utilisateur ou email',
    'email_setting' => 'E-mail Réglage',
    // New v1.3

    'years_old' => 'ans',
    'friends_birthdays' => 'Annivarsaire d\'amis',
    'sms_setting' => 'Paramètres SMS',
    'smooth_loading' => 'Chargement régulier',
    'boosted_pages_viewable' => 'Les pages boostées sont déjà visibles par tous les membres de votre communauté',
    'boost_page_in_same_time' => 'Vous êtes un {type_name}, vous pouvez booster {can_boost} pages en même temps.',
    'boost_posts_in_same_time' => 'You\'re a {type_name}, vous pouvez booster {can_boost} posts en même temps.',
    'there_are_no_boosted_pages' => 'Il n\'y a pas encore de pages boostées.',
    'there_are_no_boosted_posts' => 'Il n\'y a pas encore de posts boostés.',
    'discover_pro_types' => 'Découvrez plus de fonctionnalités avec {sitename} PRO !',
    'star' => 'Etoile',
    'hot' => 'Hot',
    'ultima' => 'Ultima',
    'vip' => 'Vip',
    'featured_member' => 'Membres en vedette',
    'see_profile_visitors' => 'Voir le profil des visiteurs',
    'show_hide_lastseen' => 'Voir / Cacher la dernière fois vu',
    'verified_badge' => 'Badge Vérifié',
    'post_promotion_star' => 'Promotion de post<br><small>(Indisponible)</small>',
    'page_promotion_star' => 'Promotion de page<br><small>(Indisponible)</small>',
    '0_discount' => '0% de réduction',
    '10_discount' => '10% de réduction',
    '20_discount' => '20% de réduction',
    '60_discount' => '60% de réduction',
    'per_week' => 'par semaine',
    'per_month' => 'par mois',
    'per_year' => 'par an',
    'life_time' => 'à vie',
    'upgrade_now' => 'Mise à jour maintenant',
    'post_promotion_hot' => 'Boost up to 5 posts<br><small>(5 in same time 7/24)</small>',
    'page_promotion_hot' => 'Boost up to 5 pages<br><small>(5 in same time 7/24)</small>',
    'post_promotion_ultima' => 'Boost up to 20 posts<br><small>(20 in same time 7/24)</small>',
    'page_promotion_ultima' => 'Boost up to 20 pages<br><small>(20 in same time 7/24)</small>',
    'post_promotion_vip' => 'Boost up to 40 posts<br><small>(40 in same time 7/24)</small>',
    'page_promotion_vip' => 'Boost up to 40 pages<br><small>(40 in same time 7/24)</small>',
    'boosted_posts' => 'Posts boostés',
    'boosted_pages' => 'Pages boostées',
    'put_me_here' => 'Me mettre ici',
    'promoted' => 'Promoted',
    'oops_something_went_wrong' => 'Oops ! Quelquechose s\'est mal passé.',
    'try_again' => 'Essayez encore',
    'boost_page' => 'Booster Page',
    'page_boosted' => 'Page Boostée',
    'un_boost_page' => 'Un-Boost Page',
    'edit_page_settings' => 'Editer paramètres de la Page',
    'blocked_users' => 'Utilisateurs bloqués',
    'un_block' => 'Débloquer',
    'css_file' => 'fichier CSS',
    'css_status_default' => 'Design par défaut',
    'css_status_my' => 'Mon fichier CSS',
    'design' => 'Design',
    'css_file_info' => 'Vous pouvez modifier le design de votre profil via le téléversement de votre propre fichier CSS',
    'invite_your_frineds_home' => 'Inviter vos amis',
    'send_invitation' => 'Envoyer Invitation',
    'boost_post' => 'Boost Post',
    'unboost_post' => 'Un-Boost Post',
    'drag_to_re' => 'Faites glisser pour repositionner la couverture',
    'block_user' => 'Bloquer l\'utilisateur',
    'edit_user' => 'Editer Utilisateur',
    'cong' => 'Félicitation ! Vous êtes maintenant un <span style="color:{color}"><i class="fa fa-{icon} fa-fw"></i>{type_name}',
    'cong_2' => 'Commencer à naviguer sur les nouvelles fonctionnalités',
    'activation_oops' => 'Oops, votre compte n\'est pas encore activé.',
    'activation_method' => 'Merci de choisir une méthode ci*dessous pour activer votre compte.',
    'activation_email' => 'Par E-mail',
    'activation_phone' => 'Par téléphone',
    'activation_or' => 'Ou',
    'activation_send_code' => 'Envoyer le code confirmation',
    'activation_get_code_again' => 'Didn\'t get the code?',
    'activation_resend' => 'Renvoyer',
    'activation_should_receive' => 'You should receive the code within',
    'confirm' => 'Confirmer',
    'phone_num_ex' => 'Numéro de téléphone (eg. +33...)',
    'error_while_activating' => 'Error while activating your account.',
    'wrong_confirmation_code' => 'Code de confirmation erroné.',
    'failed_to_send_code' => 'Impossible d\'envoyer le code de confirmation.',
    'worng_phone_number' => 'Numéro de téléphone erroné.',
    'phone_already_used' => 'Numéro de téléphone déjà utilisé.',
    'sms_has_been_sent' => 'SMS envoyé avec succès.',
    'error_while_sending_sms' => 'Erreur lors de l\'envooi du SMS, merci d\'essayer un autre numéro de téléphone.',
    'failed_to_send_code_fill' => 'Impossible d\'envoyer le code de confirmation, essayez une des méthodes d\'activation.',
    'email_sent_successfully' => 'E-mail envoyé avec succès, merci de vérifier votre boite de réception et dossier spam pour le lien d\'activation.',
    'limit_exceeded' => 'Limite dépassé, merci de réessayer plus tard.',
    'failed_to_send_code_email' => 'Erreur lors de l\'envoi du SMS, merci d\'essayer un autre numéro ou activer votre compte par e-mail en vous connectant à votre compte.',
    'free_member' => 'Free member',
    'star_member' => 'Star Member',
    'hot_member' => 'Hot Member',
    'ultima_member' => 'Ultima Member',
    'vip_member' => 'Vip Member',
    'moderator' => 'Modérateur',
    'member_type' => 'Type de membres',
    'membership' => 'Membership',
    'upgrade' => 'Mise à jour',
    'error_please_try_again' => 'Erreur, merci de réessayer plus tard.',
    'upgrade_to_pro' => 'Passer à Pro',
);

$wo['countries_name'] = array(
    '0' => 'Select Country',
    '1' => 'United States',
    '2' => 'Canada',
    '3' => 'Afghanistan',
    '4' => 'Albania',
    '5' => 'Algeria',
    '6' => 'American Samoa',
    '7' => 'Andorra',
    '8' => 'Angola',
    '9' => 'Anguilla',
    '10' => 'Antarctica',
    '11' => 'Antigua and/or Barbuda',
    '12' => 'Argentina',
    '13' => 'Armenia',
    '14' => 'Aruba',
    '15' => 'Australia',
    '16' => 'Austria',
    '17' => 'Azerbaijan',
    '18' => 'Bahamas',
    '19' => 'Bahrain',
    '20' => 'Bangladesh',
    '21' => 'Barbados',
    '22' => 'Belarus',
    '23' => 'Belgium',
    '24' => 'Belize',
    '25' => 'Benin',
    '26' => 'Bermuda',
    '27' => 'Bhutan',
    '28' => 'Bolivia',
    '29' => 'Bosnia and Herzegovina',
    '30' => 'Botswana',
    '31' => 'Bouvet Island',
    '32' => 'Brazil',
    '34' => 'Brunei Darussalam',
    '35' => 'Bulgaria',
    '36' => 'Burkina Faso',
    '37' => 'Burundi',
    '38' => 'Cambodia',
    '39' => 'Cameroon',
    '40' => 'Cape Verde',
    '41' => 'Cayman Islands',
    '42' => 'Central African Republic',
    '43' => 'Chad',
    '44' => 'Chile',
    '45' => 'China',
    '46' => 'Christmas Island',
    '47' => 'Cocos (Keeling) Islands',
    '48' => 'Colombia',
    '49' => 'Comoros',
    '50' => 'Congo',
    '51' => 'Cook Islands',
    '52' => 'Costa Rica',
    '53' => 'Croatia (Hrvatska)',
    '54' => 'Cuba',
    '55' => 'Cyprus',
    '56' => 'Czech Republic',
    '57' => 'Denmark',
    '58' => 'Djibouti',
    '59' => 'Dominica',
    '60' => 'Dominican Republic',
    '61' => 'East Timor',
    '62' => 'Ecuador',
    '63' => 'Egypt',
    '64' => 'El Salvador',
    '65' => 'Equatorial Guinea',
    '66' => 'Eritrea',
    '67' => 'Estonia',
    '68' => 'Ethiopia',
    '69' => 'Falkland Islands (Malvinas)',
    '70' => 'Faroe Islands',
    '71' => 'Fiji',
    '72' => 'Finland',
    '73' => 'France',
    '74' => 'France, Metropolitan',
    '75' => 'French Guiana',
    '76' => 'French Polynesia',
    '77' => 'French Southern Territories',
    '78' => 'Gabon',
    '79' => 'Gambia',
    '80' => 'Georgia',
    '81' => 'Germany',
    '82' => 'Ghana',
    '83' => 'Gibraltar',
    '84' => 'Greece',
    '85' => 'Greenland',
    '86' => 'Grenada',
    '87' => 'Guadeloupe',
    '88' => 'Guam',
    '89' => 'Guatemala',
    '90' => 'Guinea',
    '91' => 'Guinea-Bissau',
    '92' => 'Guyana',
    '93' => 'Haiti',
    '94' => 'Heard and Mc Donald Islands',
    '95' => 'Honduras',
    '96' => 'Hong Kong',
    '97' => 'Hungary',
    '98' => 'Iceland',
    '99' => 'India',
    '100' => 'Indonesia',
    '101' => 'Iran (Islamic Republic of)',
    '102' => 'Iraq',
    '103' => 'Ireland',
    '104' => 'Israel',
    '105' => 'Italy',
    '106' => 'Ivory Coast',
    '107' => 'Jamaica',
    '108' => 'Japan',
    '109' => 'Jordan',
    '110' => 'Kazakhstan',
    '111' => 'Kenya',
    '112' => 'Kiribati',
    '113' => 'Korea, Democratic People\'s Republic of',
    '114' => 'Korea, Republic of',
    '115' => 'Kosovo',
    '116' => 'Kuwait',
    '117' => 'Kyrgyzstan',
    '118' => 'Lao People\'s Democratic Republic',
    '119' => 'Latvia',
    '120' => 'Lebanon',
    '121' => 'Lesotho',
    '122' => 'Liberia',
    '123' => 'Libyan Arab Jamahiriya',
    '124' => 'Liechtenstein',
    '125' => 'Lithuania',
    '126' => 'Luxembourg',
    '127' => 'Macau',
    '128' => 'Macedonia',
    '129' => 'Madagascar',
    '130' => 'Malawi',
    '131' => 'Malaysia',
    '132' => 'Maldives',
    '133' => 'Mali',
    '134' => 'Malta',
    '135' => 'Marshall Islands',
    '136' => 'Martinique',
    '137' => 'Mauritania',
    '138' => 'Mauritius',
    '139' => 'Mayotte',
    '140' => 'Mexico',
    '141' => 'Micronesia, Federated States of',
    '142' => 'Moldova, Republic of',
    '143' => 'Monaco',
    '144' => 'Mongolia',
    '145' => 'Montenegro',
    '146' => 'Montserrat',
    '147' => 'Morocco',
    '148' => 'Mozambique',
    '149' => 'Myanmar',
    '150' => 'Namibia',
    '151' => 'Nauru',
    '152' => 'Nepal',
    '153' => 'Netherlands',
    '154' => 'Netherlands Antilles',
    '155' => 'New Caledonia',
    '156' => 'New Zealand',
    '157' => 'Nicaragua',
    '158' => 'Niger',
    '159' => 'Nigeria',
    '160' => 'Niue',
    '161' => 'Norfork Island',
    '162' => 'Northern Mariana Islands',
    '163' => 'Norway',
    '164' => 'Oman',
    '165' => 'Pakistan',
    '166' => 'Palau',
    '167' => 'Panama',
    '168' => 'Papua New Guinea',
    '169' => 'Paraguay',
    '170' => 'Peru',
    '171' => 'Philippines',
    '172' => 'Pitcairn',
    '173' => 'Poland',
    '174' => 'Portugal',
    '175' => 'Puerto Rico',
    '176' => 'Qatar',
    '177' => 'Reunion',
    '178' => 'Romania',
    '179' => 'Russian Federation',
    '180' => 'Rwanda',
    '181' => 'Saint Kitts and Nevis',
    '182' => 'Saint Lucia',
    '183' => 'Saint Vincent and the Grenadines',
    '184' => 'Samoa',
    '185' => 'San Marino',
    '186' => 'Sao Tome and Principe',
    '187' => 'Saudi Arabia',
    '188' => 'Senegal',
    '189' => 'Serbia',
    '190' => 'Seychelles',
    '191' => 'Sierra Leone',
    '192' => 'Singapore',
    '193' => 'Slovakia',
    '194' => 'Slovenia',
    '195' => 'Solomon Islands',
    '196' => 'Somalia',
    '197' => 'South Africa',
    '198' => 'South Georgia South Sandwich Islands',
    '199' => 'Spain',
    '200' => 'Sri Lanka',
    '201' => 'St. Helena',
    '202' => 'St. Pierre and Miquelon',
    '203' => 'Sudan',
    '204' => 'Suriname',
    '205' => 'Svalbarn and Jan Mayen Islands',
    '206' => 'Swaziland',
    '207' => 'Sweden',
    '208' => 'Switzerland',
    '209' => 'Syrian Arab Republic',
    '210' => 'Taiwan',
    '211' => 'Tajikistan',
    '212' => 'Tanzania, United Republic of',
    '213' => 'Thailand',
    '214' => 'Togo',
    '215' => 'Tokelau',
    '216' => 'Tonga',
    '217' => 'Trinidad and Tobago',
    '218' => 'Tunisia',
    '219' => 'Turkey',
    '220' => 'Turkmenistan',
    '221' => 'Turks and Caicos Islands',
    '222' => 'Tuvalu',
    '223' => 'Uganda',
    '224' => 'Ukraine',
    '225' => 'United Arab Emirates',
    '226' => 'United Kingdom',
    '227' => 'United States minor outlying islands',
    '228' => 'Uruguay',
    '229' => 'Uzbekistan',
    '230' => 'Vanuatu',
    '231' => 'Vatican City State',
    '232' => 'Venezuela',
    '233' => 'Vietnam',
    '238' => 'Yemen',
    '239' => 'Yugoslavia',
    '240' => 'Zaire',
    '241' => 'Zambia',
    '242' => 'Zimbabwe'
);


$wo['page_categories'] = array(
    '2'   => 'Voitures et Véhicules',
    '3'   => 'Comédie',
    '4'   => 'Economie et Commerce',
    '5'   => 'Éducation',
    '6'   => 'Divertissement',
    '7'   => 'Films & Animations',
    '8'   => 'Jeux',
    '9'   => 'Histoire et faits',
    '10'  => 'Art de vivre',
    '11'  => 'Naturel',
    '12'  => 'Nouvelles et Politique',
    '13'  => 'Les gens et les Nations',
    '14'  => 'Animaux et Animaux',
    '15'  => 'Lieux et régions',
    '16'  => 'Science et technologie',
    '17'  => 'Sport',
    '18'  => 'Voyage et événement',
    '1'   => 'Autre'
);

$wo['relationship'] = array(
    '1'   => 'Unique',
    '2'   => 'En couple',
    '3'   => 'Marié',
    '4'   => 'Engagé'
);

$wo['months'] = array(
    '1'   => 'Janvier',
    '2'   => 'Février',
    '3'   => 'Mars',
    '4'   => 'Avril',
    '5'   => 'Mai',
    '6'   => 'Juin',
    '7'   => 'Juillet',
    '8'   => 'Août',
    '9'   => 'Septembre',
    '10'  => 'Octobre',
    '11'  => 'Novembre',
    '12'  => 'Décembre'
);

$wo['call_action'] = array(
    '1'   => 'Read more',
    '2'   => 'Shop now',
    '3'   => 'View now',
    '4'   => 'Visit now',
    '5'   => 'Book now',
    '6'   => 'Learn more',
    '7'   => 'Play now',
    '8'   => 'Bet now',
    '9'   => 'Donate',
    '10'  => 'Apply here',
    '11'  => 'Quote here',
    '12'  => 'Order now',
    '13'  => 'Book tickets',
    '14'  => 'Enroll now',
    '15'  => 'Find a card',
    '16'  => 'Get a quote',
    '17'  => 'Get tickets',
    '18'  => 'Locate a dealer',
    '19'  => 'Order online',
    '20'  => 'Preorder now',
    '21'  => 'Schedule now',
    '22'  => 'Sign up now',
    '23'  => 'Subscribe',
    '24'  => 'Register now'
);
?>