<?php
// +--------------------------------------+
// | Translated by http://ogarw.com/      |
// +--------------------------------------+

$wo['lang'] = array(
    // welcome page
    'login' => 'Anmelden',
    'register' => 'Registrieren',
    'guest' => 'Gast',
    'username' => 'Benutzername',
    'email' => 'Email',
    'password' => 'Passwort',
    'new_password' => 'Neues Passwort',
    'remember_me' => 'Angemeldet bleiben',
    'or_login_with' => 'oder Anmeldung mit',
    'forget_password' => 'Passwort Vergessen?',
    'email_address' => 'Emailadresse',
    'confirm_password' => 'Passwort bestätigen',
    'lets_go' => 'Los gehts!',
    'recover_password' => 'Passwort wiederherstellen',
    'reset_new_password_label' => 'Passwort zurücksetzen',
    'reset_password' => 'Zurücksetzen',
    'invalid_token' => 'Ungültiges Zeichen',
    'incorrect_username_or_password_label' => 'Benutzername oder Passwort falsch',
    'account_disbaled_contanct_admin_label' => 'Dein Konto wurde deaktiviert. Bitte setze dich mit uns in Verbindung.',
    'account_not_active_label' => 'Bitte aktiviere dein Konto.',
    'successfully_logged_label' => 'Erfolgreich angemeldet, bitte warten..',
    'please_check_details' => 'Bitte überprüfe deine Angaben.',
    'username_exists' => 'Benutzername existiert bereits.',
    'username_characters_length' => 'Benutzername muss zwischen 5 und 32 Zeichen sein',
    'username_invalid_characters' => 'Benutzername enthält unzulässige Zeichen',
    'password_invalid_characters' => 'Passwort enthält unzulässige Zeichen',
    'email_exists' => 'Emailadresse wird bereits benutzt',
    'email_invalid_characters' => 'Ungültige Emailadresse.',
    'password_short' => 'Passwort ist zu kurz.',
    'password_mismatch' => 'Passwörter stimmen nicht überein.',
    'reCaptcha_error' => 'Bitte überprüfe den re-captcha.',
    'successfully_joined_label' => 'Erfolgreich beigetreten, bitte warten..',
    'account_activation' => 'Konto Aktivierung',
    'successfully_joined_verify_label' => 'Registrierung war erfolgreich! Wir haben dir eine Email gesandt: Bitte überprüfe dein Postfach und Spamordner zum aktivieren deines Kontos.',
    'email_not_found' => 'Email konnte nicht gefunden werden.',
    'password_rest_request' => 'Passwort-Reset-Anfrage',
    'email_sent' => 'Email wurde erfolgreich versendet',
    'processing_error' => 'In der Bearbeitung wurde ein Fehler festgestellt. Bitte versuche es später noch einmal.',
    'password_changed' => 'Passwort erfolgreich geändert!',
    'please_choose_correct_date' => 'Bitte gebe ein korrektes Datum an.',
    'setting_updated' => 'Einstellungen erfolgreich übernommen!',
    'current_password_mismatch' => 'Aktuelles Passwort stimmt nicht',
    'website_invalid_characters' => 'Webseite ist ungültig.',
    'account_deleted' => 'Konto erfolgreich gelöscht, bitte warten..',
    'home' => 'Start',
    'advanced_search' => 'Erweiterte Suche',
    'search_header_label' => 'Suche Personen, #hashtags und Dinge',
    'no_result' => 'Leider keine Ergebnisse',
    'last_seen' => 'Zuletzt online vor:',
    'accept' => 'Akteptieren',
    'cancel' => 'Abbruch',
    'delete' => 'Löschen',
    'my_profile' => 'Mein Profil',
    'saved_posts' => 'Gespeicherte Beiträge',
    'setting' => 'Einstellungen',
    'admin_area' => 'Administration',
    'log_out' => 'Abmelden',
    'no_new_notification' => 'Derzeit keine neuen Benachrichtigungen',
    'no_new_requests' => 'Derzeit keine neuen Anfragen',
    // notification
    'followed_you' => 'folgt dir jetzt',
    'comment_mention' => 'hat dich in einem Kommentar erwähnt.',
    'post_mention' => 'hat dich in einem Beitrag erwähnt.',
    'posted_on_timeline' => 'hat an deine Pinwand geschrieben.',
    'profile_visted' => 'hat dein Profil besucht.',
    'accepted_friend_request' => 'hat deine Freundschaftsanfrage akzeptiert.',
    'accepted_follow_request' => 'hat deine Folgenanfrage akzeptiert.',
    'liked_comment' => 'gefällt dein Kommentar "{comment}" ',
    'wondered_comment' => 'wundert sich über deinen Kommentar "{comment}" ',
    'liked_post' => 'gefällt dein {postType} {post} ',
    'wondered_post' => 'wundert sich über deinen {postType} {post}',
    'share_post' => 'hat deinen {postType} {post} geteilt',
    'commented_on_post' => 'hat deinen {postType} {post} kommentiert',
    'activity_liked_post' => 'gefällt {user} <a class="main-color" href="{post}">Beitrag</a>.',
    'activity_wondered_post' => 'wundert sich über {user} <a class="main-color" href="{post}">Beitrag</a>.',
    'activity_share_post' => 'hat {user} <a class="main-color" href="{post}">Beitrag</a> geteilt.',
    'activity_commented_on_post' => 'hat {user} <a class="main-color" href="{post}">Beitrag</a> kommentiert.',
    'video_n_label' => 'Video',
    'post_n_label' => 'Beitrag',
    'photo_n_label' => 'Foto',
    'file_n_label' => 'Datei',
    'vine_n_label' => 'Vine-Video',
    'sound_n_label' => 'Musik',
    'avatar_n_label' => 'Profilbild',
    // 404 page & activate page
    'error_not_found' => '404 Fehler',
    'sorry_page_not_found' => 'Entschuldigung: Seite wurde nicht gefunden!',
    'page_not_found' => 'Die Seite die du besuchen möchtest, wurde nicht gefunden. Bitte überprüfe den Link auf Richtigkeit und versuche es erneut.',
    'your_account_activated' => 'Dein Konto wurde erfolgreich aktiviert!',
    'free_to_login' => 'Bitte hier <a href="' . Wo_SeoLink('index.php?link1=welcome') . '">{login}</a> !',
    // admin area 
    'general_setting' => 'Allgemeine Einstellungen',
    'login_setting' => 'Anmeldungseinstellungen',
    'manage_users' => 'Benutzer verwalten',
    'manage_posts' => 'Beiträge verwalten',
    'manage_reports' => 'Meldungen verwalten',
    'advertisement' => 'Werbung',
    'more' => 'Mehr',
    'cache_system' => 'Cachsystem',
    // admin general setting
    'chat_system' => 'Chatsystem',
    'email_validation' => 'Emailbestätigung',
    'email_notification' => 'Email-Benachrichtigungen',
    'smooth_links' => 'Einfache Links',
    'seo_friendly_url' => 'SEO freundliche URL',
    'file_sharing' => 'Datenaustausch',
    'themes' => 'Design',
    'user_setting' => 'Benutzereinstellungen',
    'site_setting' => 'Seiteneinstellungen',
    'cache_setting_info' => 'Aktiviere das Cachesystem um die Seiten schneller zu machen, Empfehlenswert ab 10,000 aktiven Benutzern.',
    'chat_setting_info' => 'Aktiviere das Chatsystem zum chatten mit Freunden',
    'email_validation_info' => 'Aktiviere Email-Aktivierung zum Senden eines Aktivierungslinks wenn sich ein Benutzer registriert.',
    'email_notification_info' => 'Aktiviere Email-Benachrichtigungen zum Senden von Benachrichtigungen an die Benutzer.',
    'smooth_links_info' => 'Aktiviere Einfache Links, z.B.' . $wo['config']['site_url'] . '/start',
    'seo_frindly_info' => 'Aktiviere SEO freundliche URL, z.B.' . $wo['config']['site_url'] . '//1_hallo-was-machst-du-gerade.html',
    'file_sharing_info' => 'Aktiviere Datenaustausch zum teilen und hochladen von: Videos, Bildern, Dateien, Musik, etc..',
    'cache' => 'Cache',
    // site info setting
    'site_information' => 'Seiteninformationen',
    'site_title_name' => 'Seitenname und Titel:',
    'site_name' => 'Seitenname',
    'site_title' => 'Seitentitel',
    'site_keywords_description' => 'Seiten-Schlüsselwörter und Beschreibung:',
    'site_keywords' => 'Seiten-Schlüsselwörter (z.B: social,wundern ..)',
    'site_description' => 'Seitenbeschreibung',
    'site_email' => 'System-Email',
    'site_lang' => 'Standard-Sprache',
    // themes setting
    'theme_setting' => 'Design Einstellungen',
    'activeted' => 'Aktiviert',
    'version' => 'Version:',
    'author' => 'Autor:',
    'user_status' => 'Benutzerstatus',
    // user setting
    'online_lastseen' => '(online/zuletzt online)',
    'enable' => 'Aktivieren',
    'disable' => 'Deaktivieren',
    'allow_users_to_delete' => 'Benutzern erlauben ihr Konto zu löschen:',
    'profile_visit_notification' => 'Profilbesucher Benachrichtigung:',
    'display_user_age_as' => 'Zeige das Alter eines Users als:',
    'date' => 'Datum',
    'age' => 'Alter',
    'connectivity_system' => 'Communityart:',
    'connectivity_system_note' => '<span style="color:red;">Achtung:</span> Wenn Du von einem System zu einem anderen migrierst, werden alle existierenden: Folger, Verfolger, Freunde, Mitgliedschaften gelöscht um Probleme zu vermeiden.</small>',
    'friends_system' => 'Freundesystem',
    'follow_system' => 'Folgensystem',
    'max_upload_size' => 'Maximale Dateigröße zum hochladen:',
    'max_characters_length' => 'Maximale Zeichenlänge:',
    'allowed_extenstions' => 'Erlaubte Endungen:',
    // reCaptcha settting
    'reCaptcha_setting' => 'reCaptcha Einstellungen',
    'reCaptcha_key_is_required' => 'reCaptcha schlüßel ist erforderlich',
    'reCaptcha_key' => 'reCaptcha Schlüßel :',
    // google analytics setting
    'google_analytics' => 'Google Analytics',
    'google_analytics_code' => 'Google Analytics Code:',
    // cache setting
    'cache_setting' => 'Cache Einstellungen',
    'cache_recomended_clear' => 'Es ist sehr empfehlenswert den Cache zu säubern.',
    'cache_size' => 'Cachegröße:',
    'clear_cache' => 'Cache säubern',
    // social login setting
    'social_login' => 'Social Anmeldung',
    'social_login_api' => 'Social Anmeldung API\'S',
    'facebook' => 'Facebook',
    'google' => 'Google+',
    'twitter' => 'Twitter',
    'linkedin' => 'Linkedin',
    'vkontakte' => 'Vkontakte',
    'facebook_api' => 'Facebook API',
    'google_api' => 'Google API',
    'twitter_api' => 'Twitter API',
    'linkedin_api' => 'Linkedin API',
    'vkontakte_api' => 'Vkontakte API',
    'app_id' => 'App ID',
    'app_secret_key' => 'App Geheim Schlüssel',
    'login_with' => 'Anmelden mit',
    // manage users
    'id' => 'ID',
    'source' => 'Quelle',
    'status' => 'Status',
    'pending' => 'Anstehend',
    'first_name' => 'Vorname',
    'last_name' => 'Nachname',
    'about_me' => 'Über mich',
    'website' => 'Webseite',
    'action' => 'Aktion',
    'show_more_users' => 'Zeige mehr Benutzer',
    'no_more_users_to_show' => 'Keine weiteren Benutzer',
    'user_delete_confirmation' => 'Diesen Benutzer wirklich löschen?',
    'post_delete_confirmation' => 'Diesen Beitrag wirklich löschen?',
    'show_more_posts' => 'Zeige mehr Beiträge',
    'no_more_posts' => 'Keine weiteren Beiträge',
    'no_posts_found' => 'Keine Beiträge gefunden',
    'publisher' => 'Herausgeber',
    'there_are_not_new_posts_for_now' => 'Derzeit keine neuen Beiträge',
    'post_link' => 'Beitragslink',
    'time' => 'Zeit',
    'post' => 'Beitrag',
    'no_posts_yet' => '{name} hat noch keine Beiträge erstellt',
    'search' => 'Suche',
    'on' => 'An',
    'off' => 'Aus',
    'save' => 'Speichern',
    'saved' => 'Gespeichert!',
    // Manage Report
    'reporter' => 'Meldungen',
    'time_reported' => 'Meldungs Zeit',
    'there_are_no_new_reports' => 'Derzeit keine neuen Meldungen.',
    'open_post' => 'Beitrag öffnen',
    'mark_safe' => 'Als sicher markieren',
    'delete_post' => 'Beitrag löschen',
    // Advertisement Setting
    'advertisement_setting' => 'Werbeeinstellungen',
    // More Setting
    'more_setting' => 'Mehr Einstellungen',
    'mailing_users' => 'Mail an alle User',
    'send' => 'Senden',
    'mailing_subject' => 'Gegenstand..',
    'mailing_message' => 'Nachricht..',
    'announcement' => 'Ankündigung:',
    'new_announcement' => 'Neue Ankündigung ..',
    'add' => 'Hinzufügen',
    'views' => 'Ansichten',
    'there_are_no_active_announcements' => 'Derzeit keine aktiven Ankündigungen.',
    'there_are_no_inactive_announcements' => 'Derzeit keine Inaktiven Ankündigungen.',
    // end admin
    'add_friend' => 'Als Freund',
    'follow' => 'folgen',
    'following' => 'folgt',
    'following_btn' => 'folgt',
    'followers' => 'verfolger',
    'message' => 'Nachricht',
    'requested' => 'Angefragt',
    'friends_btn' => 'Freunde',
    'online' => 'Online',
    'offline' => 'Offline',
    'you_are_currently_offline' => 'Du wirst als Offline angezeigt!',
    'no_offline_users' => 'Freunde Offline.',
    'no_online_users' => 'Freunde Online.',
    'search_for_users' => 'Freund suchen',
    'no_users_found' => 'Leider kein Treffer.',
    'seen' => 'Gesehen',
    'load_more_posts' => 'Mehr Beiträge laden',
    'load_more_users' => 'Mehr Benutzer laden',
    'there_are_no_tags_found' => 'Keine Ergebnisse für deine Anfrage gefunden.',
    'there_are_no_saved_posts' => 'Keine gespeicherten Beiträge.',
    'messages' => 'Nachrichten',
    'write_something' => 'Schreibe etwas.. ',
    'no_more_message_to_show' => 'Keine weiteren Nachrichten',
    'view_more_messages' => 'Mehr Nachrichten ansehen',
    'sorry_cant_reply' => 'Du kannst diesem Benutzer nicht antworten.',
    'choose_one_of_your_friends' => 'Wähle einen deiner Freunde',
    'and_say_hello' => 'und sage Hallo!',
    // Modalas
    'download' => 'Herunterladen',
    'update_your_info' => 'Aktualisiere deine Informationen',
    'choose_your_username' => 'Wähle deinen Benutzernamen:',
    'create_your_new_password' => 'Erstelle dein neues Passwort:',
    'update' => 'Aktualisieren',
    'delete_comment' => 'Kommentar löschen',
    'confirm_delete_comment' => 'Diesen Kommentar wirklich löschen ?',
    'confirm_delete_post' => 'Diesen Beitrag wirklich löschen ?',
    'edit_post' => 'Betrag bearbeiten',
    'session_expired' => 'Sitzung abgelaufen',
    'session_expired_message' => 'Deine Sitzung ist abgelaufen, bitte melde dich erneut an.',
    // serach filter + timline
    'country' => 'Land',
    'all' => 'Alle',
    'gender' => 'Geschlecht',
    'female' => 'Weiblich',
    'male' => 'Männlich',
    'profile_picture' => 'Profilfoto',
    'result' => 'Ergebnis:',
    'yes' => 'Ja',
    'no' => 'Nein',
    'verified_user' => 'Verifiziertes Mitglied',
    'change_password' => 'Passwort ändern',
    'current_password' => 'Aktuelles Passwort',
    'repeat_password' => 'Passwort wiederholen',
    'general' => 'Allgemein',
    'profile' => 'Profil',
    'privacy' => 'Privatsphäre',
    'delete_account' => 'Konto löschen',
    'delete_account_confirm' => 'Möchtest du Dein Konto wirklich löschen und "wen-kennt-wer" verlassen?',
    'delete_go_back' => 'Ich möchte nochmal eine Nacht drüber schlafen',
    'verified' => 'Verifiziert',
    'not_verified' => 'Nicht verifiziert',
    'admin' => 'Admin',
    'user' => 'Benutzer',
    'verification' => 'Verifizierung',
    'type' => 'Typ',
    'birthday' => 'Geburtstag',
    'active' => 'Aktiv',
    'inactive' => 'Inaktiv',
    'privacy_setting' => 'Privatsphäre Einstellungen',
    'follow_privacy_label' => 'Wer darf mir folgen?',
    'everyone' => 'Jeder',
    'my_friends' => 'Meine Freunde',
    'no_body' => 'Niemand',
    'people_i_follow' => 'Personen denen ich folge',
    'people_follow_me' => 'Persone die mir folgen',
    'only_me' => 'Nur ich',
    'message_privacy_label' => 'Wer darf mir Nachrichten schreiben?',
    'timeline_post_privacy_label' => 'Wer darf an meine Pinwand schreiben?',
    'activities_privacy_label' => 'Zeige meine Aktivitäten?',
    'show' => 'Zeigen',
    'hide' => 'Verstecken',
    'confirm_request_privacy_label' => 'Anfrage bestätigen wenn mir jemand folgen möchte?',
    'lastseen_privacy_label' => 'Zeigen was ich zuletzt gesehen habe?',
    'site_eg' => '(z.B.: http://www.meine-seite.de)',
    'profile_setting' => 'Profil Einstellungen',
    // Story
    'pinned_post' => 'Angepinnt',
    'pin_post' => 'Beitrag Anpinnen',
    'unpin_post' => 'Beitrag Abpinnen',
    'open_post_in_new_tab' => 'Beitrag in neuem Fenster öffnen',
    'unsave_post' => 'Beitrag nicht mehr speichern',
    'save_post' => 'Beitrag speichern',
    'unreport_post' => 'Beitrag nicht mehr melden',
    'report_post' => 'Beitrag melden',
    'shared_this_post' => 'hat diesen Beitrag geteilt',
    'changed_profile_picture_male' => 'hat sein Profilbild geändert',
    'changed_profile_picture_female' => 'hat ihr Profilbild geändert',
    'post_login_requriement' => 'Bitte melde dich zuerst an!',
    'likes' => 'Gefällt mir',
    'like' => 'Gefällt mir',
    'wonder' => 'Wundert mich',
    'wonders' => 'Verwundert',
    'share' => 'Teilen',
    'comments' => 'Kommentare',
    'no_likes' => 'Noch keine Gefällt mir Angaben',
    'no_wonders' => 'Noch keine Verwunderungen',
    'write_comment' => 'Schreibe einen Kommentar und drücke Enter',
    'view_more_comments' => 'Mehr Kommentare zeigen',
    'welcome_to_news_feed' => 'Willkkommen in deinem News-Feed!',
    'say_hello' => 'Sag Hallo!',
    'publisher_box_placeholder' => 'Was ist los? #Hashtag.. @Erwähnen..',
    'youtube_link' => 'Youtube Link',
    'vine_link' => 'Vine Link',
    'soundcloud_link' => 'SoundCloud Link',
    'maps_placeholder' => 'Wo bist du?',
    'post_label' => 'LOS',
    'text' => 'Text',
    'photos' => 'Fotos',
    'sounds' => 'Musik',
    'videos' => 'Videos',
    'maps' => 'Karten',
    'files' => 'Dateien',
    'not_following' => 'folgt niemandem',
    'no_followers' => 'hat keine Verfolger',
    'details' => 'Einzelheiten',
    'social_links' => 'Soziale Netzwerke',
    'online_chat' => 'Freunde Online',
    // Footer
    'about' => 'Über Uns',
    'contact_us' => 'Kontaktiere uns',
    'privacy_policy' => 'Datenschutz',
    'terms_of_use' => 'Nutzungsbedingungen',
    'developers' => 'Entwickler',
    'language' => 'Sprache',
    'copyrights' => 'Copyright © ' . date('Y') . ' ' . $wo['config']['siteName'] . '. Alle Rechte vorbehalten.',
    // time + dates 
    'year' => 'Jahr',
    'month' => 'Monat',
    'day' => 'Tag',
    'hour' => 'Stunde',
    'minute' => 'Minute',
    'second' => 'Sekunde',
    'years' => 'Jahre',
    'months' => 'Monate',
    'days' => 'Tage',
    'hours' => 'Stunden',
    'minutes' => 'Minuten',
    'seconds' => 'Sekunden',
    'time_ago' => '',
    'time_from_now' => 'ab jetzt',
    'time_any_moment_now' => 'jeden Moment',
    'time_just_now' => 'Gerade eben',
    'time_about_a_minute_ago' => 'Vor einer Minute',
    'time_minute_ago' => 'vor %d Minuten',
    'time_about_an_hour_ago' => 'Vor einer Stunde',
    'time_hours_ago' => 'vor %d Stunden',
    'time_a_day_ago' => 'Gestern',
    'time_a_days_ago' => 'vor %d Tagen',
    'time_about_a_month_ago' => 'vor einem Monat',
    'time_months_ago' => 'vor %d Monaten',
    'time_about_a_year_ago' => 'vor einem Jahr',
    'time_years_ago' => 'vor %d Jahren',
    'latest_activities' => 'Letzte Aktivitäten',
    'no_activities' => 'Keine neuen Aktivitäten',
    'trending' => 'Im Trend!',
    'load_more_activities' => 'Weitere Aktivitäten laden',
    'no_more_actitivties' => 'Keine weiteren Aktivitäten',
    'people_you_may_know' => 'Personen die Du vielleicht kennst',
    'too_long' => 'Zu Lang',
    'too_short' => 'Zu Kurz.',
    'available' => 'Verfügbar!',
    'in_use' => 'In Benutzung.',
    'username_invalid_characters_2' => 'Bitte keine Sonder- oder Leerzeichen verwenden.',
    // New v1.1
    'liked' => 'gefällt dir',
    'my_pages' => 'Meine Seiten',
    'liked_page' => 'gefällt Deine Seite ({page_name})',
    'this_week' => 'in dieser Woche',
    'posts' => 'Beiträge',
    'located_in' => 'Wohnt in',
    'phone_number' => 'Telefon',
    'company' => 'Firma',
    'category' => 'Kategorie',
    'search_for_posts' => 'Nach Beiträgen suchen',
    'create_new_page' => 'Neue Seite erstellen',
    'page_name' => 'Seitenname',
    'page_title' => 'Seitentitel',
    'your_page_title' => 'Dein Seitentitel',
    'page_category' => 'Seiten-Kategorie',
    'page_description' => 'Seitenbeschreibung',
    'page_description_info' => 'Deine Seitenbeschreibung, zwischen 10 und 200 Zeichen max.',
    'create' => 'Erstellen',
    'page_name_exists' => 'Seitenname ist bereits vorhanden.',
    'page_name_characters_length' => 'Seitenname muss zwischen 5 und 32 Zeichen bestehen',
    'page_name_invalid_characters' => 'Ungültige Zeichen vorhanden',
    'edit' => 'Bearbeiten',
    'page_information' => 'Seiteninformationen',
    'delete_page' => 'Seite löschen',
    'location' => 'Ort',
    'pages_you_may_like' => 'Seiten, die Dir gefallen',
    'show_more_pages' => 'Zeige mehr Seiten',
    'no_more_pages' => 'Keine weiteren Seiten vorhanden,',
    'page_delete_confirmation' => 'Bist Du sicher das Du diese Seite löschen möchtest?',
    'manage_pages' => 'Seiten verwalten',
    'owner' => 'Inhaber',
    'no_pages_found' => 'Keine Seiten gefunden',
    // Welcome Page title
    'welcome_wonder' => 'Wundern',
    'welcome_connect' => 'Verbinden',
    'welcome_share' => 'Teilen',
    'welcome_discover' => 'Entdecken',
    'welcome_find_more' => 'Mehr fnden',
    'welcome_mobile' => '100% Mobilfreundlich',
    // Welcome page description
    'welcome_wonder_text' => '(NEU) Wundern, die Möglichkeit, einen Beitrag zu markieren, in Frage zu stellen, weil Du es nicht glaubst oder verstehst. ',
    'welcome_connect_text' => 'Ein modernes soziales Netzwerk für den Kontakt zu Deiner Familie und Freunden. ',
    'welcome_share_text' => 'Teile mit Deinen Freunden, Nachbarn und Kollegen alles was neu ist. Zeige was Dir gefällt. ',
    'welcome_discover_text' => 'Entdecke neue Leute, neue Verbindungen und neue Freunde. ',
    'welcome_find_more_text' => 'Finde viel mehr, was Du mit wen-kennt-wer-Suche suchst. ',
    'welcome_mobile_text' => '100% für Dein Tablet und Smartphone angepasst.',
    
    'working_at' => 'Arbeitet bei',
    'relationship' => 'Beziehung',
    'none' => 'Keine',
    'avatar' => 'Profilbild',
    'cover' => 'Titelbild',
    'background' => 'Hintergrund',
    'theme' => 'Thema',
    'deafult' => 'Standard',
    'my_background' => 'Mein Hintergrund',
    'company_website' => 'Unternehmenswebseite',
    'liked_my_page' => 'gefällt meine Seite',
    // New v1.2
    
    'dislike' => 'Gefällt mir nicht',
    'dislikes' => 'Unbeliebt',
    'disliked_post' => 'gefällt dein Beitrag {postType} {post} nicht',
    'disliked_comment' => 'gefällt dein Kommentar "{comment}"',
    'activity_disliked_post' => 'unbeliebt {user} <a class="main-color" href="{post}"> Beitrag </a>.',
    'second_button_type' => 'Zweiter Likebutton',
    'group_name' => 'Gruppenname',
    'group_title' => 'Gruppentitel',
    'my_groups' => 'Meine Gruppen',
    'school' => 'Schule',
    'site_keywords_help' => 'Beispiel: soziale, wen-kennt-wer, soziale Website',
    'message_seen' => 'Nachricht gesehen',
    'recommended_for_powerful' => 'Empfohlen für leistungsstarke Server',
    'message_typing' => 'Chat Typisierungssystem',
    'reCaptcha' => 'reCaptcha',
    'instagram' => 'Instagram',
    'profile_visit_notification_help' => 'Wenn Du Deine Profilbesuche nicht teilen willst, können andere nicht sehen wenn du ihr Profil besucht hast.',
    'account_delete' => 'Konto löschen',
    'ip_address' => 'IP Adresse',
    'manage_groups' => 'Gruppen verwalten',
    'group_delete_confirmation' => 'Bist Du sicher das Du diese Gruppe löschen möchtest?',
    'no_more_groups' => 'Keine weiteren Gruppen,',
    'show_more_groups' => 'Mehrere Gruppen anzeigen',
    'members' => 'Mitglieder',
    'verifications_requests' => 'Verifizierungsanfragen',
    'verify' => 'Überprüfen',
    'ignore' => 'Ignorieren',
    'page' => 'Seite',
    'no_new_verification_requests' => 'Keine neuen Verifizierungsanfragen',
    'ban_user' => 'Gesperrte Benutzer',
    'banned' => 'Verboten',
    'there_are_no_banned_ips' => 'Es sind keine gesperrte IPs.',
    'invalid_ip' => 'Ungültige IP-Adresse.',
    'ip_banned' => 'IP-Adresse erfolgreich verboten.',
    'ip_exist' => 'Bereits vorhanden IP-Adresse',
    'please_add_ip' => 'Bitte füge eine IP-Adresse hinzu',
    'ip_deleted' => 'IP-Adresse erfolgreich gelöscht',
    'email_me_when' => 'Email-Bnachrichtigung, wenn:',
    'e_likes_my_posts' => 'Jemand wundert sich über meinen Beitrag',
    'e_wondered_my_posts' => 'Jemand mag meine Beiträge nicht',
    'e_commented_my_posts' => 'Jemand kommentiert meine Beiträge',
    'e_shared_my_posts' => 'Jemand teilt meine Beiträge',
    'e_followed_me' => 'Jemand folgt mir',
    'e_liked_page' => 'Jemand gefällt meine Seiten',
    'e_visited_my_profile' => 'Jemand hat mein Profil besucht',
    'e_mentioned_me' => 'Jemand erwähnte mich',
    'e_joined_group' => 'Jemand ist meiner Gruppe beigetreten',
    'e_accepted' => 'Jemand akzeptiert mein Freundschaftsanfrage',
    'e_profile_wall_post' => 'Jemand hat etwas in mein Profil geschrieben',
    'no_groups_found' => 'Keine Gruppen gefunden',
    'group_information' => 'Gruppenthemen',
    'delete_group' => 'Gruppe löschen',
    'group_name_exists' => 'Gruppenname ist bereits vorhanden.',
    'group_name_invalid_characters' => 'Ungültige Gruppenname Zeichen',
    'group_name_characters_length' => 'Gruppenname muss zwischen 5 und 32 Zeichen bestehen',
    'no_requests_found' => 'Keine Anfragen gefunden',
    'remove' => 'Entfernen',
    'no_members_found' => 'Keine Mitglieder gefunden',
    'group_deleted' => 'Gruppe erfolgreich gelöscht',
    'create_new_group' => 'Neue Gruppe erstellen',
    'my_games' => 'Meine Spiele',
    'no_games_found' => 'Keine Spiele gefunden',
    'groups' => 'Gruppen',
    'no_friends' => 'Noch keine Freunde',
    'no_groups' => 'Hat noch keiner Gruppe beigetreten',
    'load_more_pages' => 'Weitere Seiten laden',
    'load_more_groups' => 'Weitere Gruppen laden',
    'joined_group' => 'ist deiner Gruppe ({group_name}) beigetreten',
    'happy' => 'glücklich',
    'loved' => 'begeistert',
    'sad' => 'traurig',
    'so_sad' => 'sehr traurig',
    'angry' => 'verärgert',
    'confused' => 'verwirrt',
    'smirk' => 'Heiß',
    'broke' => 'am Boden zerstört',
    'expressionless' => 'ausdruckslos',
    'cool' => 'cool',
    'funny' => 'komisch',
    'tired' => 'müde',
    'lovely' => 'sehr verliebt',
    'blessed' => 'gesegnet',
    'shocked' => 'schockiert',
    'sleepy' => 'schläfrig',
    'pretty' => 'hübsch',
    'bored' => 'gelangweilt',
    'total_users' => 'Benutzer insgesamt',
    'users' => 'Benutzer',
    'pages' => 'Seiten',
    'games' => 'Spiele',
    'online_users' => 'User online',
    'recent_searches' => 'Letzte Suche',
    'clear' => 'Klar',
    'search_filter' => 'Suchfilter',
    'keyword' => 'Stichwort',
    'what_are_looking_for' => 'Was suchst du?',
    'changed_profile_cover_picture_male' => 'hat sein Titelbild geändert',
    'changed_profile_cover_picture_female' => 'hat ihr Titelbild geändert',
    'latest_games' => 'Neueste Spiele',
    'no_albums_found' => 'Kein Album gefunden',
    'create_album' => 'Album erstellen',
    'my_albums' => 'Meine Alben',
    'album_name' => 'Name des Albums',
    'upload' => 'Hochladen',
    'add_photos' => 'Fotos hinzufügen',
    'replies' => 'Antworten',
    'reply_to_comment' => 'Auf Kommentar antworten',
    'replied_to_comment' => 'hat auf Deinen Kommentar geantwortet "{comment}"',
    'comment_reply_mention' => 'hat dich in einer Antwort erwähnt "{comment}"',
    'also_replied' => 'hat auf den Kommentar zurück kommentiert "{comment}"',
    'liked_reply_comment' => 'gefält deine Antwort "{comment}"',
    'wondered_reply_comment' => 'wundert sich über deine Antwort "{comment}"',
    'disliked_reply_comment' => 'gefällt deine Antwort "{comment}"',
    'profile_visit_notification_p' => 'Benutzern eine Benachrichtigung senden, wenn ich ihr Profil besucht habe?',
    'showlastseen_help' => 'wenn du nicht teilen willst was du dir als letztes angesehen hast, kannst Du auch nicht sehen was andere sich angesehen haben.',
    'timeline_birthday_label' => 'Wer kann mein Geburtstag sehen?',
    'people_likes_this' => '„Gefällt mir“ Angaben',
    'page_inviate_label' => 'Freunde einladen, denen diese Seite gefallen könnte',
    'invite_your_frineds' => 'Laden Sie Ihre Freunde / Follower',
    'not_invite' => 'Du hast keine weiteren Freunde eingeladen',
    'invite' => 'Einladen',
    'invited_page' => 'Ich möchte dich gerne zu ({page_name}) einladen',
    'accepted_invited_page' => 'Deine Beitrittsanfrage für die Seite ({page_name}) wurde genehmigt',
    'call_to_action' => 'Was möchtest du tun?',
    'call_to_action_target' => 'Rufe das URL-Ziel auf',
    'call_action_type_url_invalid' => 'Es besteht Handlungsbedarf, Website ist ungültig',
    'avatar_and_cover' => 'Profil- und Titelbild',
    'online_sidebar_admin_label' => 'Aktivieren Internetuser zu aktiven Nutzern in Seitenleiste zeigen.',
    'not_active' => 'Nicht aktiviert',
    'females' => 'Frauen',
    'males' => 'Männlich',
    'dashboard' => 'Übersicht',
    'albums' => 'Alben',
    'name' => 'Name',
    'players' => 'Spieler',
    'add_new_game' => 'Neues Spiel hinzufügen',
    'game_added' => 'Spiel hinzugefügt',
    'url_not_supported_game' => 'Diese URL wird nicht unterstützt',
    'please_add_a_game' => 'Bitte füge ein Spiel hinzu',
    'active_announcements' => 'Aktive Ankündigungen',
    'inactive_announcements' => 'Inaktive Ankündigungen',
    'ban' => 'Verbot',
    'new_email' => 'Neue Email',
    'html_allowed' => 'HTML erlaubt',
    'send_me_to_my_email' => 'An meine Emailadresse senden',
    'test_message' => 'Testnachricht',
    'joined_members' => 'Registrierte Mitglieder',
    'join_requests' => 'Registrierte Anfragen',
    'verified_pages' => 'Verifizierte Seiten',
    'file_sharing_extenstions' => 'Daten-Transfer-Erweiterungen (mit Komma getrennt,)',
    'word_cons' => 'Zensierte Worte mit einem Komma trennen, (,)',
    'join' => 'Beitreten',
    'joined' => 'Beigetreten',
    'request' => 'Anfordern',
    'edit_comment' => 'Kommentar bearbeiten',
    'last_play' => 'Letztes Spiel:',
    'play' => 'Spielen',
    'confirm_request_group_privacy_label' => 'Anfrage bestätigen, wenn jemand dieser Gruppe beitreten will?',
    'who_can_see_group_posts' => 'Wer kann Gruppenbeiträge sehen?',
    'joined_users' => 'Registriert Nutzer',
    'social_links' => 'Sociallinks',
    'living_in' => 'Lebt in',
    'design' => 'Design',
    'guest' => 'Gast',
    'people_you_may_want_to_meet' => 'Vielleicht kennst du',
    'added_new_photos_to' => 'hat neue Fotos hinzugefügt',
    'is_feeling' => 'ist',
    'is_traveling' => 'ist auf Reisen',
    'is_listening' => 'hört zu',
    'is_playing' => 'spielt',
    'is_watching' => 'beobachtet',
    'feeling' => 'Gefühl',
    'traveling' => 'Reisen',
    'watching' => 'Ansehen',
    'playing' => 'Spielend',
    'listening' => 'Hören',
    'feeling_q' => 'Was fühlst du ?',
    'traveling_q' => 'Wohin möchtest du reisen?',
    'watching_q' => 'Was schaust Du ?',
    'playing_q' => 'Was spielst du ?',
    'listening_q' => 'Was hörst du ?',
    'feel_d' => 'Was machst Du?',
    'working_at' => 'Arbeitet bei',
    'studying_at' => 'Studiert an',
    'located_in' => 'Wohnt in',
    'company_website_invalid' => 'Unternehmens-Website ist ungültig',
    'page_deleted' => 'Seite erfolgreich gelöscht',
    'cover_n_label' => 'Titelbild.',
    'suggested_groups' => 'Empfohlene Gruppen',
    'accepted_join_request' => 'Deine Beitrittsanfrage wurde akzeptiert ({group_name})',
    'requested_to_join_group' => 'lädt dich ein, dieser Gruppe beizutreten',
    'no_one_posted' => 'Doch niemand geschrieben',
    'add_your_frineds' => 'Füge deine Freunde zu dieser Gruppe hinzu',
    'added_all_friends' => 'Es gibt keine Freunde, um sie hinzuzufügen',
    'added_you_to_group' => 'hat dich zur Gruppe ({group_name}) hinzugefügt',
    'group_type' => 'Gruppentyp',
    'public' => 'Öffentlichkeit',
    'private' => 'Privat',
    'reports' => 'Meldungen',
    'no_dislikes' => 'Keiner dem das nicht gefällt',
    'disliked' => 'unbeliebt',
    'wondered' => 'Verwundert',
    'terms' => 'Allgemeine Seiten',
    'profile_privacy' => 'Benutzerprofil Datenschutz',
    'profile_privacy_info' => 'Aktivieren Sie es, damit nicht angemeldete Benutzer, um Benutzer Profile anzusehen.',
    'video_upload' => 'Video hochladen',
    'video_upload_info' => 'Aktivieren Sie Video-Upload zu teilen und Videos auf der Website.',
    'audio_upload' => 'Audio hochladen',
    'audio_upload_info' => 'Aktivieren Sie Audio-Upload zu teilen und Upload-Sounds auf der Website.',
    'read_more' => 'Weiterlesen',
    'read_less' => 'Weniger lesen',
    'add_photo' => 'Füge ein Bild hinzu.',
    'add_photo_des' => 'Zeige Deine einzigartige Persönlichkeit und Deinen Stil.',
    'start_up_skip' => 'Diesen Schritt vorerst überspringen',
    'start_up_continue' => 'Speichern und weiter',
    'tell_us' => 'Erzählen Sie uns von Ihnen.',
    'tell_us_des' => 'Ihre Daten an unsere Community.',
    'get_latest_activity' => 'Holen Sie sich aktuelle Aktivitäten aus unserer beliebten Nutzer.',
    'follow_head' => 'Folgen Sie unseren berühmten Nutzer.',
    'follow_num' => 'Folgen Sie {number} & Finish',
    'looks_good' => 'Sieht gut aus.',
    'looks_good_des' => 'Du wirst später mehr zu Deinem Profil hinzufügen können.',
    'upload_your_photo' => 'Lade Dein Bild hoch',
    'please_wait' => 'Warten Sie mal..',
    // New v1.2.3
    'username_or_email' => 'Benutzername oder E-Mail-Adresse',
    'email_setting' => 'E-Mail Einstellung',
    // New v1.3
   'years_old' => 'Jahre alt',
    'friends_birthdays' => 'Geburtstage von Freunden',
    'sms_setting' => 'SMS Einstellungen',
    'smooth_loading' => 'Schnelles Laden',
    'boosted_pages_viewable' => 'Hervorgehobene Seiten sind sofort für alle Mitglieder der Community Sichtbar.',
    'boost_page_in_same_time' => 'Du nutzt einen {type_name} Account, Du kannst nicht {can_boost} Seiten zur selben Zeit hervorheben.',
    'boost_posts_in_same_time' => 'Du nutzt einen {type_name} Account, Du kannst nicht  {can_boost} Beiträge zur selben Zeit hervorheben.',
    'there_are_no_boosted_pages' => 'Es gibt zu Zeit keine hervorgehobenen Seiten.',
    'there_are_no_boosted_posts' => 'Es gibt zur Zeit noch keine hervorgehobenen Beiträge.',
    'discover_pro_types' => 'Entdecke mehr Funktionen mit dem {sitename} Pro-Paket !',
    'star' => 'Star',
    'hot' => 'Hot',
    'ultima' => 'Ultima',
    'vip' => 'Vip',
    'featured_member' => 'Besonderes Mitglied',
    'see_profile_visitors' => 'Sehe wer dein Profil besucht hat',
    'show_hide_lastseen' => 'Anzeigen oder Verstecke zuletzt gesehen',
    'verified_badge' => 'Verifiziert Abzeichen',
    'post_promotion_star' => 'Beitrags Promotion<br><small>(Nicht verfügbar)</small>',
    'page_promotion_star' => 'Seiten Promotion<br><small>(Nicht verfügbar)</small>',
    '0_discount' => '0% Nachlass',
    '10_discount' => '10% Nachlass',
    '20_discount' => '20% Nachlass',
    '60_discount' => '60% Nachlass',
    'per_week' => 'pro Woche',
    'per_month' => 'pro Monat',
    'per_year' => 'pro Jahr',
    'life_time' => 'Lebenslang',
    'upgrade_now' => 'Jetzt Upgraden',
    'post_promotion_hot' => 'Bis zu 5 Beiträge hervorheben<br><small>(5 Beiträge gleichen Zeit 7/24)</small>',
    'page_promotion_hot' => 'Bis zu 5 Seiten hervorheben<br><small>(5 Seiten zur gleichen Zeit 7/24)</small>',
    'post_promotion_ultima' => 'Bis zu 20 Beiträge hervorheben<br><small>(20 Beiträge zur gleichen Zeit 7/24)</small>',
    'page_promotion_ultima' => 'Bis zu 20 Seiten hervorheben<br><small>(20 Seiten zur gleichen Zeit 7/24)</small>',
    'post_promotion_vip' => 'Bis zu 40 Beiträge hervorheben<br><small>(40 Beiträge zur gleichen Zeit 7/24)</small>',
    'page_promotion_vip' => 'Bis zu 40 Seiten hervorheben<br><small>(40 Seiten zur gleichen Zeit 7/24)</small>',
    'boosted_posts' => 'hervorgehobene Beiträge',
    'boosted_pages' => 'hervorgehobene Seiten',
    'put_me_here' => 'Setze mich Hier',
    'promoted' => 'Promotions',
    'oops_something_went_wrong' => 'Oops ! Irgendetwas ist schief gegangen.',
    'try_again' => 'Versuche es erneut',
    'boost_page' => 'Seite hervorheben',
    'page_boosted' => 'Die Seite wurde hervorgehoben',
    'un_boost_page' => 'Seite nicht mehr hervorheben',
    'edit_page_settings' => 'Seiten Einstellungen bearbeiten',
    'blocked_users' => 'Blockierte Mitglieder',
    'un_block' => 'Blockierung aufheben',
    'css_file' => 'CSS Datei',
    'css_status_default' => 'Standart Design',
    'css_status_my' => 'Meine CSS Datei',
    'design' => 'Design',
    'css_file_info' => 'Du kannst dein Profil komplett selbst Designen in dem du deine CSS Datei hoch lädst',
    'invite_your_frineds_home' => 'Lade deine Freunde ein',
    'send_invitation' => 'Einladung Versenden',
    'boost_post' => 'Beitrag Hervorheben',
    'unboost_post' => 'Beitrag nicht mehr Hervorheben',
    'drag_to_re' => 'Ziehe das Cover mit der Maus um es neu zu Positionieren',
    'block_user' => 'Mitglied Blocken',
    'edit_user' => 'Mitglied Bearbeiten',
    'cong' => 'Herzlichen Glückwunsch! Du bist nun ein <span style="color:{color}"><i class="fa fa-{icon} fa-fw"></i>{type_name}',
    'cong_2' => 'Beginne dir die neuen Funktionen anzusehen',
    'activation_oops' => 'Oops, so wie es aussieht wurde dein Account Nachbericht aktiviert.',
    'activation_method' => 'Bitte suche dir eine unten stehende Methode aus um dein Account zu aktivieren.',
    'activation_email' => 'Via E-mail',
    'activation_phone' => 'Via Telefonnummer',
    'activation_or' => 'Oder',
    'activation_send_code' => 'Sende uns deinen Bestätigungs Code Manuell',
    'activation_get_code_again' => 'Du hast keinen Code erhalten?',
    'activation_resend' => 'Erneut Senden',
    'activation_should_receive' => 'Du solltest den Code in Kürze erhalten.',
    'confirm' => 'Bestätigen',
    'phone_num_ex' => 'Telefonnummer  (z.b +49...)',
    'error_while_activating' => 'Fehler beim aktivieren deines Accounts.',
    'wrong_confirmation_code' => 'Falscher bestätigungs Code.',
    'failed_to_send_code' => 'Fehler beim senden des bestätigungs Code.',
    'worng_phone_number' => 'Falsche Telefonnummer.',
    'phone_already_used' => 'Die angebene Telefonnummer wird bereits verwendet.',
    'sms_has_been_sent' => 'Die SMS wurde erfolgreich versendet.',
    'error_while_sending_sms' => 'Fehler beim Versenden der SMS, bitte versuche eine andere Telefonnummer.',
    'failed_to_send_code_fill' => 'Fehler beim Versenden des bestätigungs Code, bitte wählen eine andere aktivierungs Methode.',
    'email_sent_successfully' => 'Es wurde dir eine Email gesendet, bitte überprüfe deinen Postfach und gegebenfalls auch den Spam Ordner.',
    'limit_exceeded' => 'Anzahl an versuche überschritten , bitte versuche es später nochmal..',
    'failed_to_send_code_email' => 'Fehler beim Versenden der SMS, bitte benutze eine andere Telefonnummer  oder aktiviere deinen Account via Email, indem  du dich mit deinem Account Anmeldest.',
    'free_member' => 'Kostenlose Mitgliedschaft',
    'star_member' => 'Star Mitgliedschaft',
    'hot_member' => 'Hot Mitgliedschaft',
    'ultima_member' => 'Ultima Mitgliedschaft',
    'vip_member' => 'Vip Mitgliedschaft',
    'moderator' => 'Moderator',
    'member_type' => 'Mitglieds Typ',
    'membership' => 'Mitgliedschaft',
    'upgrade' => 'Upgrade',
    'error_please_try_again' => 'Fehler, bitte versuche es später nochmal.',
    'upgrade_to_pro' => 'Upgrade auf Pro',
);

$wo['countries_name'] = array(
    '0' => 'Select country',
    '1' => 'Vereinigte Staaten (USA)',
    '2' => 'Kanada',
    '3' => 'Afghanistan',
    '4' => 'Albanien',
    '5' => 'Algerien',
    '6' => 'Amerikanisch-Samoa',
    '7' => 'Andorra',
    '8' => 'Angola',
    '9' => 'Anguilla',
    '10' => 'Antarktis',
    '11' => 'Antigua und Barbuda',
    '12' => 'Argentinien',
    '13' => 'Armenien',
    '14' => 'Aruba',
    '15' => 'Australien',
    '16' => 'Österreich',
    '17' => 'Aserbaidschan',
    '18' => 'Bahamas',
    '19' => 'Bahrain (Bahrein)',
    '20' => 'Bangladesch',
    '21' => 'Barbados',
    '22' => 'Weißrußland (Belarus)',
    '23' => 'Belgien',
    '24' => 'Belize',
    '25' => 'Benin',
    '26' => 'Bermuda',
    '27' => 'Bhutan',
    '28' => 'Bolivien',
    '29' => 'Bosnien und Herzegovina',
    '30' => 'Botswana',
    '31' => 'Bouvetinsel',
    '32' => 'Brasilien',
    '34' => 'Brunei (Brunei Darussalam)',
    '35' => 'Bulgarien',
    '36' => 'Burkina Faso (Obervolta - 1984)',
    '37' => 'Burundi',
    '38' => 'Kambodscha',
    '39' => 'Kamerun',
    '40' => 'Kap Verde',
    '41' => 'Kaimaninseln',
    '42' => 'Zentralafrikanische Republik',
    '43' => 'Tschad',
    '44' => 'Chile',
    '45' => 'China',
    '46' => 'Weihnachtsinsel',
    '47' => 'Kokosinseln (Keeling)',
    '48' => 'Kolumbien',
    '49' => 'Komoren',
    '50' => 'Republik Kongo',
    '51' => 'Cookinseln',
    '52' => 'Costa Rica',
    '53' => 'Kroatien',
    '54' => 'Kuba',
    '55' => 'Zypern',
    '56' => 'Tschechien (Tschechische Republik)',
    '57' => 'Dänemark',
    '58' => 'Dschibuti',
    '59' => 'Dominica',
    '60' => 'Dominikanische Republik (Dom Rep)',
    '61' => 'Timor-Leste (Osttimor)',
    '62' => 'Ecuador',
    '63' => 'Ägypten',
    '64' => 'El Salvador',
    '65' => 'Äquatorialguinea',
    '66' => 'Eritrea',
    '67' => 'Estland',
    '68' => 'Äthiopien',
    '69' => 'Falklandinseln (Malvinen)',
    '70' => 'Färöer (Färöer-Inseln)',
    '71' => 'Fidschi',
    '72' => 'Finnland',
    '73' => 'Frankreich',
    '74' => 'Metropolitan-Frankreich',
    '75' => 'Französisch-Guayana',
    '76' => 'Französisch-Polynesien',
    '77' => 'Französische Süd- und Antarktisgebiete',
    '78' => 'Gabun',
    '79' => 'Gambia',
    '80' => 'Georgien',
    '81' => 'Deutschland',
    '82' => 'Ghana',
    '83' => 'Gibraltar',
    '84' => 'Griechenland',
    '85' => 'Grönland',
    '86' => 'Grenada',
    '87' => 'Guadeloupe',
    '88' => 'Guam',
    '89' => 'Guatemala',
    '90' => 'Guinea',
    '91' => 'Guinea-Bissau',
    '92' => 'Guyana',
    '93' => 'Haiti',
    '94' => 'Heard und die Mcdonaldinseln',
    '95' => 'Honduras',
    '96' => 'Hong Kong',
    '97' => 'Ungarn',
    '98' => 'Island',
    '99' => 'Indien',
    '100' => 'Indonesien',
    '101' => 'Iran, Islamische Republik',
    '102' => 'Irak',
    '103' => 'Irland',
    '104' => 'Israel',
    '105' => 'Italien',
    '106' => 'Côte dIvoire (Elfenbeinküste)',
    '107' => 'Jamaika',
    '108' => 'Japan',
    '109' => 'Jordanien',
    '110' => 'Kasachstan',
    '111' => 'Kenya',
    '112' => 'Kiribati',
    '113' => 'Korea, Demokratische Volksrepublik (Nord Korea)',
    '114' => 'Korea, Republik (Süd Korea)',
    '115' => 'Kosovo',
    '116' => 'Kuwait',
    '117' => 'Kirgisistan',
    '118' => 'Laos, Demokratische Volksrepublik',
    '119' => 'Lettland',
    '120' => 'Libanon',
    '121' => 'Lesotho',
    '122' => 'Liberia',
    '123' => 'Libyen',
    '124' => 'Liechtenstein',
    '125' => 'Litauen',
    '126' => 'Luxemburg',
    '127' => 'Macau',
    '128' => 'Mazedonien',
    '129' => 'Madagaskar',
    '130' => 'Malawi',
    '131' => 'Malaysia',
    '132' => 'Malediven',
    '133' => 'Mali',
    '134' => 'Malta',
    '135' => 'Marshallinseln',
    '136' => 'Martinique',
    '137' => 'Mauretanien',
    '138' => 'Mauritius',
    '139' => 'Mayotte',
    '140' => 'Mexiko',
    '141' => 'Mikronesien, Föderierte Staaten von',
    '142' => 'Moldau, Republik',
    '143' => 'Monaco',
    '144' => 'Mongolei',
    '145' => 'Montenegro',
    '146' => 'Montserrat',
    '147' => 'Marokko',
    '148' => 'Mosambik',
    '149' => 'Myanmar, Birma, Burma',
    '150' => 'Namibia',
    '151' => 'Nauru',
    '152' => 'Nepal',
    '153' => 'Niederlande (Holland)',
    '154' => 'Niederländische Antillen',
    '155' => 'Neukaledonien',
    '156' => 'Neuseeland',
    '157' => 'Nicaragua (Nikaragua)',
    '158' => 'Niger',
    '159' => 'Nigeria',
    '160' => 'Niue',
    '161' => 'Norfork Island',
    '162' => 'Nördliche Marianen',
    '163' => 'Norwegen',
    '164' => 'Oman',
    '165' => 'Pakistan',
    '166' => 'Palau',
    '167' => 'Panama',
    '168' => 'Papua-Neuguinea',
    '169' => 'Paraguay',
    '170' => 'Peru',
    '171' => 'Philippinen',
    '172' => 'Pitcairninseln',
    '173' => 'Polen',
    '174' => 'Portugal',
    '175' => 'Puerto Rico',
    '176' => 'Katar',
    '177' => 'Réunion',
    '178' => 'Rumänien',
    '179' => 'Russische Föderation (Russland)',
    '180' => 'Ruanda',
    '181' => 'St. Kitts und Nevis',
    '182' => 'St. Lucia',
    '183' => 'St. Vincent und die Grenadinen',
    '184' => 'Samoa',
    '185' => 'San Marino',
    '186' => 'São Tomé und Príncipe',
    '187' => 'Saudi-Arabien',
    '188' => 'Senegal',
    '189' => 'Serbien',
    '190' => 'Seychellen',
    '191' => 'Sierra Leone',
    '192' => 'Singapur',
    '193' => 'Slowakei',
    '194' => 'Slowenien',
    '195' => 'Salomonen',
    '196' => 'Somalia',
    '197' => 'Südafrika',
    '198' => 'Südgeorgien und die südlichen Sandwichinseln',
    '199' => 'Spanien',
    '200' => 'Sri Lanka (vormals Ceylon)',
    '201' => 'St. Helena',
    '202' => 'St. Pierre und Miquelon',
    '203' => 'Sudan',
    '204' => 'Suriname',
    '205' => 'Svalbard und Jan Mayen',
    '206' => 'Swasiland',
    '207' => 'Schweden',
    '208' => 'Schweiz',
    '209' => 'Syrien, Arabische Republik',
    '210' => 'Taiwan',
    '211' => 'Tadschikistan',
    '212' => 'Tansania, Vereinigte Republik',
    '213' => 'Thailand',
    '214' => 'Togo',
    '215' => 'Tokelau',
    '216' => 'Tonga',
    '217' => 'Trinidad und Tobago',
    '218' => 'Tunesien',
    '219' => 'Türkei',
    '220' => 'Turkmenistan',
    '221' => 'Turks- und Caicosinseln',
    '222' => 'Tuvalu',
    '223' => 'Uganda',
    '224' => 'Ukraine',
    '225' => 'Vereinigte Arabische Emirate',
    '226' => 'Vereinigtes Königreich (England)',
    '227' => 'Kleinere Amerikanische Überseeinseln',
    '228' => 'Uruguay',
    '229' => 'Usbekistan',
    '230' => 'Vanuatu',
    '231' => 'Heiliger Stuhl (Vatikanstadt, Vatikan)',
    '232' => 'Venezuela',
    '233' => 'Vietnam',
    '238' => 'Jemen',
    '239' => 'Jugoslawien',
    '240' => 'Zaire',
    '241' => 'Sambia',
    '242' => 'Simbabwe'
);

$wo['page_categories'] = array(
    '2' => 'Autos und Fahrzeuge',
    '3' => 'Komödie',
    '4' => 'Wirtschaft und Handel',
    '5' => 'Bildung',
    '6' => 'Unterhaltung',
    '7' => 'Filme und Animation',
    '8' => 'Spiele',
    '9' => 'Geschichte und Fakten',
    '10' => 'Live Style',
    '11' => 'Natürliches',
    '12' => 'Nachrichten und Politik',
    '13' => 'Menschen und Nationen',
    '14' => 'Haustiere und Tiere',
    '15' => 'Orte und Regionen',
    '16' => 'Wissenschaft und Technik',
    '17' => 'Sport',
    '18' => 'Reisen und Veranstaltungen',
    '1' => 'Andere'
);

$wo['relationship'] = array(
    '1' => 'Single',
    '2' => 'In einer Beziehung',
    '3' => 'Verheiratet',
    '4' => 'Verlobt'
);

$wo['months'] = array(
    '1' => 'Januar',
    '2' => 'Februar',
    '3' => 'März',
    '4' => 'April',
    '5' => 'Kann',
    '6' => 'Juni',
    '7' => 'Juli',
    '8' => 'August',
    '9' => 'September',
    '10' => 'Oktober',
    '11' => 'November',
    '12' => 'Dezember'
);

$wo['call_action'] = array(
    '1' => 'Mehr lesen',
    '2' => 'Jetzt kaufen',
    '3' => 'Jetzt anzeigen',
    '4' => 'Jetzt besuchen',
    '5' => 'Jetzt buchen',
    '6' => 'Mehr erfahren',
    '7' => 'Jetzt spielen',
    '8' => 'Jetzt wetten',
    '9' => 'Spenden',
    '10' => 'Hier bewerben',
    '11' => 'Hier zitieren',
    '12' => 'Jetzt bestellen',
    '13' => 'Ticket buchen',
    '14' => 'Jetzt einschreiben',
    '15' => 'Karte finden',
    '16' => 'Angebot anfordern',
    '17' => 'Tickets holen',
    '18' => 'Händlersuche',
    '19' => 'Online bestellen',
    '20' => 'Jetzt vorbestellen',
    '21' => 'Jetzt planen',
    '22' => 'Jetzt anmelden',
    '23' => 'Abonnieren',
    '24' => 'Jetzt registrieren'
);
?>