<?php
/* 
* Italiano 
* Tradotto da Arifi Nahmir
* Sito Ufficiale https://boost-cs.net/
* E-mail naki@boost-cs.net
*/


$wo['lang'] = array(
    // welcome page -> Pagina di Benvenuto
    'login' => 'Entra',
    'register' => 'Iscriviti',
    'guest' => 'Ospite',
    'username' => 'Nome Utente',
    'email' => 'E-mail',
    'password' => 'Password',
    'new_password' => 'Nuova password',
    'remember_me' => 'Resta collegato',
    'or_login_with' => 'o entra con',
    'forget_password' => 'Password dimenticata?',
    'email_address' => 'Indirizo email',
    'confirm_password' => 'Conferma Password',
    'lets_go' => 'Andiamo! !',
    'recover_password' => 'Recuperare',
    'reset_new_password_label' => 'Resetta la tua password',
    'reset_password' => 'Resetta',
    'invalid_token' => 'Gettone non valido',
    'incorrect_username_or_password_label' => 'Nome utente o password errati',
    'account_disbaled_contanct_admin_label' => 'Il tuo account è stato disabilitato, non esitate a contattarci.',
    'account_not_active_label' => 'Devi attivare il tuo account.',
    'successfully_logged_label' => 'Collegato con successo, Siete pregati di attendere..',
    'please_check_details' => 'Si prega di verificare i tuoi dati.',
    'username_exists' => 'Il nome utente è già esistente.',
    'username_characters_length' => 'Nome utente deve essere compresa tra 5 a 32 lettere',
    'username_invalid_characters' => 'Caratteri Nome utente non valido',
    'password_invalid_characters' => 'Caratteri della password non validi',
    'email_exists' => 'Questa e-mail è già in uso',
    'email_invalid_characters' => 'Questa e-mail non è valido.',
    'password_short' => 'La password è troppo corta.',
    'password_mismatch' => 'La password non corrisponde.',
    'reCaptcha_error' => 'Ricontrollare la Recaptcha.',
    'successfully_joined_label' => 'Iscrizione con sucesso, attendere prego..',
    'account_activation' => 'Account attivato',
    'successfully_joined_verify_label' => 'Registrazione di successo! Ti abbiamo inviato una e-mail, controlla la tua posta in arrivo / spam per verificare la tua email.',
    'email_not_found' => 'Non e possibile trovare questo indirizzo mail.',
    'password_rest_request' => 'Richiesta di reimpostazione della password',
    'email_sent' => 'E-mail è stata inviata con successo',
    'processing_error' => 'Un errore durante l\'elaborazione della richiesta, riprova più tardi.',
    'password_changed' => 'Password cambiata con successo!',
    'please_choose_correct_date' => 'Scegliere una data corretta.',
    'setting_updated' => 'Impostazioni aggiornate correttamente!',
    'current_password_mismatch' => 'Password corrente non corrisponde',
    'website_invalid_characters' => 'Sito web non è valido.',
    'account_deleted' => 'Account cancellato con successo, si prega di attendere..',
    'home' => 'Home',
    'advanced_search' => 'Ricerca avanzata',
    'search_header_label' => 'Cerca per persone, cose e #hashtags',
    'no_result' => 'Nessun risultato trovato',
    'last_seen' => 'Ultimo accesso:',
    'accept' => 'Accettare',
    'cancel' => 'Cancella',
    'delete' => 'Ellimina',
    'my_profile' => 'Mio Profilo',
    'saved_posts' => 'Post Salvati',
    'setting' => 'Impostazioni',
    'admin_area' => 'Area Administratore',
    'log_out' => 'Esci',
    'no_new_notification' => 'Non avete notifiche',
    'no_new_requests' => 'Non avete alcuna richiesta',
    // notification -> Notifiche
    'followed_you' => 'Ti segue',
    'comment_mention' => 'lei ha citato un commento.',
    'post_mention' => 'lei ha citato in un post.',
    'posted_on_timeline' => 'pubblicato sulla timeline.',
    'profile_visted' => 'ha visitato il tuo profilo.',
    'accepted_friend_request' => 'ha accettato la tua richiesta di amicizia.',
    'accepted_follow_request' => 'ha accettato la tua richiesta di follow/segumento.',
    'liked_comment' => 'piace il tuo commento "{comment}" ',
    'wondered_comment' => 'si chiedeva il tuo commento "{comment}" ',
    'liked_post' => 'piace il {postType} {post} ',
    'wondered_post' => 'si chiedeva il tuo {postType} {post}',
    'share_post' => 'ha condiviso il tuo {postType} {post}',
    'commented_on_post' => 'ha commentato il tuo {postType} {post}',
    'activity_liked_post' => 'piace {user} <a class="main-color" href="{post}">post</a>.',
    'activity_wondered_post' => 'chiedeva {user} <a class="main-color" href="{post}">post</a>.',
    'activity_share_post' => 'condiviso {user} <a class="main-color" href="{post}">post</a>.',
    'activity_commented_on_post' => 'ha commentato in {user} <a class="main-color" href="{post}">post</a>.',
    'video_n_label' => 'video.',
    'post_n_label' => 'post.',
    'photo_n_label' => 'imagini.',
    'file_n_label' => 'file.',
    'vine_n_label' => 'vine video.',
    'sound_n_label' => 'musica.',
    'avatar_n_label' => 'imagine di profilo.',
    // 404 page & activate page  -> 404 pagina e pagina di attivazione
    'error_not_found' => '404 Errore',
    'sorry_page_not_found' => 'la pagina non trovata!',
    'page_not_found' => 'La pagina che stai cercando non è stato trovato. Si prega di controllare il link che hai seguito per arrivare qui e riprovare.',
    'your_account_activated' => 'Il tuo account è stato attivato con successo!',
    'free_to_login' => 'Siete liberi di  <a href="' . Wo_SeoLink('index.php?link1=welcome') . '">{login}</a> !',
    // admin area -> Area administrazioni
    'general_setting' => 'Impostazioni Generali',
    'login_setting' => 'Impostazioni di accesso',
    'manage_users' => 'Gestisci Utenti',
    'manage_posts' => 'Gestisci Posts',
    'manage_reports' => 'Gestisci Segnalazioni',
    'advertisement' => 'Publicita',
    'more' => 'Di piu',
    'cache_system' => 'Cache di Systema',
    // admin general setting -> Admin impostazioni generali
    'chat_system' => 'Sistema Chat',
    'email_validation' => 'Email di convalida',
    'email_notification' => 'Notifiche Email',
    'smooth_links' => 'Collegamenti Smooth',
    'seo_friendly_url' => 'SEO amicizie url',
    'file_sharing' => 'Condivisione di file',
    'themes' => 'Temi',
    'user_setting' => 'Impostazioni utente',
    'site_setting' => 'impostazioni del sito',
    'cache_setting_info' => 'Abilita sistema di cache per velocizzare il tuo sito web, consigliato più di 10.000 utenti attivi.',
    'chat_setting_info' => 'Attivare il sistema chat per chiacchierare con gli amici in fondo alla pagina',
    'email_validation_info' => 'Abilitare la convalida e-mail per inviare link di attivazione quando utente registrato.',
    'email_notification_info' => 'Abilita notifica e-mail per inviare via e-mail di notifica all\'utente.',
    'smooth_links_info' => 'Abilita collegamenti regolari, e.g.' . $wo['config']['site_url'] . '/home.',
    'seo_frindly_info' => 'Abilita SEO friendly url, e.g.' . $wo['config']['site_url'] . '//1_hello-how-are-you-doing.html',
    'file_sharing_info' => 'Attivare la condivisione di file per condividere e caricare video, immagini, file, suoni, ecc..',
    'cache' => 'Cache',
    // site info setting -> Info Impostazioni del sito
    'site_information' => 'Informazioni sul sito',
    'site_title_name' => 'Nome del sito & Titolo:',
    'site_name' => 'Nome del sito',
    'site_title' => 'Titolo del sito',
    'site_keywords_description' => 'Chave di ricerca e descrizione del sito:',
    'site_keywords' => 'Parole chiave del sito (ad esempio: il mio social network, social etc ..)',
    'site_description' => 'Descrizione del stio',
    'site_email' => 'Indirizo email del sito',
    'site_lang' => 'Lingua di default',
    // themes setting -> Impostazioni di temi
    'theme_setting' => 'Impostazione tema',
    'activeted' => 'Attiva',
    'version' => 'Versione:',
    'author' => 'Author:',
    'user_status' => 'Status del utente',
    // user setting -> Impostazioni del utente
    'online_lastseen' => '(Attvo/Ultima visita)',
    'enable' => 'Attiva',
    'disable' => 'Disattiva',
    'allow_users_to_delete' => 'Consentire agli utenti di cancellare il proprio account:',
    'profile_visit_notification' => 'Notifiche sula visita del tuo profilo:',
    'display_user_age_as' => 'Mostra eta utente come:',
    'date' => 'Data',
    'age' => 'Eta',
    'connectivity_system' => 'Connettività del Sistema:',
    'connectivity_system_note' => '<span style="color:red;">Nota:</span> Se si esegue la migrazione da un sistema all\'altro, tutti i seguenti esistenti, seguaci, amici, appartenenze verranno eliminati per evitare problemi.</small>',
    'friends_system' => 'Sistema Amici',
    'follow_system' => 'Sistema con seguire/Follow',
    'max_upload_size' => 'Dimensione massima di upload:',
    'max_characters_length' => 'Lunghezza massima caratteri:',
    'allowed_extenstions' => 'Estensioni ammessi:',
    // reCaptcha settting -> reCaptcha Impostazioni
    'reCaptcha_setting' => 'reCaptcha Impostazioni',
    'reCaptcha_key_is_required' => 'reCaptcha Chiave e richesta',
    'reCaptcha_key' => 'reCaptcha chiave :',
    // google analytics setting -> google analytics Impostazioni
    'google_analytics' => 'Google Analytics',
    'google_analytics_code' => 'Google analytics Codice:',
    // cache setting -> Cache impostazioni
    'cache_setting' => 'Cache Impostazioni',
    'cache_recomended_clear' => 'Si raccomanda di cancellare la cache.',
    'cache_size' => 'Cache Dimensioni:',
    'clear_cache' => 'Pulisci Cache',
    // social login setting -> impostazione login sociali
    'social_login' => 'Social login',
    'social_login_api' => 'Social login API\'S',
    'facebook' => 'Facebook',
    'google' => 'Google+',
    'twitter' => 'Twitter',
    'linkedin' => 'Linkedin',
    'vkontakte' => 'Vkontakte',
    'facebook_api' => 'Facebook API',
    'google_api' => 'Google API',
    'twitter_api' => 'Twitter API',
    'linkedin_api' => 'Linkedin API',
    'vkontakte_api' => 'Vkontakte API',
    'app_id' => 'App ID',
    'app_secret_key' => 'Chiave segreta delle app',
    'login_with' => 'Entra con',
    // manage users -> Gestisci Utenti
    'id' => 'ID',
    'source' => 'Fonte',
    'status' => 'Stato',
    'pending' => 'In atesa',
    'first_name' => 'Nome',
    'last_name' => 'Cognome',
    'about_me' => 'Su di me',
    'website' => 'Sito Web',
    'action' => 'Azioni',
    'show_more_users' => 'Mostra piu utenti',
    'no_more_users_to_show' => 'Nessun altro utente da mostrare',
    'user_delete_confirmation' => 'Sei sicuro di voler eliminare questo utente?',
    'post_delete_confirmation' => 'Sei sicuro di voler eliminare questo post?',
    'show_more_posts' => 'Mostra gli altri messaggi',
    'no_more_posts' => 'Non ci sono altri post',
    'no_posts_found' => 'nesun post trovato',
    'publisher' => 'Editore',
    'there_are_not_new_posts_for_now' => 'Nessun nuovo post per ora',
    'post_link' => 'Post link',
    'time' => 'Orario',
    'post' => 'Post',
    'no_posts_yet' => '{name} non ha pubblicato ancora nulla',
    'search' => 'Cerca',
    'on' => 'Attivo',
    'off' => 'Spento',
    'save' => 'Salva',
    'saved' => 'Salvato !',
    // Manage Report -> Gesticsi i rapporti
    'reporter' => 'Rapporter',
    'time_reported' => 'Tempo Segnalato',
    'there_are_no_new_reports' => 'Non ci sono nuovi report per ora.',
    'open_post' => 'Apri il post',
    'mark_safe' => 'Mark sicuro',
    'delete_post' => 'Cancella questo Post',
    // Advertisement Setting -> Impostazione  Pubblicità
    'advertisement_setting' => 'Impostazione Pubblicità',
    // More Setting -> piu Impostazioni
    'more_setting' => 'Piu Impostazioni',
    'mailing_users' => 'Lista di email',
    'send' => 'Invia',
    'mailing_subject' => 'Subject..',
    'mailing_message' => 'Messaggio..',
    'announcement' => 'Annuncio:',
    'new_announcement' => 'Nuovo annuncio ..',
    'add' => 'Aggiungi',
    'views' => 'Visualizzazioni',
    'there_are_no_active_announcements' => 'Non ci sono annunci attivi.',
    'there_are_no_inactive_announcements' => 'Non ci sono annunci inattivi.',
    // end admin -> termine admin
    'add_friend' => 'Aggiungi Amico',
    'follow' => 'Segui',
    'following' => 'Following',
    'following_btn' => 'Following',
    'followers' => 'Followers',
    'message' => 'Messaggio',
    'requested' => 'Richiesto',
    'friends_btn' => 'Amici',
    'online' => 'In Linea',
    'offline' => 'Offline',
    'you_are_currently_offline' => 'Attualmente sei offline',
    'no_offline_users' => 'Nessun utente in offline.',
    'no_online_users' => 'Nessun utente in linea.',
    'search_for_users' => 'Cerca per utente',
    'no_users_found' => 'nessun utente trovato.',
    'seen' => 'Visto',
    'load_more_posts' => 'Carica piu notizie',
    'load_more_users' => 'Carica piu utenti',
    'there_are_no_tags_found' => 'Nessun risultato corrisponde alla tua richiesta.',
    'there_are_no_saved_posts' => 'Non avete nessun post salvato.',
    'messages' => 'Messaggi',
    'write_something' => 'Scrivi qualcosa .. ',
    'no_more_message_to_show' => 'Niente più messaggi',
    'view_more_messages' => 'Vedi più messaggi',
    'sorry_cant_reply' => 'Siamo spiacenti, non è possibile rispondere a questo utente.',
    'choose_one_of_your_friends' => 'Scegli uno dei tuoi amici',
    'and_say_hello' => 'E dire Ciao !',
    // Modalas
    'download' => 'Download',
    'update_your_info' => 'Aggiorna le tue informazioni',
    'choose_your_username' => 'Scegli il tuo username:',
    'create_your_new_password' => 'Crea la tua nuova password:',
    'update' => 'Aggiorna',
    'delete_comment' => 'Ellimina il commento',
    'confirm_delete_comment' => 'Sei sicuro di voler eliminare questo commento ?',
    'confirm_delete_post' => 'Sei sicuro di voler eliminare questo post?',
    'edit_post' => 'Modifica Post',
    'session_expired' => 'Sessione scaduta',
    'session_expired_message' => 'La tua sessione è scaduta, effettua il login di nuovo.',
    // serach filter + timline
    'country' => 'Nazione',
    'all' => 'Tutti',
    'gender' => 'Genere',
    'female' => 'Femmina',
    'male' => 'Maschio',
    'profile_picture' => 'Immagine del profilo',
    'result' => 'Risultato:',
    'yes' => 'Si',
    'no' => 'No',
    'verified_user' => 'Utente Verificato',
    'change_password' => 'Cambiare la password',
    'current_password' => 'Password attuale',
    'repeat_password' => 'Ripeti la password',
    'general' => 'Generale',
    'profile' => 'Profilo',
    'privacy' => 'Privacy',
    'delete_account' => 'Ellimina Account',
    'delete_account_confirm' => 'Sei sicuro di voler eliminare il tuo account, e lasciare la nostra rete?',
    'delete_go_back' => 'No, ci penserò',
    'verified' => 'Verificato',
    'not_verified' => 'Non Verificato',
    'admin' => 'Administratore',
    'user' => 'Utente',
    'verification' => 'Verifica',
    'type' => 'Tipo',
    'birthday' => 'Compleano',
    'active' => 'Attivo',
    'inactive' => 'Innativo',
    'privacy_setting' => 'Impostazione di Privacy',
    'follow_privacy_label' => 'Chi può seguirmi?',
    'everyone' => 'Tutti',
    'my_friends' => 'Miei amici',
    'no_body' => 'Nessuno',
    'people_i_follow' => 'Persone che Seguo',
    'people_follow_me' => 'Persone che mi seguono',
    'only_me' => 'Solo Io',
    'message_privacy_label' => 'Chi può inviarmi i messaggi?',
    'timeline_post_privacy_label' => 'Chi può postare su mia timeline?',
    'activities_privacy_label' => 'Visualizza le mie attività?',
    'show' => 'Mostra',
    'hide' => 'Nascondi',
    'confirm_request_privacy_label' => 'Confermare richiesta quando qualcuno ti segue?',
    'lastseen_privacy_label' => 'Mostra mia ultima visita?',
    'site_eg' => '(Esempio: http://www.siteurl.com)',
    'profile_setting' => 'Impostazioni Profilo',
    // Story
    'pinned_post' => 'Appuntato',
    'pin_post' => 'Appunta un Post',
    'unpin_post' => 'Rimuovi il Post Appuntato',
    'open_post_in_new_tab' => 'Alberino aperto in una nuova scheda',
    'unsave_post' => 'Non salvare post',
    'save_post' => 'Salva Post',
    'unreport_post' => 'Ellimina segnalazione di questo Post',
    'report_post' => 'Segnala questo Post',
    'shared_this_post' => 'Condividi questo Post',
    'changed_profile_picture_male' => 'Cambiato l\'immagine del profilo',
    'changed_profile_picture_female' => 'Cambiato sua immagine del profilo',
    'post_login_requriement' => 'Effettua il login per piacere, meraviglia, condividere e commentare!',
    'likes' => 'Mi piace',
    'like' => 'Mi Piace',
    'wonder' => 'Wonder',
    'wonders' => 'Wonders',
    'share' => 'Condividi',
    'comments' => 'Commenti',
    'no_likes' => 'Non hai ancora un mi piace',
    'no_wonders' => 'Ancora nessun wondres',
    'write_comment' => 'Scrivi un commento e premere invio',
    'view_more_comments' => 'Visualizza più commenti',
    'welcome_to_news_feed' => 'Benvenuto nel tuo News Feed!',
    'say_hello' => 'Saluta !',
    'publisher_box_placeholder' => 'A cosa sti pensando? ..',
    'youtube_link' => 'Youtube Link',
    'vine_link' => 'Vine Link',
    'soundcloud_link' => 'SoundCloud Link',
    'maps_placeholder' => 'Dove ti trovi?',
    'post_label' => 'Post',
    'text' => 'Testo',
    'photos' => 'Foto',
    'sounds' => 'Musica',
    'videos' => 'Video',
    'maps' => 'Mappe',
    'files' => 'File',
    'not_following' => 'Non seguire qualsiasi utente',
    'no_followers' => 'Non hai ancora nessuno che ti segue',
    'details' => 'Detagli',
    'social_links' => 'Social Networks',
    'online_chat' => 'Utenti Attivi',
    // Footer
    'about' => 'Su di noi',
    'contact_us' => 'Contattaci',
    'privacy_policy' => 'Privacy Policy',
    'terms_of_use' => 'Condizioni d\'uso',
    'developers' => 'Sviluppatori',
    'language' => 'Lingua',
    'copyrights' => 'Copyright Â© ' . date('Y') . ' ' . $wo['config']['siteName'] . '. Tutti i diritti riservati.',
    // time + dates 
    'year' => 'Anno',
    'month' => 'mese',
    'day' => 'giorno',
    'hour' => 'ora',
    'minute' => 'minuto',
    'second' => 'secondo',
    'years' => 'anni',
    'months' => 'messi',
    'days' => 'giorni',
    'hours' => 'ore',
    'minutes' => 'minuti',
    'seconds' => 'secondi',
    'time_ago' => 'fa',
    'time_from_now' => 'da adesso',
    'time_any_moment_now' => 'da un momento all\'altro',
    'time_just_now' => 'Proprio adesso',
    'time_about_a_minute_ago' => 'circa un minuto fa',
    'time_minute_ago' => '%d minuti fa',
    'time_about_an_hour_ago' => 'circa un\'ora fa',
    'time_hours_ago' => '%d ore fa',
    'time_a_day_ago' => 'a giorni fa',
    'time_a_days_ago' => '%d giorni fa',
    'time_about_a_month_ago' => 'circa un mese fa',
    'time_months_ago' => '%d mesi fa',
    'time_about_a_year_ago' => 'circa un anno fa',
    'time_years_ago' => '%d anni fa',
    'latest_activities' => 'Ultimi Attività',
    'no_activities' => 'Non ci sono nuove attività',
    'trending' => 'Tendenza !',
    'load_more_activities' => 'Carica altri attività',
    'no_more_actitivties' => 'Nessun altro attività',
    'people_you_may_know' => 'Persone che Potresti Conoscere',
    'too_long' => 'Troppo lungo',
    'too_short' => 'Troppo corto.',
    'available' => 'A disposizione !',
    'in_use' => 'In uso.',
    'username_invalid_characters_2' => 'Nome utente non deve contenere caratteri speciali, simboli o spazi.',
    // New v1.1
    'like' => 'Mi piace',
    'liked' => 'Piacuto',
    'my_pages' => 'Mie Pagine',
    'liked_page' => 'Piaciuto tua pagina ({page_name})',
    'likes' => 'Mi piace',
    'this_week' => 'Questa settimana',
    'posts' => 'Posts',
    'located_in' => 'Situata in',
    'phone_number' => 'Telefono',
    'company' => 'Azienda',
    'category' => 'Categoria',
    'search_for_posts' => 'Cerca messaggi',
    'create_new_page' => 'Crea nuova pagina',
    'page_name' => 'Nome della Pagina',
    'page_title' => 'Titolo della Pagina',
    'your_page_title' => 'Il tuo titolo della Pagina',
    'page_category' => 'Categoria',
    'page_description' => 'Descrivi la tua pagina',
    'page_description_info' => '
La tua descrizione pagina, tra i 10 ei 200 caratteri massimo.',
    'create' => 'Crea',
    'page_name_exists' => 'Nome della pagina è esiste già.',
    'page_name_characters_length' => 'Nome della pagina deve essere compresa tra 5/32',
    'page_name_invalid_characters' => 'Caratteri del nome di pagina non valida',
    'edit' => 'Modifica',
    'page_information' => 'Informazioni pagina',
    'delete_page' => 'Ellimina Pagina',
    'location' => 'Posizione',
    'pages_you_may_like' => 'Pagine che potete gradire',
    'show_more_pages' => 'Mostra più pagine',
    'no_more_pages' => 'Niente più pagine per mostrare',
    'page_delete_confirmation' => 'Sei sicuro di voler cancellare questa pagina?',
    'manage_pages' => 'Gestisci Pagine',
    'owner' => 'Proprietario',
    'no_pages_found' => 'Nessuna pagina trovata',
    // Welcome Page title
    'welcome_wonder' => 'Wonder',
    'welcome_connect' => 'Connettiti',
    'welcome_share' => 'Condividi',
    'welcome_discover' => 'Scoprire',
    'welcome_find_more' => 'Trova più',
    'welcome_mobile' => 'Mobile Friendly',
    // Welcome page description
    'welcome_wonder_text' => 'Wonder (NEW), capacità di stupirsi un post, se non ti piace.',
    'welcome_connect_text' => 'Connettiti con la tua famiglia e gli amici e condividere i tuoi momenti.',
    'welcome_share_text' => 'Condividi ciò che è nuovo e la vita momenti con i tuoi amici. ',
    'welcome_discover_text' => 'Scoprire nuove persone, creare nuove connessioni e fare nuove amicizie. ',
    'welcome_find_more_text' => 'Trova più di quello che stai cercando con WoWonder Ricerca.  ',
    'welcome_mobile_text' => ' Schermo100%  adattato su tutti i tablet e smartphone.',

    'working_at' => 'Lavorare in',
    'relationship' => 'Relazione',
    'none' => 'Nessuna',
    'avatar' => 'Avatar',
    'cover' => 'Immagine di copertura',
    'background' => 'Sfondo',
    'theme' => 'Temi',
    'deafult' => 'Predefinito',
    'my_background' => 'Mio Sfondo',
    'company_website' => 'Sito Sociaeta',
    'liked_my_page' => 'Mi è piaciuta la mia pagina',
        'dislike' => 'Antipatia',
    'dislikes' => 'Antipatia',
    'disliked_post' => 'antipatia tuo {postType} {post}',
    'disliked_comment' => 'antipatia tuo commento "{comment}" ',
    'activity_disliked_post' => 'antipatia {user} <a class="main-color" href="{post}">post</a>.',
    'second_button_type' => 'Secondo palo tipo di pulsante',
    'group_name' => 'Nome del gruppo',
    'group_title' => 'Titolo del gruppo',
    'my_groups' => 'I miei gruppi',
    'school' => 'Scuola',
    'site_keywords_help' => 'Esempio: sociale, wowonder, sito di social',
    'message_seen' => 'Messaggio Visto',
    'recommended_for_powerful' => 'Consigliato per potenti server',
    'message_typing' => 'Sistema di digitazione Chat',
    'reCaptcha' => 'reCaptcha',
    'instagram' => 'Instagram',
    'profile_visit_notification_help' => 'Inviare una notifica al destinatario quando un utente visita il suo profilo',
    'account_delete' => 'Eliminare l\'account',
    'ip_address' => 'Indirizzo IP',
    'manage_groups' => 'Gestisci gruppi',
    'group_delete_confirmation' => 'Sei sicuro di voler eliminare questo gruppo?',
    'no_more_groups' => 'Nessun altro gruppo per mostrare',
    'show_more_groups' => 'Mostra più gruppi',
    'members' => 'Membri',
    'verifications_requests' => 'Richieste di verifica',
    'verify' => 'Verificare',
    'ignore' => 'Ignorare',
    'page' => 'Pagina',
    'no_new_verification_requests' => 'Non ci sono nuove richieste di verifica',
    'ban_user' => 'Ban utente',
    'banned' => 'Vietato',
    'there_are_no_banned_ips' => 'Non ci sono ips vietati.',
    'invalid_ip' => 'Indirizzo IP non valido.',
    'ip_banned' => 'Indirizzo IP vietato con successo.',
    'ip_exist' => 'Indirizzo IP già esistente',
    'please_add_ip' => 'Si prega di aggiungere un indirizzo IP',
    'ip_deleted' => 'Indirizzo IP eliminato',
    'email_me_when' => 'Inviami una email quando',
    'e_likes_my_posts' => 'Qualcuno è piaciuto miei post',
    'e_wondered_my_posts' => 'Qualcuno chiese miei post',
    'e_commented_my_posts' => 'Qualcuno ha commentato i miei post',
    'e_shared_my_posts' => 'Qualcuno ha condiviso i miei post',
    'e_followed_me' => 'Qualcuno mi ha seguito',
    'e_liked_page' => 'Qualcuno è piaciuto mie pagine',
    'e_visited_my_profile' => 'Qualcuno ha visitato il mio profilo',
    'e_mentioned_me' => 'Qualcuno mi ha detto',
    'e_joined_group' => 'Qualcuno è entrato miei gruppi',
    'e_accepted' => 'Qualcuno ha accettato il mio amico / seguire la richiesta',
    'e_profile_wall_post' => 'Qualcuno ha postato su mia timeline',
    'no_groups_found' => 'Nessun gruppo trovato',
    'group_information' => 'Informazioni Gruppo',
    'delete_group' => 'Elimina gruppo',
    'group_name_exists' => 'Il nome del gruppo è già esistente.',
    'group_name_invalid_characters' => 'Caratteri del nome del gruppo non validi',
    'group_name_characters_length' => 'Il nome del gruppo deve essere compresa tra 5/32',
    'no_requests_found' => 'Nessuna richiesta trovato',
    'remove' => 'Rimuovere',
    'no_members_found' => 'Nessun membro trovato',
    'group_deleted' => 'Gruppo cancellato con successo',
    'create_new_group' => 'Crea nuovo gruppo',
    'my_games' => 'I miei giochi',
    'no_games_found' => 'Nessun gioco trovato',
    'groups' => 'Gruppi',
    'no_friends' => 'Non ci sono ancora amici',
    'no_groups' => 'Non ha ancora aderire a nessun gruppo',
    'load_more_pages' => 'Caricare più pagine',
    'load_more_groups' => 'Carica altri gruppi',
    'joined_group' => 'Iscritto il nostro gruppo ({group_name})',
    'happy' => 'Contento',
    'loved' => 'Amato',
    'sad' => 'Triste',
    'so_sad' => 'Molto triste',
    'angry' => 'Arrabbiato',
    'confused' => 'Confuso',
    'smirk'  => 'Caldo',
    'broke' => 'Rotte',
    'expressionless' => 'Inespressivo', 
    'cool' => 'Bene',
    'funny' => 'Divertente',
    'tired' => 'Stanco',
    'lovely' => 'Bello',
    'blessed' => 'Benedetto',
    'shocked' => 'Scioccato',
    'sleepy' => 'Assonnato',
    'pretty' => 'Bella',
    'bored' => 'Annoiato',
    'total_users' => 'Totale Utenti',
    'users' => 'Utenti',
    'pages' => 'Pagine',
    'games' => 'Giochi',
    'online_users' => 'Utenti Online',
    'recent_searches' => 'Ricerche recenti',
    'clear' => 'Chiaro',
    'search_filter' => 'Filtro di ricerca',
    'keyword' => 'Parola chiave',
    'what_are_looking_for' => 'Quello che sono in cerca di ?',
    'changed_profile_cover_picture_male' => 'Cambiato la sua copertura del profilo',
    'changed_profile_cover_picture_female' => 'Cambiato suo profilo baiar',
    'latest_games' => 'Ultimi giochi',
    'no_albums_found' => 'Nessun album trovato',
    'create_album' => 'Creare album',
    'my_albums' => 'I miei album',
    'album_name' => 'Nome album',
    'upload' => 'Caricare',
    'add_photos' => 'Aggiungi foto',
    'replies' => 'risposte',
    'reply_to_comment' => 'Rispondi al commento',
    'replied_to_comment' => 'Risposto al tuo commento "{comment}"',
    'comment_reply_mention' => 'ti ha menzionato in una risposta "{comment}"',
    'also_replied' => 'risposto al commento "{comment}"',
    'liked_reply_comment' => 'piaciuto vostra risposta "{comment}"',
    'wondered_reply_comment' => 'wondered la tua risposta "{comment}"',
    'disliked_reply_comment' => 'non amava la sua risposta "{comment}"',
    'profile_visit_notification_p' => 'Inviare agli utenti una notifica durante la mia visita il loro profilo?',
    'profile_visit_notification_help' => 'se non si condivide il vostro evento visita, non sarà in grado di vedere altre persone che visitano il tuo profilo.',
    'showlastseen_help' => 'se non si condivide il visto l\'ultima volta, non sarà in grado di vedere altre persone visto l\'ultima volta.',
    'timeline_birthday_label' => 'Chi può vedere il mio compleanno?',
    'people_likes_this' => 'persone piace questo',
    'page_inviate_label' => 'Invita gli amici a piacere questa Pagina',
    'invite_your_frineds' => 'Invita i tuoi amici / seguaci',
    'not_invite' => 'On avete più amici per invitare',
    'invite' => 'Invitare',
    'invited_page' => 'invitato a piacere ({page_name})',
    'accepted_invited_page' => 'accettato la richiesta di piacere ({page_name})',
    'call_to_action' => 'Chiamare all\'azione',
    'call_to_action_target' => 'Chiama per indirizzare url',
    'call_action_type_url_invalid' => 'Chiama per il sito di azione non è valido',
    'avatar_and_cover' => 'Avatar & Coprire',
    'online_sidebar_admin_label' => 'Abilita utenti per mostrare agli utenti attivi in sidebar.',
    'not_active' => 'Non attivato',
    'females' => 'Femmine',
    'males' => 'Maschi',
    'dashboard' => 'Cruscotto',
    'albums' => 'Albums',
    'name' => 'Nome',
    'players' => 'Giocatori',
    'add_new_game' => 'Aggiungi nuovo gioco',
    'game_added' => 'Gioco aggiunto',
    'url_not_supported_game' => 'Questo URL non è supportata',
    'please_add_a_game' => 'Si prega di aggiungere un URL di gioco',
    'active_announcements' => 'Annunci attivi',
    'inactive_announcements' => 'Annunci inattivi',
    'ban' => 'Bandire',
    'new_email' => 'Nuova Email',
    'html_allowed' => 'Html permesso',
    'send_me_to_my_email' => 'Invia alla mia email',
    'test_message' => 'Messaggio di testo',
    'joined_members' => 'Iscritto membri',
    'join_requests' => 'Join Richieste',
    'verified_pages' => 'Verificato Pagine',
    'file_sharing_extenstions' => 'Estensioni di file sharing (separati da una virgola,)',
    'word_cons' => 'Parole da censurati, separati da una virgola (,)',
    'join' => 'Aderire',
    'joined' => 'Iscritto',
    'request' => 'Richiesta',
    'edit_comment' => 'Modifica commento',
    'last_play' => 'Ultimo Gioco:',
    'play' => 'Giocare',
    'confirm_request_group_privacy_label' => 'Confermare richiesta quando qualcuno entrare in questo gruppo ?',
    'who_can_see_group_posts' => 'Chi può vedere gruppi di messaggi?',
    'joined_users' => 'Iscritto utenti',
    'social_links' => 'Link Sociali',
    'living_in' => 'Residente a',
    'design' => 'Design',
    'guest' => 'Ospite',
    'people_you_may_want_to_meet' => 'La gente si consiglia di rispettare',
    'added_new_photos_to' => 'aggiunte nuove foto',
    'is_feeling' => 'è la sensazione',
    'is_traveling' => 'è un viaggio in',
    'is_listening' => 'è l\'ascolto',
    'is_playing' => 'sta giocando',
    'is_watching' => 'sta guardando',
    'feeling' => 'Sensazione',
    'traveling' => 'In viaggio verso',
    'watching' => 'Guardando',
    'playing' => 'Giocando',
    'listening' => 'Ascoltare',
    'feeling_q' => 'Cosa senti ?',
    'traveling_q' => 'Dove si viaggia ?',
    'watching_q' => 'Cosa stai guardando ?',
    'playing_q' => 'A cosa stai giocando ?',
    'listening_q' => 'Cosa stai ascoltando ?',
    'feel_d' => 'Che stai facendo?',
    'working_at' => 'Lavorare in',
    'studying_at' => 'Studiare a',
    'located_in' => 'Situata in',
    'company_website_invalid' => 'Sito internet della Società non è valido',
    'page_deleted' => 'Pagina eliminato con successo',
    'cover_n_label' => 'immagine di copertina.',
    'suggested_groups' => 'Gruppi consigliati',
    'accepted_join_request' => 'accettato tua richiesta di iscrizione ({group_name})',
    'requested_to_join_group' => 'richiesto di unirsi al vostro gruppo',
    'no_one_posted' => 'Nessuno ha scritto ancora',
    'add_your_frineds' => 'Aggiungi ai tuoi amici di questo gruppo',
    'added_all_friends' => 'Non ci sono amici da aggiungere loro',
    'added_you_to_group' => 'ti ha aggiunto al gruppo ({group_name})',
    'group_type' => 'Tipo di gruppo',
    'public' => 'Pubblico',
    'private' => 'Privato',
    'reports' => 'Rapporti',
    'no_dislikes' => 'Non hai ancora un antipatie',
    'disliked' => 'Malvisto',
    'wondered' => 'Si chiese',
    'read_more' => 'Leggi di più..',
    'read_less' => 'Leggi meno..',
    'terms' => 'Condizioni Pagine',
    'profile_privacy' => 'Profilo Utente Privacy',
    'profile_privacy_info' => 'Consentirle di consentire agli utenti non registrati di visualizzare profili utenti.',
    'video_upload' => 'Carica video',
    'video_upload_info' => 'Abilita video upload per condividere e caricare i video al sito.',
    'audio_upload' => 'Audio Upload',
    'audio_upload_info' => 'Abilita audio upload per condividere e caricare i suoni al sito.',
    'add_photo' => 'Aggiungi una foto.',
    'add_photo_des' => 'Mostra la tua personalità e il tuo stile.',
    'start_up_skip' => 'Salta questo passaggio per ora',
    'start_up_continue' => 'Salva e continua',
    'tell_us' => 'Parlaci di te.',
    'tell_us_des' => 'Condividere le informazioni con la nostra comunità.',
    'get_latest_activity' => 'Ottenere ultime attività dei nostri utenti popolari.',
    'follow_head' => 'Segui i nostri utenti famosi.',
    'follow_num' => 'Seguire {number} & Finitura',
    'looks_good' => 'Sembra buono.',
    'looks_good_des' => 'Più tardi potrai aggiungere altro al tuo profilo.',
    'upload_your_photo' => 'Carica la tua foto',
    'please_wait' => 'Attendere prego..',
    // New v1.2.3
    'username_or_email' => 'Nome utente o E-mail',
    'email_setting' => 'E-mail Impostazione',
    // New v1.3
    'years_old' => 'Anni',
    'friends_birthdays' => 'amici Compleanni',
    'sms_setting' => 'Impostazione SMS',
    'smooth_loading' => 'Smooth Caricamento',
    'boosted_pages_viewable' => 'pagine potenziato sono già visualizzabili da tutti i membri della community.',
    'boost_page_in_same_time' => 'Sei un {type_name}, Sei solo in grado di aumentare {can_boost} pagine in tempo stesso.',
    'boost_posts_in_same_time' => 'Sei un {type_name}, Sei solo in grado di aumentare {can_boost} messaggi in tempo stesso.',
    'there_are_no_boosted_pages' => 'Non ci sono ancora pagine potenziati.',
    'there_are_no_boosted_posts' => 'Non ci sono ancora messaggi potenziati.',
    'discover_pro_types' => 'Scopri di più caratteristiche con WoWonder pacchetti PRO !',
    'star' => 'Star',
    'hot' => 'Hot',
    'ultima' => 'Ultima',
    'vip' => 'Vip',
    'featured_member' => 'membro In primo piano',
    'see_profile_visitors' => 'Vedi visitatori profilo',
    'show_hide_lastseen' => 'Mostra / Nascondi visto l\'ultima volta',
    'verified_badge' => 'distintivo verificato',
    'post_promotion_star' => 'la promozione Messaggio<br><small>(Non disponibile)</small>',
    'page_promotion_star' => 'promozione pagina<br><small>(Non disponibile)</small>',
    '0_discount' => '0% sconto',
    '10_discount' => '10% sconto',
    '20_discount' => '20% dsconto',
    '60_discount' => '60% sconto',
    'per_week' => 'settimanale',
    'per_month' => 'al mese',
    'per_year' => 'per anno',
    'life_time' => 'tutta la vita',
    'upgrade_now' => 'Aggiorna ora',
    'post_promotion_hot' => 'Boost fino a 5 posti<br><small>(5 nel contempo 7/24)</small>',
    'page_promotion_hot' => 'Boost fino a 5 pagine<br><small>(5 nel contempo 7/24)</small>',
    'post_promotion_ultima' => 'Boost fino a 20 posti<br><small>(20 nel contempo 7/24)</small>',
    'page_promotion_ultima' => 'Boost fino a 20 pagine<br><small>(20 nel contempo 7/24)</small>',
    'post_promotion_vip' => 'Boost fino a 40 posti<br><small>(40 nel contempo 7/24)</small>',
    'page_promotion_vip' => 'Boost fino a 40 pagine<br><small>(40 nel contempo 7/24)</small>',
    'boosted_posts' => 'Messaggi potenziato',
    'boosted_pages' => 'Pagine potenziato',
    'put_me_here' => 'Mettimi qui',
    'promoted' => 'Promossa',
    'oops_something_went_wrong' => 'Oops! Qualcosa è andato storto.',
    'try_again' => 'Riprova',
    'boost_page' => 'Boost Pagina',
    'page_boosted' => 'pagina potenziato',
    'un_boost_page' => 'Un-Boost Pagina',
    'edit_page_settings' => 'Modifica impostazioni pagina',
    'blocked_users' => 'Gli utenti bloccati',
    'un_block' => 'Sbloccare',
    'css_file' => 'file CSS',
    'css_status_default' => 'disegno predefinito',
    'css_status_my' => 'Il mio file CSS',
    'design' => 'Design',
    'css_file_info' => 'È possibile progettare completamente il proprio profilo caricando il proprio file CSS',
    'invite_your_frineds_home' => 'Invita i tuoi amici',
    'send_invitation' => 'Spedire un invito',
    'boost_post' => 'Boost Messaggio',
    'unboost_post' => 'UnBoost Messaggio',
    'drag_to_re' => 'Trascinare per riposizionare la copertura',
    'block_user' => 'Blocca utente',
    'edit_user' => 'Modifica utente',
    'cong' => 'Complimenti ! Ora sei un <span style="color:{color}"><i class="fa fa-{icon} fa-fw"></i>{type_name}',
    'cong_2' => 'Avviare la navigazione le nuove funzionalità',
    'activation_oops' => 'Spiacenti, sembra che il tuo account non è ancora attivato.',
    'activation_method' => 'Si prega di scegliere un metodo seguito per attivare il tuo account.',
    'activation_email' => 'Via posta elettronica',
    'activation_phone' => 'Via Numero di telefono',
    'activation_or' => 'O',
    'activation_send_code' => 'Invia codice di conferma',
    'activation_get_code_again' => 'Non avere il codice?',
    'activation_resend' => 'inviare di nuovo',
    'activation_should_receive' => 'Si dovrebbe ricevere il codice all\'interno',
    'confirm' => 'Confermare',
    'phone_num_ex' => 'Numero di telefono (eg. +905...)',
    'error_while_activating' => 'Errore durante l\'attivazione dell\'account.',
    'wrong_confirmation_code' => 'codice di conferma errato.',
    'failed_to_send_code' => 'Impossibile inviare il codice di conferma.',
    'worng_phone_number' => 'numero di telefono sbagliato.',
    'phone_already_used' => 'Numero di telefono già in uso.',
    'sms_has_been_sent' => 'SMS è stato inviato con successo.',
    'error_while_sending_sms' => 'Errore durante l\'invio del SMS, prova un altro numero.',
    'failed_to_send_code_fill' => 'Impossibile inviare il codice di conferma, selezionare uno dei metodi di attivazione.',
    'email_sent_successfully' => 'E-mail è stata inviata con successo, controllare la cartella Posta in arrivo o spam per il link di attivazione.',
    'limit_exceeded' => 'Limite superato, riprova più tardi.',
    'failed_to_send_code_email' => 'Errore durante l\'invio del SMS, prova un altro numero o attivare il tuo account tramite e-mail accedendo al proprio conto.',
    'free_member' => 'Free Member',
    'star_member' => 'Star Member',
    'hot_member' => 'Hot Member',
    'ultima_member' => 'Ultima Member',
    'vip_member' => 'Vip Member',
    'moderator' => 'Moderator',
    'member_type' => 'Member Type',
    'membership' => 'membri',
    'upgrade' => 'aggiornamento',
    'error_please_try_again' => 'Errore, riprova più tardi.',
    'upgrade_to_pro' => 'Aggiornamento a Pro',
);

$wo['countries_name'] = array(
    '0' => 'Select country',
    '1' => 'Stati Uniti',
    '2' => 'Canada',
    '3' => 'l\'Afghanistan',
    '4' => 'Albania',
    '5' => 'Algeria',
    '6' => 'Samoa americane',
    '7' => 'Andorra',
    '8' => 'Angola',
    '9' => 'Anguilla',
    '10' => 'Antartide',
    '11' => 'Antigua e / o Barbuda',
    '12' => 'Argentina',
    '13' => 'Armenia',
    '14' => 'Aruba',
    '15' => 'Australia',
    '16' => 'Austria',
    '17' => 'Azerbaijan',
    '18' => 'Bahamas',
    '19' => 'Bahrain',
    '20' => 'Bangladesh',
    '21' => 'Barbados',
    '22' => 'della Bielorussia',
    '23' => 'Belgio',
    '24' => 'Belize',
    '25' => 'del Benin',
    '26' => 'Bermude',
    '27' => 'del Bhutan',
    '28' => 'Bolivia',
    '29' => 'Bosnia-Erzegovina',
    '30' => 'del Botswana',
    '31' => 'Bouvet Island',
    '32' => 'Brazil',
    '34' => 'Brunei Darussalam',
    '35' => 'Bulgaria',
    '36' => 'del Burkina Faso',
    '37' => 'Burundi',
    '38' => 'Cambodia',
    '39' => 'il Camerun',
    '40' => 'Capo Verde',
    '41' => 'Isole Cayman',
    '42' => 'Repubblica Centrafricana',
    '43' => 'Chad',
    '44' => 'Cile',
    '45' => 'China',
    '46' => 'Christmas Island',
    '47' => 'Cocos (Keeling)',
    '48' => 'Colombia',
    '49' => 'Comoros',
    '50' => 'Congo',
    '51' => 'Isole Cook',
    '52' => 'Costa Rica',
    '53' => 'Croazia (Hrvatska)',
    '54' => 'Cuba',
    '55' => 'Cyprus',
    '56' => 'Repubblica Ceca',
    '57' => 'Danimarca',
    '58' => 'Djibouti',
    '59' => 'Dominica',
    '60' => 'Repubblica Dominicana',
    '61' => 'Timor Est',
    '62' => 'Ecuador',
    '63' => 'Egypt',
    '64' => 'El Salvador',
    '65' => 'Guinea Equatoriale',
    '66' => 'Eritrea',
    '67' => 'Estonia',
    '68' => 'Etiopia',
    '69' => 'Isole Falkland (Malvinas)',
    '70' => 'Isole Faroe',
    '71' => 'Fiji',
    '72' => 'Finland',
    '73' => 'France',
    '74' => 'France, Metropolitan',
    '75' => 'Guyana Francese',
    '76' => 'Polinesia francese',
    '77' => 'Territori Francesi del Sud',
    '78' => 'Gabon',
    '79' => 'Gambia',
    '80' => 'Georgia',
    '81' => 'Germania',
    '82' => 'Ghana',
    '83' => 'Gibilterra',
    '84' => 'Grecia',
    '85' => 'della Groenlandia',
    '86' => 'Granada',
    '87' => 'Guadeloupe',
    '88' => 'Guam',
    '89' => 'del Guatemala',
    '90' => 'Guinea',
    '91' => 'Guinea Bissau',
    '92' => 'Guiana',
    '93' => 'Haiti',
    '94' => 'Heard e Mc Donald isole',
    '95' => 'Honduras',
    '96' => 'Hong Kong',
    '97' => 'Ungheria',
    '98' => 'Islanda',
    '99' => 'India',
    '100' => 'Indonesia',
    '101' => 'Iran (Repubblica Islamica)',
    '102' => 'Iraq',
    '103' => 'Irlanda',
    '104' => 'Israele',
    '105' => 'L\'Italia',
    '106' => 'Costa d\'Avorio',
    '107' => 'Giamaica',
    '108' => 'Japan',
    '109' => 'Jordan',
    '110' => 'Kazakistan',
    '111' => 'Kenia',
    '112' => 'di Kiribati',
    '113' => 'Korea, Democratic People \' s Repubblica di ',
    '114' => 'Corea del Sud',
    '115' => 'Kosovo',
    '116' => 'il Kuwait',
    '117' => 'Kyrgyzstan',
    '118' => 'Lao People \' s Repubblica democratica ',
    '119' => 'Lettonia',
    '120' => 'Lebanon',
    '121' => 'Lesoto',
    '122' => 'della Liberia',
    '123' => 'Jamahiriya araba libica',
    '124' => 'il Liechtenstein',
    '125' => 'della Lituania',
    '126' => 'Luxembourg',
    '127' => 'Macau',
    '128' => 'Macedonia',
    '129' => 'Madagascar',
    '130' => 'del Malawi',
    '131' => 'Malesia',
    '132' => 'Maldive',
    '133' => 'Mali',
    '134' => 'di Malta',
    '135' => 'Isole Marshall',
    '136' => 'Martinique',
    '137' => 'la Mauritania',
    '138' => 'Mauritius',
    '139' => 'Mayotte',
    '140' => 'Mexico',
    '141' => 'Micronesia, Stati Federati della',
    '142' => 'Moldova, Repubblica',
    '143' => 'Monaco',
    '144' => 'Mongolia',
    '145' => 'il Montenegro',
    '146' => 'Montserrat',
    '147' => 'Marocco',
    '148' => 'del Mozambico',
    '149' => 'Myanmar',
    '150' => 'Namibia',
    '151' => 'Nauru',
    '152' => 'Nepal',
    '153' => 'Olanda',
    '154' => 'Antille Olandesi',
    '155' => 'Nuova Caledonia',
    '156' => 'Nuova Zelanda',
    '157' => 'il Nicaragua',
    '158' => 'Niger',
    '159' => 'la Nigeria',
    '160' => 'Niue',
    '161' => 'Norfork Island',
    '162' => 'Northern Mariana Islands',
    '163' => 'la Norvegia',
    '164' => 'Oman',
    '165' => 'del Pakistan',
    '166' => 'Palau',
    '167' => 'di Panama',
    '168' => 'Papua Nuova Guinea',
    '169' => 'Paraguay',
    '170' => 'Peru',
    '171' => 'Filippine',
    '172' => 'Pitcairn',
    '173' => 'Polonia',
    '174' => 'Portogallo',
    '175' => 'Porto Rico',
    '176' => 'del Qatar',
    '177' => 'Reunion',
    '178' => 'Romania',
    '179' => 'Russia',
    '180' => 'Rwanda',
    '181' => 'Saint Kitts e Nevis',
    '182' => 'Santa Lucia',
    '183' => 'Saint Vincent e Grenadine',
    '184' => 'Samoa',
    '185' => 'San Marino',
    '186' => 'Sao Tomé e Principe',
    '187' => 'Arabia Saudita',
    '188' => 'senegalese',
    '189' => 'la Serbia',
    '190' => 'Seychelles',
    '191' => 'Sierra Leone',
    '192' => 'Singapore',
    '193' => 'Slovacchia',
    '194' => 'La Slovenia',
    '195' => 'Isole Salomone',
    '196' => 'della Somalia',
    '197' => 'Sud Africa',
    '198' => 'South Georgia Isole Sandwich',
    '199' => 'Spagna',
    '200' => 'Sri Lanka',
    '201' => 'St. Helena ',
    '202' => 'St. Pierre e Miquelon ',
    '203' => 'del Sudan',
    '204' => 'Suriname',
    '205' => 'Svalbarn e Jan Mayen Isole',
    '206' => 'dello Swaziland',
    '207' => 'Svezia',
    '208' => 'Svizzera',
    '209' => 'Siria',
    '210' => 'Taiwan',
    '211' => 'del Tagikistan',
    '212' => 'Tanzania, Repubblica Unita di',
    '213' => 'Thailandia',
    '214' => 'il Togo',
    '215' => 'Tokelau',
    '216' => 'Tonga',
    '217' => 'Trinidad e Tobago',
    '218' => 'Tunisia',
    '219' => 'Turchia',
    '220' => 'il Turkmenistan',
    '221' => 'Isole Turks e Caicos',
    '222' => 'Tuvalu',
    '223' => 'Uganda',
    '224' => 'Ucraina',
    '225' => 'Emirati Arabi Uniti',
    '226' => 'Regno Unito',
    '227' => 'Stati Uniti Isole Minori',
    '228' => 'Uruguay',
    '229' => 'Uzbekistan',
    '230' => 'Vanuatu',
    '231' => 'Città del Vaticano',
    '232' => 'Venezuela',
    '233' => 'Vietnam',
    '238' => 'Yemen',
    '239' => 'Jugoslavia',
    '240' => 'lo Zaire',
    '241' => 'lo Zambia',
    '242' => 'Zimbabwe'
);


$wo ['page_categories'] = array (
    '2' => 'Motori',
    '3' => 'Commedia',
    '4' => 'Economia e commercio',
    '5' => 'Istruzione',
    '6' => 'Entertainment',
    '7' => 'Film e Animazione',
    '8' => 'Gioco',
    '9' => 'storia e fatti',
    '10' => 'Stile Live',
    '11' => 'naturale',
    '12' => 'News and Politics',
    '13' => 'Persone e delle Nazioni',
    '14' => 'Animali e Animali',
    '15' => 'Luoghi e Regioni',
    '16' => 'Scienze e Tecnologia',
    '17' => 'Sport',
    '18' => 'Viaggi ed Eventi',
    '1' => 'Altro'
);

$wo['relationship'] = array(
    '1'   => 'Single',
    '2'   => 'In una relazione',
    '3'   => 'Sposato',
    '4'   => 'Impegnato'
);

$wo['months'] = array(
    '1'   => 'Gennaio',
    '2'   => 'Febraio',
    '3'   => 'Marzo',
    '4'   => 'Aprile',
    '5'   => 'Maggio',
    '6'   => 'Giugno',
    '7'   => 'Luglio',
    '8'   => 'Agosto',
    '9'   => 'Settembre',
    '10'  => 'Ottobre',
    '11'  => 'Novembre',
    '12'  => 'Dicembre'
);
$wo['call_action'] = array(
    '1'   => 'Leggi di più',
    '2'   => 'Acquistare ora',
    '3'   => 'Visualizza ora',
    '4'   => 'Visita la società',
    '5'   => 'Prenota ora',
    '6'   => 'Impara di più',
    '7'   => 'Gioca ora',
    '8'   => 'Scommetti ora',
    '9'   => 'Donare',
    '10'  => 'Applicare qui',
    '11'  => 'Riporto qui',
    '12'  => 'Ordina adesso',
    '13'  => 'Prenota biglietti',
    '14'  => 'Arruolati adesso',
    '15'  => 'Trovare una carta',
    '16'  => 'Richiedi un preventivo',
    '17'  => 'Ottenere i biglietti',
    '18'  => 'Individuare un rivenditore',
    '19'  => 'Ordinare on-line',
    '20'  => 'Preordinalo ora',
    '21'  => 'Programma ora',
    '22'  => 'Iscriviti adesso',
    '23'  => 'Abbonarsi',
    '24'  => 'Registrati ora'
);

?>