<?php
$wo['lang'] = array(
    // welcome page
    'login' => 'Вход',
    'register' => 'Регистрация',
    'guest' => 'Гость',
    'username' => 'Имя пользователя',
    'email' => 'E-mail адрес',
    'password' => 'Пароль',
    'new_password' => 'Новый пароль',
    'remember_me' => 'Запомнить меня',
    'or_login_with' => 'Или войдите через',
    'forget_password' => 'Забыли пароль?',
    'email_address' => 'E-mail адрес',
    'confirm_password' => 'Подтвердите Пароль',
    'lets_go' => 'Войти!',
    'recover_password' => 'Отправить',
    'reset_new_password_label' => 'Сбросить пароль',
    'reset_password' => 'Сброс',
    'invalid_token' => 'Недопустимый маркер',
    'incorrect_username_or_password_label' => 'Неверное имя пользователя или пароль',
    'account_disbaled_contanct_admin_label' => 'Ваш аккаунт был отключен, пожалуйста, свяжитесь с нами.',
    'account_not_active_label' => 'Вы должны активировать свою учетную запись.',
    'successfully_logged_label' => 'Успешный вход. Пожалуйста, подождите...',
    'please_check_details' => 'Пожалуйста, проверьте свои данные.',
    'username_exists' => 'Имя пользователя уже существует.',
    'username_characters_length' => 'Имя пользователя должно быть между 5/32 символами',
    'username_invalid_characters' => 'Недопустимые символы в Имени пользователя',
    'password_invalid_characters' => 'Недопустимые символы в пароле',
    'email_exists' => 'E-mail адре уже используется',
    'email_invalid_characters' => 'Недействительный адрес электронной почты.',
    'password_short' => 'Пароль слишком короткий.',
    'password_mismatch' => 'Пароли не совпадают.',
    'reCaptcha_error' => 'Пожалуйста, введите повторно капчу.',
    'successfully_joined_label' => 'Успешный вход. Пожалуйста, подождите...',
    'account_activation' => 'Активация аккаунта',
    'successfully_joined_verify_label' => 'Поздравляем вы успешно зарегистрировались! Мы отправили Вам письмо с ссылкой для подтверждения регистрации. Пожалуйста, проверьте ваш почтовый ящик. Рекомендуем проверить папку «Спам» — возможно письмо попало туда.',
    'email_not_found' => 'Мы не можем найти этот E-mail.',
    'password_rest_request' => 'Запрос Восстановление пароля',
    'email_sent' => 'Письмо отправлено',
    'processing_error' => 'Обнаружена ошибка при обработке вашего запроса, пожалуйста, попробуйте еще раз',
    'password_changed' => 'Пароль успешно изменен!',
    'please_choose_correct_date' => 'Пожалуйста, выберите правильную дату.',
    'setting_updated' => 'Настройки успешно обновлены!',
    'current_password_mismatch' => 'Текущий пароль не совпадает',
    'website_invalid_characters' => 'Недопустимые символы в сайте.',
    'account_deleted' => 'Аккаунт успешно удален, пожалуйста, подождите...',
    'home' => 'Главная',
    'advanced_search' => 'Расширенный поиск',
    'search_header_label' => 'Поиск людей, мест или #хэштегов',
    'no_result' => 'Не найдено ни одного результата',
    'last_seen' => 'Был@:',
    'accept' => 'Принять',
    'cancel' => 'Отмена',
    'delete' => 'Удалить',
    'my_profile' => 'Мой профиль',
    'saved_posts' => 'Сохраненные заметки',
    'setting' => 'Настройки',
    'admin_area' => 'Админка',
    'log_out' => 'Выйти',
    'no_new_notification' => 'Нет новых уведомлений',
    'no_new_requests' => 'Нет новых запросов',
    // notification
    'followed_you' => 'последовал@ за тобой',
    'comment_mention' => 'упомянул@ вас в комментарии.',
    'post_mention' => 'упомянул@ вас в заметке.',
    'posted_on_timeline' => 'Публикация на стене',
    'profile_visted' => 'посетил@ ваш профиль.',
    'accepted_friend_request' => 'принял@ запрос о дружбе.',
    'accepted_follow_request' => 'принять запрос.',
    'liked_comment' => 'нравится Ваш комментарий "{comment}" ',
    'wondered_comment' => 'не нравится "{comment}" ',
    'liked_post' => 'нравится {postType} {post} ',
    'wondered_post' => 'не нравится {postType} {post}',
    'share_post' => 'сделал@ перепост {postType} {post}',
    'commented_on_post' => 'прокомментировал {postType} {post}',
    'activity_liked_post' => 'нравится <a class="main-color" href="{post}">заметка</a> {user}.',
    'activity_wondered_post' => 'не нравится <a class="main-color" href="{post}">заметка</a> {user}.',
    'activity_share_post' => 'поделился <a class="main-color" href="{post}">заметкой</a> {user}.',
    'activity_commented_on_post' => 'прокомментировал@ <a class="main-color" href="{post}">заметку</a> {user}.',
    'video_n_label' => 'видео.',
    'post_n_label' => 'пост.',
    'photo_n_label' => 'фото.',
    'file_n_label' => 'файл.',
    'vine_n_label' => 'видео.',
    'sound_n_label' => 'аудио.',
    'avatar_n_label' => 'Фото профиля',
    // 404 page & activate page
    'error_not_found' => 'Ошибка 404',
    'sorry_page_not_found' => 'Извините, страница не обнаружена!',
    'page_not_found' => 'Упс! Мы не можем найти страницу, которую вы ищете. Вы ввели неправильный адрес, или такая страница больше не существует.',
    'your_account_activated' => 'Ваша учетная запись была успешно активирована!',
    'free_to_login' => 'Вы\'r войти <a href="' . Wo_SeoLink('index.php?tab1=welcome') . '">{login}</a> !',
    // admin area 
    'general_setting' => 'Общие настройки',
    'login_setting' => 'Войти Настройки',
    'manage_users' => 'Управление пользователями',
    'manage_posts' => 'Управление сообщения',
    'manage_reports' => 'Управление отчетами',
    'advertisement' => 'Реклама',
    'more' => 'Больше',
    'cache_system' => 'система кэша',
    // admin general setting
    'chat_system' => 'Чат системы',
    'email_validation' => 'E-mail валидации',
    'email_notification' => 'E-mail уведомления',
    'smooth_links' => 'Гладкие Ссылки',
    'seo_friendly_url' => 'SEO Дружественные ссылки',
    'file_sharing' => 'обмена файлами',
    'themes' => 'Темы',
    'user_setting' => 'настройки пользователя',
    'site_setting' => 'настройка сайта',
    'cache_setting_info' => 'Включить систему кэш для ускорения вашего сайта, Рекомендуем более 10000 активных пользователей.',
    'chat_setting_info' => 'Включить чат системы для общаться с друзьями на дне страницы',
    'email_validation_info' => 'Включить проверку электронной почты, чтобы отправить ссылку активации, когда зарегистрированный пользователь.',
    'email_notification_info' => 'Включить уведомление по электронной почте, чтобы отправить уведомление пользователя по электронной почте.',
    'smooth_links_info' => 'Включить гладкие ссылки, например' . $wo['config']['site_url'] . '/home.',
    'seo_frindly_info' => 'Включить SEO Дружественные ссылки, например' . $wo['config']['site_url'] . '//1_hello-how-are-you-doing.html',
    'file_sharing_info' => 'Включить общий доступ к файлам, чтобы разделить и загрузить видео, изображения, файлы, звуки и т.д ..',
    'cache' => 'кэш',
    // site info setting
    'site_information' => 'информация о сайте',
    'site_title_name' => 'Название сайта и Заголовок:',
    'site_name' => 'Название сайта',
    'site_title' => 'Заголовок сайта',
    'site_keywords_description' => 'Сайт Ключевые слова и Описание:',
    'site_keywords' => 'Ключевые слова Сайт (например: социальная, лучше ..)',
    'site_description' => 'описание сайта',
    'site_email' => 'Сайт E-mail',
    'site_lang' => 'Язык по умолчанию',
    // themes setting
    'theme_setting' => 'тема настройка',
    'activeted' => 'активировал',
    'version' => 'Версия:',
    'author' => 'Автор:',
    'user_status' => 'Статус пользователь',
    // user setting
    'online_lastseen' => '(онлайн / в последний раз был@)',
    'enable' => 'Включить',
    'disable' => 'Отключить',
    'allow_users_to_delete' => 'Разрешить пользователям удалять свой счет:',
    'profile_visit_notification' => 'Профиль уведомление визит:',
    'display_user_age_as' => 'Показать возраст пользователя, как:',
    'date' => 'Дата',
    'age' => 'Возраст',
    'connectivity_system' => 'Связь система:',
    'connectivity_system_note' => '<span style="color:red;">Примечание:</span>  При переходе от одной системы к другой, все существующие Подписан, последователи, друзья, членство будет удален, чтобы избежать проблем.</small>',
    'friends_system' => 'Друзья система',
    'follow_system' => 'Следуйте системы',
    'max_upload_size' => 'Максимальный размер загрузки:',
    'max_characters_length' => 'Макс символов длиной:',
    'allowed_extenstions' => 'Допустимые расширения:',
    // reCaptcha settting
    'reCaptcha_setting' => 'настройка ReCaptcha',
    'reCaptcha_key_is_required' => 'Ключ ReCaptcha требуется',
    'reCaptcha_key' => 'Ключ ReCaptcha :',
    // google analytics setting
    'google_analytics' => 'Гугл Аналитика',
    'google_analytics_code' => 'Гугл Аналитика код:',
    // cache setting
    'cache_setting' => 'настройка кэша',
    'cache_recomended_clear' => 'Это рекомендуется очистить кэш.',
    'cache_size' => 'Размер кэша:',
    'clear_cache' => 'Очистить кэш',
    // social login setting
    'social_login' => 'Социальный вход',
    'social_login_api' => 'Социальный вход API \'S',
    'facebook' => 'Facebook',
    'google' => 'Google+',
    'twitter' => 'Твиттер',
    'linkedin' => 'Linkedin',
    'vkontakte' => 'Вконтакте',
    'facebook_api' => 'Facebook API',
    'google_api' => 'Google API',
    'twitter_api' => 'Твиттер API',
    'linkedin_api' => 'Linkedin API',
    'vkontakte_api' => 'Vkontakte API',
    'app_id' => 'App ID',
    'app_secret_key' => 'App Секретный ключ',
    'login_with' => 'Войдите с',
    // manage users
    'id' => 'ID',
    'source' => 'Источник',
    'status' => 'Состояние',
    'pending' => 'В ожидании',
    'first_name' => 'Имя',
    'last_name' => 'Фамилия',
    'about_me' => 'Обо мне',
    'website' => 'Веб-сайт',
    'action' => 'действие',
    'show_more_users' => 'Показать больше пользователей',
    'no_more_users_to_show' => 'Нет больше пользователей, чтобы показать',
    'user_delete_confirmation' => 'Вы уверены, что хотите удалить этого пользователя?',
    'post_delete_confirmation' => 'Вы уверены, что хотите удалить это сообщение?',
    'show_more_posts' => 'Показать еще записи',
    'no_more_posts' => 'Нет заметок для отображения',
    'no_posts_found' => 'Заметки не найдены',
    'publisher' => 'опубликовал@',
    'there_are_not_new_posts_for_now' => 'На данный момент нет новых сообщений ',
    'post_link' => 'Заметка ссылка',
    'time' => 'Время',
    'post' => 'Заметка',
    'no_posts_yet' => '{name} еще ничего не опубликовано',
    'search' => 'Поиск',
    'on' => 'Открыт',
    'off' => 'Закрыт',
    'save' => 'Сохранить',
    'saved' => 'Сохранено!',
    // Manage Report
    'reporter' => 'Отчет',
    'time_reported' => 'Время отчета',
    'there_are_no_new_reports' => 'На данный момент нет новых отчетов.',
    'open_post' => 'Открыть заметку',
    'mark_safe' => 'Безопасно',
    'delete_post' => 'Удалить заметку',
    // Advertisement Setting
    'advertisement_setting' => 'Реклама настройки',
    // More Setting
    'more_setting' => 'Расширенные настройки',
    'mailing_users' => 'Список рассылки',
    'send' => 'Отправить',
    'mailing_subject' => 'Тема..',
    'mailing_message' => 'Сообщение..',
    'announcement' => 'Объявление:',
    'new_announcement' => 'Новое объявление...',
    'add' => 'Добавить',
    'views' => 'Просмотры',
    'there_are_no_active_announcements' => 'Нет активных объявлений.',
    'there_are_no_inactive_announcements' => 'Нет неактивных объявления.',
    // end admin
    'add_friend' => 'Добавить друга',
    'follow' => 'Следовать',
    'following' => 'Следую',
    'following_btn' => 'Следую',
    'followers' => 'Подписчики',
    'message' => 'Сообщение',
    'requested' => 'Запрос отправлен',
    'friends_btn' => 'Друзья',
    'online' => 'Онлайн',
    'offline' => 'Оффлайн',
    'you_are_currently_offline' => 'На данный момент вы в оффлайн',
    'no_offline_users' => 'Нет пользователей оффлайн.',
    'no_online_users' => 'Нет пользователей онлайн.',
    'search_for_users' => 'Поиск пользователей',
    'no_users_found' => 'Не найдено ни одного пользователя.',
    'seen' => 'посещений',
    'load_more_posts' => 'Загрузка заметок',
    'load_more_users' => 'Загрузить больше',
    'there_are_no_tags_found' => 'Не найдено ни одной метки.',
    'there_are_no_saved_posts' => 'Нет сохраненных заметок.',
    'messages' => 'Переписка ',
    'write_something' => 'Напишите что-нибудь... ',
    'no_more_message_to_show' => 'Нет больше сообщений',
    'view_more_messages' => 'Посмотреть больше сообщений',
    'sorry_cant_reply' => 'Извините, вы не можете ответить.',
    'choose_one_of_your_friends' => 'Выберите одного из ваших друзей',
    'and_say_hello' => 'И скажите что-нибудь!',
    // Modalas
    'download' => 'Скачать',
    'update_your_info' => 'Обновите свою информацию',
    'choose_your_username' => 'Выберите ваше имя пользователя:',
    'create_your_new_password' => 'Создать новый пароль:',
    'update' => 'Обновить',
    'delete_comment' => 'Удалить комментарий',
    'confirm_delete_comment' => 'Вы уверены, что хотите удалить этот комментарий?',
    'confirm_delete_post' => 'Вы уверены, что хотите удалить эту заметку?',
    'edit_post' => 'Редактировать заметку',
    'session_expired' => 'Время сессии истекло',
    'session_expired_message' => 'Время сессии истекло, пожалуйста, войдите еще раз.',
    // serach filter + timline
    'country' => 'Страна',
    'all' => 'Все',
    'gender' => 'Пол',
    'female' => 'Женский',
    'male' => 'Мужской',
    'profile_picture' => 'Профиль фото',
    'result' => 'Результат:',
    'yes' => 'Да',
    'no' => 'Нет',
    'verified_user' => 'Проверенный пользователь',
    'change_password' => 'Изменить пароль',
    'current_password' => 'Текущий пароль',
    'repeat_password' => 'Повторите пароль',
    'general' => 'Основные',
    'profile' => 'Профиль',
    'privacy' => 'Конфиденциальность',
    'delete_account' => 'Удалить аккаунт',
    'delete_account_confirm' => 'Вы уверены, что хотите удалить свой аккаунт, и оставить нашу сеть?',
    'delete_go_back' => 'Нет, я подумаю',
    'verified' => 'Подтвержден',
    'not_verified' => 'Не подтвержден',
    'admin' => 'Админ',
    'user' => 'Пользователь',
    'verification' => 'Верификация',
    'type' => 'Тип',
    'birthday' => 'Дата рождения',
    'active' => 'Активный',
    'inactive' => 'Неактивный',
    'privacy_setting' => 'Настройки конфиденциальности',
    'follow_privacy_label' => 'Кто может следовать за мной?',
    'everyone' => 'Все',
    'my_friends' => 'Мои друзья',
    'no_body' => 'Никто',
    'people_i_follow' => 'За кем я следую',
    'people_follow_me' => 'Кто следует за мной',
    'only_me' => 'Только мне',
    'message_privacy_label' => 'Кто может отправлять мне сообщения?',
    'timeline_post_privacy_label' => 'Кто может публиковать на моей стене?',
    'activities_privacy_label' => 'Показывать мою деятельность?',
    'show' => 'Показать',
    'hide' => 'Скрывать',
    'confirm_request_privacy_label' => 'Подтверждать запрос когда кто-то следует за вами?',
    'lastseen_privacy_label' => 'Показывать мой последний визит?',
    'site_eg' => '(например: http://www.siteurl.com)',
    'profile_setting' => 'Профиль настройки',
    // Story
    'pinned_post' => 'Важная',
    'pin_post' => 'Закрепить заметку',
    'unpin_post' => 'Снять заметку',
    'open_post_in_new_tab' => 'Открыть в новой вкладке',
    'unsave_post' => 'Не сохранять заметку',
    'save_post' => 'Сохранить заметку',
    'unreport_post' => 'Не жаловаться',
    'report_post' => 'Пожаловаться',
    'shared_this_post' => 'поделился этой записью',
    'changed_profile_picture_male' => 'изменил свою фотографию',
    'changed_profile_picture_female' => 'изменила свою фотографию',
    'post_login_requriement' => 'Пожалуйста войдите или зарегистрируйтесь, чтобы добавлять "Мне нравится" и комментарии!',
    'likes' => 'Нравится',
    'like' => 'Мне нравится',
    'wonder' => 'Удивляться!',
    'wonders' => 'Удивляться',
    'share' => 'Перепост',
    'comments' => 'Комментарии',
    'no_likes' => 'Пока нет "Мне нравится"',
    'no_wonders' => 'Неудивительно, пока',
    'welcome_to_news_feed' => 'Добро пожаловать в ленту новостей!',
    'say_hello' => 'Скажи привет!',
    'write_comment' => 'Напишите комментарий и нажмите клавишу ВВОД',
    'view_more_comments' => 'Посмотреть больше комментариев',
    'publisher_box_placeholder' => 'Что у Вас нового? #Хэштегом... @Упоминание...',
    'youtube_link' => 'Youtube Ссылка',
    'vine_link' => 'Vine Ссылка',
    'soundcloud_link' => 'SoundCloud Ссылка',
    'maps_placeholder' => 'Это где?',
    'post_label' => 'Отправить',
    'text' => 'Заметки',
    'photos' => 'Фото',
    'sounds' => 'Аудио',
    'videos' => 'Видео',
    'maps' => 'Карты',
    'files' => 'Файлы',
    'not_following' => 'Не следовать',
    'no_followers' => 'Пока нет последователей',
    'details' => 'Информация',
    'social_links' => 'Социальные сети',
    'online_chat' => 'Друзья онлайн',
    // Footer
    'about' => 'О нас',
    'contact_us' => 'Контакты',
    'privacy_policy' => 'Политика',
    'terms_of_use' => 'Условия',
    'developers' => 'Разработчикам',
    'language' => 'Язык',
    'copyrights' => 'Авторские права © ' . date('Y') . ' ' . $wo['config']['siteName'] . '. Все права защищены.',
    // time + dates 
    'year' => 'год',
    'month' => 'месяц',
    'day' => 'день',
    'hour' => 'час',
    'minute' => 'минут',
    'second' => 'секунд',
    'years' => 'лет',
    'months' => 'месяцев',
    'days' => 'дней',
    'hours' => 'часов',
    'minutes' => 'минут',
    'seconds' => 'секунд',
    'time_ago' => 'назад',
    'time_from_now' => 'С этого момента',
    'time_any_moment_now' => 'В любой момент',
    'time_just_now' => 'Прямо сейчас',
    'time_about_a_minute_ago' => 'минуту назад',
    'time_minute_ago' => '%d минут назад',
    'time_about_an_hour_ago' => 'около часа назад',
    'time_hours_ago' => '%d часов назад',
    'time_a_day_ago' => 'день назад',
    'time_a_days_ago' => '%d дней назад',
    'time_about_a_month_ago' => 'Около месяца назад',
    'time_months_ago' => '%d месяц назад',
    'time_about_a_year_ago' => 'около года назад',
    'time_years_ago' => '%d много лет назад',
    'latest_activities' => 'Последнии действия',
    'no_activities' => 'Нет действий',
    'trending' => 'Тенденции!',
    'load_more_activities' => 'Загрузить больше',
    'no_more_actitivties' => 'Нет больше действий',
    'people_you_may_know' => 'Люди, которых вы можете знать',
    'too_long' => 'Слишком длинный',
    'too_short' => 'Слишком короткий.',
    'available' => 'Доступный!',
    'in_use' => 'В использовании.',
    'username_invalid_characters_2' => 'Имя пользователя не должно содержать каких-либо специальных символов или пробелов.',
    // New v1.1
    'liked' => 'Нравится',
    'my_pages' => 'Мои Страницы',
    'liked_page' => 'нравится ваша страница ({page_name})',
    'this_week' => 'На этой неделе',
    'posts' => 'Заметок',
    'located_in' => 'Находится в',
    'phone_number' => 'Телефон',
    'company' => 'Компания',
    'category' => 'Категория',
    'search_for_posts' => 'Поиск заметок',
    'create_new_page' => 'Создать страницу',
    'page_name' => 'Название',
    'page_title' => 'Заголовок',
    'your_page_title' => 'Заголовок страницы',
    'page_category' => 'Категория',
    'page_description' => 'Описание страницы',
    'page_description_info' => 'Описание страницы между 10 и 200 символов макс.',
    'create' => 'Создать',
    'page_name_exists' => 'Название страницы уже существует.',
    'page_name_characters_length' => 'Название страницы должно быть между 5/32 символами',
    'page_name_invalid_characters' => 'Недопустимые символы в Названии страницы',
    'edit' => 'Редактировать',
    'page_information' => 'Информация о странице',
    'delete_page' => 'Удалить страницу',
    'location' => 'Адрес',
    'pages_you_may_like' => 'Рекомендуемые страницы',
    'show_more_pages' => 'Показать больше страниц',
    'no_more_pages' => 'Нет больше страниц',
    'page_delete_confirmation' => 'Вы уверены, что хотите удалить эту страницу?',
    'manage_pages' => 'Управление страницами',
    'owner' => 'Владелец',
    'no_pages_found' => 'Не найдено ни одной страницы',
    // Welcome Page title
    'welcome_wonder' => 'Pintter',
    'welcome_connect' => 'Подключайтесь',
    'welcome_share' => 'Делитесь',
    'welcome_discover' => 'Знакомьтесь',
    'welcome_find_more' => 'Найдите больше',
    'welcome_mobile' => 'Адаптивный дизайн',
    // Welcome page description
    'welcome_wonder_text' => 'Свободно и без ограничений, делитесь своими публикациями со всем миром. ',
    'welcome_connect_text' => 'Общайтесь с вашей семьей и друзьями, поделитесь своими лучшими моментами. ',
    'welcome_share_text' => 'Поделитесь своим контентом с помощью Pintter и получите самое лучшее продвижение.',
    'welcome_discover_text' => 'Откройте для себя новых людей, создавайте связи и заводите новых друзей. ',
    'welcome_find_more_text' => 'Узнайте больше о том, что вы ищете с помощью функции поиска Pintter. ',
    'welcome_mobile_text' => '100% адаптируется к любому мобильному экрану, таблету или смарт-устройству.',
    
    'working_at' => 'Работа',
    'relationship' => 'Отношения',
    'none' => 'Не выбрано',
    'avatar' => 'Аватар',
    'cover' => 'Обложка',
    'background' => 'Задний план',
    'theme' => 'Тема',
    'deafult' => 'По умолчанию',
    'my_background' => 'Мой фон',
    'company_website' => 'Веб-сайт компании',
    'liked_my_page' => 'Понравилась моя страница',
    // New v1.2
    
    'dislike' => 'Не нравится',
    'dislikes' => 'Не нравится',
    'disliked_post' => 'не нравится {postType} {post}',
    'disliked_comment' => 'не нравится ваш комментарий "{comment}"',
    'activity_disliked_post' => '{user} не нравится <a class="main-color" href="{post}">пост</a>.',
    'second_button_type' => 'Второй тип кнопки',
    'group_name' => 'URL группы',
    'group_title' => 'Название группы',
    'my_groups' => 'Мои группы',
    'school' => 'Школа',
    'site_keywords_help' => 'Пример: социальная сеть, pintter, социальный сайт',
    'message_seen' => 'Прочитал@',
    'recommended_for_powerful' => 'Рекомендуется для мощных серверов',
    'message_typing' => 'Набирает сообщение',
    'reCaptcha' => 'ReCaptcha',
    'instagram' => 'Instagram',
    'profile_visit_notification_help' => 'Если отключить это уведомление, вы не будете получать уведомления о том кто посещал ваш профиль.',
    'account_delete' => 'Удалить аккаунт',
    'ip_address' => 'Айпи адрес',
    'manage_groups' => 'Управление группами',
    'group_delete_confirmation' => 'Вы уверены, что хотите удалить эту группу?',
    'no_more_groups' => 'Нет больше групп для отображения',
    'show_more_groups' => 'Показать больше групп',
    'members' => 'Участники',
    'verifications_requests' => 'Запросы',
    'verify' => 'Добавить',
    'ignore' => 'Игнорировать',
    'page' => 'Страница',
    'no_new_verification_requests' => 'Нет новых запросов',
    'ban_user' => 'Забанить',
    'banned' => 'Забанен',
    'there_are_no_banned_ips' => 'Нет забаненных IPS.',
    'invalid_ip' => 'Неверный IP адрес.',
    'ip_banned' => 'IP-адрес успешно забанен.',
    'ip_exist' => 'IP-адрес уже существует',
    'please_add_ip' => 'Пожалуйста, добавьте IP адрес',
    'ip_deleted' => 'IP-адрес успешно удален',
    'email_me_when' => 'Напишите, когда',
    'e_likes_my_posts' => 'Нравятся мои заметки',
    'e_wondered_my_posts' => 'Не нравятся мои заметки',
    'e_commented_my_posts' => 'Прокомментировали мои заметки',
    'e_shared_my_posts' => 'Поделились моими заметками',
    'e_followed_me' => 'Следуют за мной',
    'e_liked_page' => 'Нравится моя страница',
    'e_visited_my_profile' => 'Посетили мой профиль',
    'e_mentioned_me' => 'Упомянули меня',
    'e_joined_group' => 'Вступили в мою группу',
    'e_accepted' => 'Приняли дружбу / запрос следовать',
    'e_profile_wall_post' => 'Публикация на стене профиля',
    'no_groups_found' => 'Группы не найдены',
    'group_information' => 'Информация о группе',
    'delete_group' => 'Удалить группу',
    'group_name_exists' => 'Название группы уже существует.',
    'group_name_invalid_characters' => 'Недопустимые символы в URL группы',
    'group_name_characters_length' => 'URL группы должен быть между 5/32 символами',
    'no_requests_found' => 'Не найдено никаких запросов',
    'remove' => 'Удалить',
    'no_members_found' => 'Не найдено ни одного пользователя',
    'group_deleted' => 'Группа успешно удалена',
    'create_new_group' => 'Создать новую группу',
    'my_games' => 'Мои игры',
    'no_games_found' => 'Игры не найдены',
    'groups' => 'Группы',
    'no_friends' => 'Нет друзей',
    'no_groups' => 'Не вступать ни в какие группы',
    'load_more_pages' => 'Загрузить больше страниц',
    'load_more_groups' => 'Загрузить больше групп',
    'joined_group' => 'вступил@ в ({group_name})',
    'happy' => 'Счастливый',
    'loved' => 'Влюбленный',
    'sad' => 'Грустный',
    'so_sad' => 'Очень грустный',
    'angry' => 'Злой',
    'confused' => 'В замешательстве',
    'smirk' => 'Горячий',
    'broke' => 'Сломанный',
    'expressionless' => 'Без выражений',
    'cool' => 'Круто',
    'funny' => 'Веселая',
    'tired' => 'Устала',
    'lovely' => 'Прекрасный',
    'blessed' => 'Благословенный',
    'shocked' => 'В шоке',
    'sleepy' => 'Сонный',
    'pretty' => 'Милая',
    'bored' => 'Скучающий',
    'total_users' => 'Всего пользователей',
    'users' => 'Пользователи',
    'pages' => 'Страницы',
    'games' => 'Игры',
    'online_users' => 'Сейчас на сайте',
    'recent_searches' => 'Последние поисковые запросы',
    'clear' => 'Очистить',
    'search_filter' => 'Фильтр поиска',
    'keyword' => 'Ключевое слово',
    'what_are_looking_for' => 'Что вы ищете?',
    'changed_profile_cover_picture_male' => 'Сменил обложку',
    'changed_profile_cover_picture_female' => 'Сменила обложку',
    'latest_games' => 'Последние игры',
    'no_albums_found' => 'Альбомов не найдено',
    'create_album' => 'Создать альбом',
    'my_albums' => 'Мои альбомы',
    'album_name' => 'Название альбома',
    'upload' => 'Загрузить',
    'add_photos' => 'Добавить фотографии',
    'replies' => 'Ответов',
    'reply_to_comment' => 'Ответить на комментарий',
    'replied_to_comment' => 'ответил@ на ваш комментарий "{comment}"',
    'comment_reply_mention' => 'упомянул@ вас в комментарии "{comment}"',
    'also_replied' => 'ответил@ на комментарий "{comment}"',
    'liked_reply_comment' => 'понравился ваш ответ "{comment}"',
    'wondered_reply_comment' => 'Не нравится ваш ответ "{comment}"',
    'disliked_reply_comment' => 'Не нравится ответ "{comment}"',
    'profile_visit_notification_p' => 'Отправлять пользователям уведомления, когда я посещаю их профили?',
    'showlastseen_help' => 'Если отключить это уведомление, вы не сможете видеть последнее подключение других пользователей..',
    'timeline_birthday_label' => 'Кто может видеть мой день рождения?',
    'people_likes_this' => 'Нравится',
    'page_inviate_label' => 'Пригласить друзей',
    'invite_your_frineds' => 'Пригласить друзей',
    'not_invite' => 'У Вас нет друзей, чтобы пригласить',
    'invite' => 'Пригласить',
    'invited_page' => 'предлагает вам отметить страницу ({page_name}) как понравившуюся',
    'accepted_invited_page' => 'принял@ ваше приглашение в ({page_name})',
    'call_to_action' => 'Призыв к действию',
    'call_to_action_target' => 'Введите URL сайта',
    'call_action_type_url_invalid' => 'Неправильный URL',
    'avatar_and_cover' => 'Аватар и обложка',
    'online_sidebar_admin_label' => 'Включить онлайн-пользователей, показать активных пользователей в боковой панели.',
    'not_active' => 'Не активирован',
    'females' => 'Женщины',
    'males' => 'Мужчины',
    'dashboard' => 'Информационная панель',
    'albums' => 'Альбомы',
    'name' => 'Имя',
    'players' => 'Игроки',
    'add_new_game' => 'Добавить новую игру',
    'game_added' => 'Игра добавлена',
    'url_not_supported_game' => 'Этот URL-адрес не поддерживается',
    'please_add_a_game' => 'Пожалуйста, добавьте игру URL',
    'active_announcements' => 'Активные объявления',
    'inactive_announcements' => 'Неактивные объявления',
    'ban' => 'Запрет',
    'new_email' => 'Новый E-mail',
    'html_allowed' => 'HTML разрешено',
    'send_me_to_my_email' => 'Отправить на мою электронную почту',
    'test_message' => 'Тестовое сообщение',
    'joined_members' => 'Регистрация Пользователей',
    'join_requests' => 'Регистрация запросов',
    'verified_pages' => 'Официальные страницы',
    'file_sharing_extenstions' => 'Расширения обмена файлов (через запятую,)',
    'word_cons' => 'Слова подвергаться цензуре, разделенных запятыми (,)',
    'join' => 'Вступить',
    'joined' => 'Выйти',
    'request' => 'Запрос',
    'edit_comment' => 'Редактировать комментарий',
    'last_play' => 'Последняя игра:',
    'play' => 'Играть',
    'confirm_request_group_privacy_label' => 'Подтверждать запрос когда, кто-то хочет присоединиться к этой группе?',
    'who_can_see_group_posts' => 'Кто может видеть сообщения группы?',
    'joined_users' => 'Вступившие пользователи',
    'social_links' => 'Социальные ссылки',
    'living_in' => 'Страна',
    'design' => 'Дизайн',
    'guest' => 'Гость',
    'people_you_may_want_to_meet' => 'Люди, которых вы можете знать',
    'added_new_photos_to' => 'Добавлены новые фотографии в',
    'is_feeling' => 'это чувство',
    'is_traveling' => 'едет в',
    'is_listening' => 'слушает',
    'is_playing' => 'играет',
    'is_watching' => 'смотрит',
    'feeling' => 'Настроение',
    'traveling' => 'Путешествую',
    'watching' => 'Смотрю',
    'playing' => 'Играю',
    'listening' => 'Слушаю',
    'feeling_q' => 'Что чувствуете?',
    'traveling_q' => 'Куда едите?',
    'watching_q' => 'Что смотришь?',
    'playing_q' => 'Во что играешь?',
    'listening_q' => 'Что слушаешь?',
    'feel_d' => 'Что делаете?',
    'working_at' => 'Работает в',
    'studying_at' => 'Образование',
    'located_in' => 'Город',
    'company_website_invalid' => 'Веб-сайт компании является недействительным',
    'page_deleted' => 'Страница успешно удалена',
    'cover_n_label' => 'обложка.',
    'suggested_groups' => 'Рекомендуемые группы',
    'accepted_join_request' => 'Запрос принят на вступление в ({group_name})',
    'requested_to_join_group' => 'хочет присоединиться к вашей группе',
    'no_one_posted' => 'Еще ничего не опубликовано',
    'add_your_frineds' => 'Добавить друзей в эту группу',
    'added_all_friends' => 'Добавить всех друзей',
    'added_you_to_group' => 'добавил@ вас в группу ({group_name})',
    'group_type' => 'Тип группы',
    'public' => 'Открытая группа',
    'private' => 'Закрытая группа',
    'reports' => 'Отчеты',
    'no_dislikes' => 'Пока нет "Не нравится"',
    'disliked' => 'Не нравится',
    'wondered' => 'Не нравится',
    'read_more' => 'Показать полностью...',
    'read_less' => 'Свернуть...',
    'terms' => 'Правила и условия',
    'profile_privacy' => 'Профиль конфиденциальности',
    'profile_privacy_info' => 'Включите его, чтобы не являющихся зарегистрированные пользователи для просмотра профили пользователей.',
    'video_upload' => 'Видео Загрузить',
    'video_upload_info' => 'Включить видео загрузки, чтобы разделить и загрузить видео на сайт.',
    'audio_upload' => 'Аудио Загрузить',
    'audio_upload_info' => 'Включить аудио загрузки, чтобы разделить и загрузки звучит на сайт.',
    'add_photo' => 'Добавьте фотографию.',
    'add_photo_des' => 'Продемонстрируйте свою индивидуальность и неповторимый стиль.',
    'start_up_skip' => 'Пропустить этот шаг',
    'start_up_continue' => 'Сохранить & Продолжить',
    'tell_us' => 'Расскажите о себе.',
    'tell_us_des' => 'Поделитесь информацией с нашим сообществом.',
    'get_latest_activity' => 'Следите за последними действиями популярных пользователей.',
    'follow_head' => 'Следуйте за нашими знаменитыми пользователями.',
    'follow_num' => 'Следовать за {number}',
    'looks_good' => 'Неплохо.',
    'looks_good_des' => 'Вы сможете добавить другую информацию в свой профиль позже.',
    'upload_your_photo' => 'Загрузите вашу фотографию',
    'please_wait' => 'Пожалуйста подождите..',
    // New v1.2.3
    'username_or_email' => 'Никнейм или E-mail адрес',
    'email_setting' => 'Электронная почта Настройка',
    // New v1.3
    'years_old' => 'лет',
    'friends_birthdays' => 'Друзья Дни рождения',
    'sms_setting' => 'SMS Настройка',
    'smooth_loading' => 'Гладкая загрузка',
    'boosted_pages_viewable' => 'Усиленные страницы уже доступны для просмотра всеми нашими членами сообщества.',
    'boost_page_in_same_time' => 'Ты {type_name}, Вы просто в состоянии повысить {can_boost} может увеличить страницы в то же самое время.',
    'boost_posts_in_same_time' => 'Ты {type_name}, Вы просто в состоянии повысить {can_boost} может увеличить посты в то же самое время.',
    'there_are_no_boosted_pages' => 'Там нет Boosted страниц пока.',
    'there_are_no_boosted_posts' => 'Там нет Boosted сообщений пока.',
    'discover_pro_types' => 'Откройте для себя больше возможностей с WoWonder пакетами PRO !',
    'star' => 'Star',
    'hot' => 'Hot',
    'ultima' => 'Ultima',
    'vip' => 'Vip',
    'featured_member' => 'Показанный член',
    'see_profile_visitors' => 'См посетителей профиля',
    'show_hide_lastseen' => 'Показать / Скрыть последний раз видели',
    'verified_badge' => 'Проверенные значок',
    'post_promotion_star' => 'продвижение сообщение<br><small>(Недоступен)</small>',
    'page_promotion_star' => 'продвижение Page<br><small>(Недоступен)</small>',
    '0_discount' => '0% скидка',
    '10_discount' => '10% скидка',
    '20_discount' => '20% скидка',
    '60_discount' => '60% скидка',
    'per_week' => 'в неделю',
    'per_month' => 'в месяц',
    'per_year' => 'в год',
    'life_time' => 'продолжительность жизни',
    'upgrade_now' => 'Обнови сейчас',
    'post_promotion_hot' => 'Повышение до 5 сообщений<br><small>(5 в то же время 7/24)</small>',
    'page_promotion_hot' => 'Повышение до 5 страниц<br><small>(5 в то же время 7/24)</small>',
    'post_promotion_ultima' => 'Повысить до 20 должностей<br><small>(20 в то же время 7/24)</small>',
    'page_promotion_ultima' => 'Повышение до 20 страниц<br><small>(20 в то же время 7/24)</small>',
    'post_promotion_vip' => 'Повысить до 40 должностей<br><small>(40 in same time 7/24)</small>',
    'page_promotion_vip' => 'Повышение до 40 страниц<br><small>(40 в то же время 7/24)</small>',
    'boosted_posts' => 'Усиленные Сообщений',
    'boosted_pages' => 'Усиленные Страницы',
    'put_me_here' => 'Put Me Здесь',
    'promoted' => 'Повышен',
    'oops_something_went_wrong' => 'К сожалению! Что-то пошло не так.',
    'try_again' => 'Попробуй еще раз',
    'boost_page' => 'Повышение Page',
    'page_boosted' => 'Страница Boosted',
    'un_boost_page' => 'Un-наддув Page',
    'edit_page_settings' => 'Изменить настройки страницы',
    'blocked_users' => 'Заблокированные пользователи',
    'un_block' => 'открыть',
    'css_file' => 'файл CSS',
    'css_status_default' => 'дизайн По умолчанию',
    'css_status_my' => 'Мой файл CSS',
    'design' => 'дизайн',
    'css_file_info' => 'Вы можете полностью создать свой профиль, загрузив свой собственный файл CSS',
    'invite_your_frineds_home' => 'Пригласить друзей',
    'send_invitation' => 'Выслать пригласительное',
    'boost_post' => 'Повысьте Post',
    'unboost_post' => 'UnBoost сообщение',
    'drag_to_re' => 'Перетащите, чтобы изменить положение крышки',
    'block_user' => 'Заблокировать пользователя',
    'edit_user' => 'Изменить пользователя',
    'cong' => 'Поздравления ! Ты теперь <span style="color:{color}"><i class="fa fa-{icon} fa-fw"></i>{type_name}',
    'cong_2' => 'Начать просмотр новых функций',
    'activation_oops' => 'К сожалению, похоже, ваша учетная запись еще не активирована.',
    'activation_method' => 'Пожалуйста, выберите метод ниже, чтобы активировать учетную запись.',
    'activation_email' => 'По электронной почте',
    'activation_phone' => 'Via номеру телефона',
    'activation_or' => 'Или',
    'activation_send_code' => 'Отправить код подтверждения',
    'activation_get_code_again' => 'Не получить код?',
    'activation_resend' => 'Отправить',
    'activation_should_receive' => 'Вы должны получить код внутри',
    'confirm' => 'подтвердить',
    'phone_num_ex' => 'Номер телефона (eg. +905...)',
    'error_while_activating' => 'Ошибка при активации учетной записи.',
    'wrong_confirmation_code' => 'Неправильный код подтверждения.',
    'failed_to_send_code' => 'Не удалось отправить код подтверждения.',
    'worng_phone_number' => 'Неправильный номер телефона.',
    'phone_already_used' => 'Номер телефона уже используется.',
    'sms_has_been_sent' => 'SMS было отправлено успешно.',
    'error_while_sending_sms' => 'Ошибка при отправке SMS, пожалуйста, попробуйте другой номер.',
    'failed_to_send_code_fill' => 'Не удалось отправить код подтверждения, пожалуйста, выберите один из предложенных способов активации.',
    'email_sent_successfully' => 'Электронная почта была успешно отправлена, пожалуйста, проверьте свой почтовый ящик или спам папку для ссылки активации.',
    'limit_exceeded' => 'Превышен лимит, пожалуйста, повторите попытку позже.',
    'failed_to_send_code_email' => 'Ошибка при отправке SMS, пожалуйста, попробуйте другой номер или активировать свою учетную запись через электронную почту, войдя в свой аккаунт.',
    'free_member' => 'Free Member',
    'star_member' => 'Star Member',
    'hot_member' => 'Hot Member',
    'ultima_member' => 'Ultima Member',
    'vip_member' => 'Vip Member',
    'moderator' => 'Moderator',
    'member_type' => 'Member Type',
    'membership' => 'членство',
    'upgrade' => 'Обновить',
    'error_please_try_again' => 'Ошибка, пожалуйста, повторите попытку позже.',
    'upgrade_to_pro' => 'Обновление до Pro',
);

$wo['countries_name'] = array(
    '0' => 'Select country',
    '1' => 'Америка',
    '2' => 'Канада',
    '3' => 'Афганистан',
    '4' => 'Албания',
    '5' => 'Алжир',
    '6' => 'Американское Самоа',
    '7' => 'Андорра',
    '8' => 'Ангола',
    '9' => 'Ангилья',
    '10' => 'Антарктида',
    '11' => 'Антигуа и / или Барбуда',
    '12' => 'Аргентина',
    '13' => 'Армения',
    '14' => 'Аруба',
    '15' => 'Австралия',
    '16' => 'Австрия',
    '17' => 'Азербайджан',
    '18' => 'Багамы',
    '19' => 'Бахрейн',
    '20' => 'Бангладеш',
    '21' => 'Барбадос',
    '22' => 'Беларусь',
    '23' => 'Бельгия',
    '24' => 'Белиза',
    '25' => 'Бенин',
    '26' => 'Бермудский',
    '27' => 'Бутан',
    '28' => 'Боливия',
    '29' => 'Босния и Герцеговина',
    '30' => 'Ботсваны',
    '31' => 'Остров Буве',
    '32' => 'Бразилия',
    '34' => 'Бруней-Даруссалам',
    '35' => 'Болгария',
    '36' => 'Буркина-Фасо',
    '37' => 'Бурунди',
    '38' => 'Камбоджа',
    '39' => 'Камерун',
    '40' => 'Кабо-Верде',
    '41' => 'Каймановы острова',
    '42' => 'Центральная Африканская Республика ',
    '43' => 'Чад',
    '44' => 'Чили',
    '45' => 'Китай',
    '46' => 'Остров Рождества',
    '47' => 'Кокосовые (Килинг) острова',
    '48' => 'Колумбия',
    '49' => 'Коморские острова',
    '50' => 'Конго',
    '51' => 'Острова Кука',
    '52' => 'Коста-Рика',
    '53' => 'Хорватия (Hrvatska)',
    '54' => 'Куба',
    '55' => 'Кипр',
    '56' => 'Чехия',
    '57' => 'Дания',
    '58' => 'Джибути',
    '59' => 'Доминика',
    '60' => 'Доминиканская Республика',
    '61' => 'Восточный Тимор',
    '62' => 'Эквадор',
    '63' => 'Египет',
    '64' => 'Сальвадор',
    '65' => 'Экваториальная Гвинея',
    '66' => 'Эритрея',
    '67' => 'Эстония',
    '68' => 'Эфиопия',
    '69' => 'Фолклендские (Мальвинские) острова',
    '70' => 'Фарерские острова',
    '71' => 'Фиджи',
    '72' => 'Финляндия',
    '73' => 'Франция',
    '74' => 'Франция, митрополит',
    '75' => 'Французская Гвиана',
    '76' => 'Французская Полинезия',
    '77' => 'Французские южные территории',
    '78' => 'Габон',
    '79' => 'Гамбия',
    '80' => 'Грузия',
    '81' => 'Германия',
    '82' => 'Гана',
    '83' => 'Гибралтар',
    '84' => 'Греция',
    '85' => 'Гренландия',
    '86' => 'Гренада',
    '87' => 'Гваделупа',
    '88' => 'Гуам',
    '89' => 'Гватемала',
    '90' => 'Гвинея',
    '91' => 'Гвинея-Бисау',
    '92' => 'Гайаны',
    '93' => 'на Гаити',
    '94' => 'Херд и Мак Дональд Острова',
    '95' => 'Гондурас',
    '96' => 'Гонконг',
    '97' => 'Венгрия',
    '98' => 'Исландия',
    '99' => 'Индия',
    '100' => 'Индонезии',
    '101' => 'Иран (Исламская Республика)',
    '102' => 'Ирак',
    '103' => 'Ирландия',
    '104' => 'Израиль',
    '105' => 'Италия',
    '106' => 'Берег Слоновой Кости',
    '107' => 'Ямайка',
    '108' => 'Япония',
    '109' => 'Джордан',
    '110' => 'Казахстан',
    '111' => 'Кения',
    '112' => 'Кирибати',
    '113' => 'Корея, Народно-Демократическая \'ы Республика',
    '114' => 'Корея, Республика',
    '115' => 'Косово',
    '116' => 'Кувейт',
    '117' => 'Кыргызстан',
    '118' => 'Лаосская Народно \ \'ы Демократическая Республика',
    '119' => 'Латвия',
    '120' => 'Ливан',
    '121' => 'Лесото',
    '122' => 'Либерия',
    '123' => 'Ливийская Арабская Джамахирия',
    '124' => 'Лихтенштейн',
    '125' => 'Литва',
    '126' => 'Люксембург',
    '127' => 'Макао',
    '128' => 'Македония',
    '129' => 'Мадагаскар',
    '130' => 'Малави',
    '131' => 'Малайзия',
    '132' => 'Мальдивы',
    '133' => 'Мали',
    '134' => 'Мальта',
    '135' => 'Маршалловы Острова',
    '136' => 'Мартиника',
    '137' => 'Мавритания',
    '138' => 'Маврикий',
    '139' => 'Майотта',
    '140' => 'Мексика',
    '141' => 'Микронезия, Федеративные Штаты',
    '142' => 'Молдова',
    '143' => 'Монако',
    '144' => 'Монголия',
    '145' => 'Черногория',
    '146' => 'Монтсеррат',
    '147' => 'Марокко',
    '148' => 'Мозамбика',
    '149' => 'Мьянма',
    '150' => 'Намибия',
    '151' => 'Науру',
    '152' => 'Непал',
    '153' => 'Нидерланды',
    '154' => 'Нидерландские Антильские острова',
    '155' => 'Новая Каледония',
    '156' => 'Новая Зеландия',
    '157' => 'Никарагуа',
    '158' => 'Нигер',
    '159' => 'Нигерия',
    '160' => 'Ниуэ',
    '161' => 'Norfork Остров',
    '162' => 'Северные Марианские острова',
    '163' => 'Норвегия',
    '164' => 'Оман',
    '165' => 'Пакистан',
    '166' => 'Палау',
    '167' => 'Панама',
    '168' => 'Папуа-Новая Гвинея',
    '169' => 'Парагвай',
    '170' => 'Перу',
    '171' => 'Филиппины',
    '172' => 'Питкэрн',
    '173' => 'Польша',
    '174' => 'Португалия',
    '175' => 'Пуэрто-Рико',
    '176' => 'Катар',
    '177' => 'Воссоединение',
    '178' => 'Румыния',
    '179' => 'Русская Федерация',
    '180' => 'Руанда',
    '181' => 'Сент-Китс и Невис',
    '182' => 'Сент-Люсия',
    '183' => 'Сент-Винсент и Гренадины',
    '184' => 'Самоа',
    '185' => 'Сан-Марино',
    '186' => 'Сан-Томе и Принсипи',
    '187' => 'Саудовская Аравия',
    '188' => 'Сенегал',
    '189' => 'Сербия',
    '190' => 'Сейшелы',
    '191' => 'Сьерра-Леоне',
    '192' => 'Сингапур',
    '193' => 'Словакия',
    '194' => 'Словения',
    '195' => 'Соломоновы Острова',
    '196' => 'Сомали',
    '197' => 'Южная Африка',
    '198' => 'Южная Джорджия Южные Сандвичевы острова',
    '199' => 'Испания',
    '200' => 'Шри-Ланка',
    '201' => 'Санкт- Елена',
    '202' => 'Санкт- Пьер и Микелон',
    '203' => 'Судан',
    '204' => 'Суринам',
    '205' => 'Svalbarn и Ян Майен острова',
    '206' => 'Свазиленд',
    '207' => 'Швеция',
    '208' => 'Швейцария',
    '209' => 'Сирийская Арабская Республика',
    '210' => 'Тайвань',
    '211' => 'в Таджикистане',
    '212' => 'Танзания, Объединенная Республика',
    '213' => 'Таиланд',
    '214' => 'Того',
    '215' => 'Токелау',
    '216' => 'Тонга',
    '217' => 'Тринидад и Тобаго',
    '218' => 'Тунис',
    '219' => 'Турция',
    '220' => 'Туркменистан',
    '221' => 'Теркс и Кайкос Острова',
    '222' => 'Тувалу',
    '223' => 'Уганда',
    '224' => 'Украина',
    '225' => 'Объединенные Арабские Эмираты',
    '226' => 'Великобритания',
    '227' => 'Внешние малые острова США',
    '228' => 'Уругвай',
    '229' => 'Узбекистан',
    '230' => 'Вануату',
    '231' => 'Государство-город Ватикан',
    '232' => 'Венесуэла',
    '233' => 'Вьетнам',
    '238' => 'Йемен',
    '239' => 'Югославия',
    '240' => 'Заир',
    '241' => 'Замбии',
    '242' => 'Зимбабве'
);


$wo['page_categories'] = array(
    '2' => 'Автомобили и транспорт',
    '3' => 'Комедия',
    '4' => 'Экономика и торговля',
    '5' => 'Образование',
    '6' => 'Развлечения',
    '7' => 'Фильмы и анимация',
    '8' => 'Азартные игры',
    '9' => 'История и факты',
    '10' => 'Образ жизни',
    '11' => 'Природа',
    '12' => 'Новости и политика',
    '13' => 'Люди и Нация',
    '14' => 'Животные',
    '15' => 'Места и регионы',
    '16' => 'Наука и технология',
    '17' => 'Спорт',
    '18' => 'Путешествия и события',
    '1' => 'Другие'
);

$wo['relationship'] = array(
    '1' => 'Все сложно',
    '2' => 'В отношениях',
    '3' => 'В браке',
    '4' => 'Помолвлен@'
);

$wo['months'] = array(
    '1' => 'Январь',
    '2' => 'Февраль',
    '3' => 'Март',
    '4' => 'Апрель',
    '5' => 'Май',
    '6' => 'Июнь',
    '7' => 'Июль',
    '8' => 'Август',
    '9' => 'Сентябрь',
    '10' => 'Октября',
    '11' => 'Ноября',
    '12' => 'Декабрь'
);

$wo['call_action'] = array(
    '1' => 'Узнай больше',
    '2' => 'Купи сейчас',
    '3' => 'Смотри сейчас',
    '4' => 'Посети сейчас',
    '5' => 'Заказать сейчас',
    '6' => 'Подробнее',
    '7' => 'Играть сейчас',
    '8' => 'Сделай ставку',
    '9' => 'Пожертвовать',
    '10' => 'Применить',
    '11' => 'Цена здесь',
    '12' => 'Заказать',
    '13' => 'Заказать билеты',
    '14' => 'Запишитесь сейчас',
    '15' => 'Найти карту',
    '16' => 'Узнать цену',
    '17' => 'Получить билеты',
    '18' => 'Найти дилера',
    '19' => 'Заказать онлайн',
    '20' => 'Предварительный заказ',
    '21' => 'Расписание',
    '22' => 'Войти сейчас',
    '23' => 'Подписаться',
    '24' => 'Зарегистрироваться'
);
?>